import { Entity, convertEntities } from "../../../../src/fake_data/entity";

export const demoEntitiesArsaboo: () => Entity[] = () =>
  convertEntities({
    "sun.sun": {
      entity_id: "sun.sun",
      state: "above_horizon",
      attributes: {
        next_dawn: "2019-01-23T12:12:15+00:00",
        next_dusk: "2019-01-22T23:22:28+00:00",
        next_midnight: "2019-01-23T05:48:00+00:00",
        next_noon: "2019-01-23T17:47:49+00:00",
        next_rising: "2019-01-23T12:39:03+00:00",
        next_setting: "2019-01-22T22:55:37+00:00",
        elevation: 30.63,
        azimuth: 209.98,
        friendly_name: "Sun",
      },
      last_changed: "2019-01-22T16:59:56.243456+00:00",
      last_updated: "2019-01-22T19:36:30.008643+00:00",
      context: { id: "80a3bc6a09124cbd8dee9ee2763fb281", user_id: null },
    },
    "zone.home": {
      entity_id: "zone.home",
      state: "zoning",
      attributes: {
        hidden: true,
        radius: 200,
        friendly_name: "Home",
        icon: "hademo:home",
      },
      last_changed: "2019-01-22T16:59:56.243651+00:00",
      last_updated: "2019-01-22T16:59:56.243651+00:00",
      context: { id: "a1b962da6bc54aad9d8e921e47c7ba87", user_id: null },
    },
    "zone.buckhead": {
      entity_id: "zone.buckhead",
      state: "zoning",
      attributes: {
        hidden: true,
        radius: 200,
        friendly_name: "Buckhead",
        icon: "hademo:school",
      },
      last_changed: "2019-01-22T16:59:56.243765+00:00",
      last_updated: "2019-01-22T16:59:56.243765+00:00",
      context: { id: "ed52190b694c458e8dc5bb733fc553ee", user_id: null },
    },
    "zone.downtown": {
      entity_id: "zone.downtown",
      state: "zoning",
      attributes: {
        hidden: true,
        radius: 200,
        friendly_name: "Downtown",
        icon: "hademo:school",
      },
      last_changed: "2019-01-22T16:59:56.243873+00:00",
      last_updated: "2019-01-22T16:59:56.243873+00:00",
      context: { id: "9114964fdecd424ca96f60cfa8864422", user_id: null },
    },
    "alert.abode_updates": {
      entity_id: "alert.abode_updates",
      state: "idle",
      attributes: { friendly_name: "Abode updates are off", hidden: true },
      last_changed: "2019-01-22T16:59:56.244208+00:00",
      last_updated: "2019-01-22T16:59:56.244208+00:00",
      context: { id: "58fa0e3bf577472ebf0c54069b7034a8", user_id: null },
    },
    "alert.home_automation": {
      entity_id: "alert.home_automation",
      state: "idle",
      attributes: {
        friendly_name: "Home automation is disabled",
        hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.244328+00:00",
      last_updated: "2019-01-22T16:59:56.244328+00:00",
      context: { id: "f0915aeb74bf4ec48626eb56dfb0ff00", user_id: null },
    },
    "camera.meteogram": {
      entity_id: "camera.meteogram",
      state: "idle",
      attributes: {
        access_token:
          "b705394ecebb2800a516b3e8d9089c78b173567f81953fe452cfbb9035a19044",
        friendly_name: "Meteogram",
        entity_picture:
          "/api/camera_proxy/camera.meteogram?token=b705394ecebb2800a516b3e8d9089c78b173567f81953fe452cfbb9035a19044",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.763938+00:00",
      last_updated: "2019-01-22T19:35:30.051663+00:00",
      context: { id: "4eca2843b24b48fb9a2ed63bb943eff4", user_id: null },
    },
    "camera.worldtime": {
      entity_id: "camera.worldtime",
      state: "idle",
      attributes: {
        access_token:
          "95366de36bbd52e3b82ed72b0e8ccb860855053019a4c5cefb7d9a783bd898f9",
        friendly_name: "worldtime",
        entity_picture:
          "/api/camera_proxy/camera.worldtime?token=95366de36bbd52e3b82ed72b0e8ccb860855053019a4c5cefb7d9a783bd898f9",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.764335+00:00",
      last_updated: "2019-01-22T19:35:30.053693+00:00",
      context: { id: "80d8dc0267834df781cb662b01a138f6", user_id: null },
    },
    "binary_sensor.driveway_field_detection": {
      entity_id: "binary_sensor.driveway_field_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T14:30:36.745242",
        friendly_name: "Driveway Field Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:36.748146+00:00",
      last_updated: "2019-01-22T19:30:36.748146+00:00",
      context: { id: "f5d051af2bd944c78550b87ad20be5a9", user_id: null },
    },
    "binary_sensor.driveway_face_detection": {
      entity_id: "binary_sensor.driveway_face_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.372870",
        friendly_name: "Driveway Face Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.765570+00:00",
      last_updated: "2019-01-22T16:59:56.765570+00:00",
      context: { id: "ff5afd121252444b9614bf04c3a9d399", user_id: null },
    },
    "binary_sensor.driveway_motion": {
      entity_id: "binary_sensor.driveway_motion",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T14:32:16.424347",
        friendly_name: "Driveway Motion",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:32:16.425037+00:00",
      last_updated: "2019-01-22T19:32:16.425037+00:00",
      context: { id: "a80b8e64ba8f42a0a107eca21d35fb42", user_id: null },
    },
    "binary_sensor.driveway_line_crossing": {
      entity_id: "binary_sensor.driveway_line_crossing",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T14:31:42.185745",
        friendly_name: "Driveway Line Crossing",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:42.187470+00:00",
      last_updated: "2019-01-22T19:31:42.187470+00:00",
      context: { id: "8a286eb016ae4d129ac3ae1bba1a3397", user_id: null },
    },
    "group.default_view": {
      entity_id: "group.default_view",
      state: "on",
      attributes: {
        entity_id: [
          "group.investments",
          "group.information",
          "group.all_lights",
          "group.home_security",
          "group.switches",
          "group.ring_doorbell",
          "group.financial",
        ],
        order: 0,
        view: true,
        friendly_name: "default_view",
        icon: "hass:home-assistant",
        hidden: true,
        assumed_state: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.911691+00:00",
      last_updated: "2019-01-22T17:00:03.372610+00:00",
      context: { id: "4fc12cc48a7f463185d0ce61b551fe06", user_id: null },
    },
    "binary_sensor.rashmi_home": {
      entity_id: "binary_sensor.rashmi_home",
      state: "on",
      attributes: {
        observations: [
          { prob_true: 0.99, prob_false: 0.1 },
          { prob_true: 0.99, prob_false: 0.1 },
          { prob_true: 0.8, prob_false: 0.2 },
          { prob_true: 1, prob_false: 0 },
          { prob_true: 0.99, prob_false: 0.4 },
        ],
        probability: 1,
        probability_threshold: 0.95,
        friendly_name: "Rashmi Home",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.644467+00:00",
      last_updated: "2019-01-22T19:34:19.113916+00:00",
      context: { id: "366b5803cc484623a2c53f6783e94967", user_id: null },
    },
    "binary_sensor.alok_home": {
      entity_id: "binary_sensor.alok_home",
      state: "off",
      attributes: {
        observations: [],
        probability: 0.25,
        probability_threshold: 0.95,
        friendly_name: "Alok Home",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.772672+00:00",
      last_updated: "2019-01-22T16:59:56.772672+00:00",
      context: { id: "b3f9e5eb359f4eec834662b065394285", user_id: null },
    },
    "binary_sensor.garagedoor": {
      entity_id: "binary_sensor.garagedoor",
      state: "off",
      attributes: {
        friendly_name: "Garage Door Open",
        device_class: "opening",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:05.382421+00:00",
      last_updated: "2019-01-22T19:31:05.382421+00:00",
      context: { id: "56810d3d59714050bb88a5d66823a68f", user_id: null },
    },
    "binary_sensor.television": {
      entity_id: "binary_sensor.television",
      state: "off",
      attributes: { friendly_name: "TV", homebridge_hidden: true },
      last_changed: "2019-01-22T16:59:56.773453+00:00",
      last_updated: "2019-01-22T16:59:56.773453+00:00",
      context: { id: "1bcfa213a658437a8f9cd9bc04e65a8c", user_id: null },
    },
    "sensor.livingroom_temp_rounded": {
      entity_id: "sensor.livingroom_temp_rounded",
      state: "66",
      attributes: {
        friendly_name: "Living room temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:23:58.615703+00:00",
      last_updated: "2019-01-22T18:23:58.615703+00:00",
      context: { id: "d8720a928ed645838679c2b5edc5e2fd", user_id: null },
    },
    "sensor.study_temp_rounded": {
      entity_id: "sensor.study_temp_rounded",
      state: "67",
      attributes: {
        friendly_name: "Study temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:17:17.881894+00:00",
      last_updated: "2019-01-22T19:17:17.881894+00:00",
      context: { id: "9e25fd2c4032461f83df3ed778fc031e", user_id: null },
    },
    "sensor.sonos_audio_in": {
      entity_id: "sensor.sonos_audio_in",
      state: "Paused",
      attributes: {
        friendly_name: "Sonos Audio-in",
        icon: "hademo:volume-high",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.678332+00:00",
      last_updated: "2019-01-22T17:00:14.678332+00:00",
      context: { id: "072d120e6d584e4d88e3222196b27e4d", user_id: null },
    },
    "sensor.battery_status": {
      entity_id: "sensor.battery_status",
      state: "Attic Humidity, Attic Pressure, Attic Temperature",
      attributes: { friendly_name: "Battery Status", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:14.706781+00:00",
      last_updated: "2019-01-22T17:00:14.706781+00:00",
      context: { id: "770213de7070405895a2c5d9585ff94f", user_id: null },
    },
    "sensor.downstairs_hvac_runtime": {
      entity_id: "sensor.downstairs_hvac_runtime",
      state: "2.48",
      attributes: {
        unit_of_measurement: "h",
        friendly_name: "Downstairs HVAC Runtime",
        icon: "hademo:fire",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:37:16.159604+00:00",
      last_updated: "2019-01-22T19:37:16.159604+00:00",
      context: { id: "5f9f209823634d83b91efa1d807ecfdc", user_id: null },
    },
    "sensor.upstairs_hvac_runtime": {
      entity_id: "sensor.upstairs_hvac_runtime",
      state: "0.84",
      attributes: {
        unit_of_measurement: "h",
        friendly_name: "Upstairs HVAC Runtime",
        icon: "hademo:fire",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:15.087160+00:00",
      last_updated: "2019-01-22T17:00:15.120137+00:00",
      context: { id: "0bae7f8f87514210bd4f9c0d17d4c5cf", user_id: null },
    },
    "sensor.master_hvac_runtime": {
      entity_id: "sensor.master_hvac_runtime",
      state: "1.31",
      attributes: {
        unit_of_measurement: "h",
        friendly_name: "Master HVAC Runtime",
        icon: "hademo:fire",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:15.141918+00:00",
      last_updated: "2019-01-22T17:00:15.165931+00:00",
      context: { id: "500f4475ac814f668772e2b1dd109de2", user_id: null },
    },
    "sensor.wemopowerused": {
      entity_id: "sensor.wemopowerused",
      state: "0.0",
      attributes: {
        unit_of_measurement: "w",
        friendly_name: "Wemo Current Power",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:22.401511+00:00",
      last_updated: "2019-01-22T17:00:22.401511+00:00",
      context: { id: "aef80e49fc1e48a9a4a5b4019dbfc036", user_id: null },
    },
    "sensor.hvacmode": {
      entity_id: "sensor.hvacmode",
      state: "",
      attributes: {
        friendly_name: "HVAC Mode",
        icon: "",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.719326+00:00",
      last_updated: "2019-01-22T17:00:14.719326+00:00",
      context: { id: "9d46706bb36e4a20bd4ee83c09a3e58b", user_id: null },
    },
    "sensor.garagedoorbattery": {
      entity_id: "sensor.garagedoorbattery",
      state: "100",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Garage Door Sensor Battery",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.989751+00:00",
      last_updated: "2019-01-22T17:00:14.989751+00:00",
      context: { id: "33a6c04f31ee4d13963591e410a96cf3", user_id: null },
    },
    "sensor.downstairsthermoper": {
      entity_id: "sensor.downstairsthermoper",
      state: "heat",
      attributes: {
        friendly_name: "Downstairs Thermostat",
        icon: "hademo:fire",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:36:17.079229+00:00",
      last_updated: "2019-01-22T19:36:17.079229+00:00",
      context: { id: "4da2275ace2d40a0acbd3d822205a6ac", user_id: null },
    },
    "sensor.upstairsthermoper": {
      entity_id: "sensor.upstairsthermoper",
      state: "fan",
      attributes: {
        friendly_name: "Upstairs Thermostat",
        icon: "hademo:fan",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:33:14.172288+00:00",
      last_updated: "2019-01-22T19:33:14.172288+00:00",
      context: { id: "c223fed93b7041b9b2fcdd6aa6dfb8dd", user_id: null },
    },
    "sensor.masterthermoper": {
      entity_id: "sensor.masterthermoper",
      state: "idle",
      attributes: {
        friendly_name: "Master Thermostat",
        icon: "hademo:fan",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:36:17.063265+00:00",
      last_updated: "2019-01-22T19:36:17.063265+00:00",
      context: { id: "5966409eaeba4fb79f00ab9eb2790ac4", user_id: null },
    },
    "sensor.living_room": {
      entity_id: "sensor.living_room",
      state: "PowerOff",
      attributes: {
        friendly_name: "Harmony Activity",
        homebridge_hidden: true,
        entity_picture: "/assets/arsaboo/icons/Harmony.png",
      },
      last_changed: "2019-01-22T17:00:14.722625+00:00",
      last_updated: "2019-01-22T17:00:14.722625+00:00",
      context: { id: "8a3e097e681740cca0f82905dd9f84b6", user_id: null },
    },
    "sensor.sonos_volume": {
      entity_id: "sensor.sonos_volume",
      state: "18",
      attributes: { friendly_name: "Sonos Volume", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:14.723334+00:00",
      last_updated: "2019-01-22T17:00:14.723334+00:00",
      context: { id: "cc76e60989434a3fad5ac2dca0c9cc96", user_id: null },
    },
    "sensor.leeoalarmstatus": {
      entity_id: "sensor.leeoalarmstatus",
      state: "Off",
      attributes: {
        friendly_name: "Leeo Alarm",
        homebridge_hidden: true,
        icon: "hademo:fire",
      },
      last_changed: "2019-01-22T17:00:14.724051+00:00",
      last_updated: "2019-01-22T17:00:14.724051+00:00",
      context: { id: "bcd0d3d0c23f4fb1a2030a0c93908c3f", user_id: null },
    },
    "sensor.cube_last_action": {
      entity_id: "sensor.cube_last_action",
      state: "None",
      attributes: {
        friendly_name: "Cube last action",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.725219+00:00",
      last_updated: "2019-01-22T17:00:14.725219+00:00",
      context: { id: "c15e32f84dfa45de95aa446153f28508", user_id: null },
    },
    "sensor.pollen_level": {
      entity_id: "sensor.pollen_level",
      state: "Low",
      attributes: {
        friendly_name: "Pollen Level",
        entity_picture: "/assets/arsaboo/icons/low.png",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.727410+00:00",
      last_updated: "2019-01-22T17:00:14.727410+00:00",
      context: { id: "e4ac71603c4b483fa03967118f75446f", user_id: null },
    },
    "sensor.cold_flu_risk": {
      entity_id: "sensor.cold_flu_risk",
      state: "None",
      attributes: { friendly_name: "Cold & Flu Risk", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:14.731725+00:00",
      last_updated: "2019-01-22T17:00:14.731725+00:00",
      context: { id: "d503191c60fa4c8ab2ffb9244d060495", user_id: null },
    },
    "sensor.emulated_hue_names": {
      entity_id: "sensor.emulated_hue_names",
      state: "Kitchen Lights, and Garage Lights.",
      attributes: {
        friendly_name: "Emulated Hue Names",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.746115+00:00",
      last_updated: "2019-01-22T17:00:14.746115+00:00",
      context: { id: "2189dbba98bd42c48a55ad90004630fa", user_id: null },
    },
    "sensor.moon": {
      entity_id: "sensor.moon",
      state: "waning_gibbous",
      attributes: {
        moonrise: "7:54PM",
        moonset: "8:54AM",
        friendly_name: "Moon",
        icon: "hademo:brightness-3",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.793297+00:00",
      last_updated: "2019-01-22T16:59:56.793297+00:00",
      context: { id: "66baa5297c3140f8ac53836c3318e89a", user_id: null },
    },
    "sensor.uptime": {
      entity_id: "sensor.uptime",
      state: "157.32",
      attributes: {
        unit_of_measurement: "minutes",
        friendly_name: "Uptime",
        icon: "hademo:clock",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:37:16.010174+00:00",
      last_updated: "2019-01-22T19:37:16.010174+00:00",
      context: { id: "3466c6ccfbb9495db893ee4f2cff45a3", user_id: null },
    },
    "sensor.season": {
      entity_id: "sensor.season",
      state: "winter",
      attributes: {
        friendly_name: "Season",
        icon: "hademo:snowflake",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.796129+00:00",
      last_updated: "2019-01-22T16:59:56.796129+00:00",
      context: { id: "b667a29ced3443c5badab0458f04a21a", user_id: null },
    },
    "binary_sensor.backyard_motion": {
      entity_id: "binary_sensor.backyard_motion",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.372223",
        friendly_name: "Backyard Motion",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.796804+00:00",
      last_updated: "2019-01-22T16:59:56.796804+00:00",
      context: { id: "1930ee4e98f34336b3df630bd6826534", user_id: null },
    },
    "binary_sensor.backyard_face_detection": {
      entity_id: "binary_sensor.backyard_face_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.372229",
        friendly_name: "Backyard Face Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.798126+00:00",
      last_updated: "2019-01-22T16:59:56.798126+00:00",
      context: { id: "3de9745bc25c4c809ed4a54b4b18f5b9", user_id: null },
    },
    "binary_sensor.backyard_field_detection": {
      entity_id: "binary_sensor.backyard_field_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.372228",
        friendly_name: "Backyard Field Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.798398+00:00",
      last_updated: "2019-01-22T16:59:56.798398+00:00",
      context: { id: "48e93b0e17c6410b8e730784bf7abf92", user_id: null },
    },
    "binary_sensor.backyard_line_crossing": {
      entity_id: "binary_sensor.backyard_line_crossing",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.372227",
        friendly_name: "Backyard Line Crossing",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.798774+00:00",
      last_updated: "2019-01-22T16:59:56.798774+00:00",
      context: { id: "da23e1deb3414bee8353b5c7a8e1186f", user_id: null },
    },
    "binary_sensor.patio_line_crossing": {
      entity_id: "binary_sensor.patio_line_crossing",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.374032",
        friendly_name: "Patio Line Crossing",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.799069+00:00",
      last_updated: "2019-01-22T16:59:56.799069+00:00",
      context: { id: "efbf5ed28fa64b20a6e2663222422ae3", user_id: null },
    },
    "binary_sensor.patio_face_detection": {
      entity_id: "binary_sensor.patio_face_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.374035",
        friendly_name: "Patio Face Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.799324+00:00",
      last_updated: "2019-01-22T16:59:56.799324+00:00",
      context: { id: "a02b06f8a5e94798a4ea507bdec69233", user_id: null },
    },
    "binary_sensor.patio_field_detection": {
      entity_id: "binary_sensor.patio_field_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.374034",
        friendly_name: "Patio Field Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.799570+00:00",
      last_updated: "2019-01-22T16:59:56.799570+00:00",
      context: { id: "855ac44d2e70402a9d64222aa415e43c", user_id: null },
    },
    "binary_sensor.patio_motion": {
      entity_id: "binary_sensor.patio_motion",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.374029",
        friendly_name: "Patio Motion",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.799816+00:00",
      last_updated: "2019-01-22T16:59:56.799816+00:00",
      context: { id: "648b3f7151e546eb98b886273b9a3df3", user_id: null },
    },
    "camera.grafana_mode_down": {
      entity_id: "camera.grafana_mode_down",
      state: "idle",
      attributes: {
        access_token:
          "c96682819ddb280f8aa2bedd93a52aabd8a535f9c01f85492c98d82e6d20beed",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/grafana/down_mode.png",
        friendly_name: "Grafana mode down",
        entity_picture:
          "/api/camera_proxy/camera.grafana_mode_down?token=c96682819ddb280f8aa2bedd93a52aabd8a535f9c01f85492c98d82e6d20beed",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.800175+00:00",
      last_updated: "2019-01-22T19:35:30.015174+00:00",
      context: { id: "9b0a0fc5160644a1a68d373dd5e49e54", user_id: null },
    },
    "camera.grafana_temp_down": {
      entity_id: "camera.grafana_temp_down",
      state: "idle",
      attributes: {
        access_token:
          "ecc1ee14240403cf6cb851860b403873d859876a6982b034e38b732a54f8b50d",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/grafana/down_temp.png",
        friendly_name: "Grafana temp down",
        entity_picture:
          "/api/camera_proxy/camera.grafana_temp_down?token=ecc1ee14240403cf6cb851860b403873d859876a6982b034e38b732a54f8b50d",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.800481+00:00",
      last_updated: "2019-01-22T19:35:30.018637+00:00",
      context: { id: "ea2722ea4b7a42c4ae7806ae27c646c0", user_id: null },
    },
    "camera.grafana_temp_master": {
      entity_id: "camera.grafana_temp_master",
      state: "idle",
      attributes: {
        access_token:
          "92ddf68a12c96e499e042485b9ec7b88a43fcb5c544c8342417976751040470e",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/grafana/master_temp.png",
        friendly_name: "Grafana temp master",
        entity_picture:
          "/api/camera_proxy/camera.grafana_temp_master?token=92ddf68a12c96e499e042485b9ec7b88a43fcb5c544c8342417976751040470e",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.800766+00:00",
      last_updated: "2019-01-22T19:35:30.026857+00:00",
      context: { id: "1885cd9b13394e5cb226af554a1c9b85", user_id: null },
    },
    "camera.backyard_tf": {
      entity_id: "camera.backyard_tf",
      state: "idle",
      attributes: {
        access_token:
          "72e82fb8c7436358278934ecfb6c1b7d677789b17b58361d89c83154fe18fae0",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/camera/backyard_latest.jpg",
        friendly_name: "Backyard TF",
        entity_picture:
          "/api/camera_proxy/camera.backyard_tf?token=72e82fb8c7436358278934ecfb6c1b7d677789b17b58361d89c83154fe18fae0",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.801037+00:00",
      last_updated: "2019-01-22T19:35:30.029507+00:00",
      context: { id: "2bb4b3ba9e1146f5a96057dad442bb67", user_id: null },
    },
    "camera.grafana_mode_master": {
      entity_id: "camera.grafana_mode_master",
      state: "idle",
      attributes: {
        access_token:
          "60036ed5f6c4c5aa67a1d58d83a1f72848667abcfe40e8bae840ac4049ac5086",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/grafana/master_mode.png",
        friendly_name: "Grafana mode master",
        entity_picture:
          "/api/camera_proxy/camera.grafana_mode_master?token=60036ed5f6c4c5aa67a1d58d83a1f72848667abcfe40e8bae840ac4049ac5086",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.801311+00:00",
      last_updated: "2019-01-22T19:35:30.032912+00:00",
      context: { id: "5072438fe54243e99c96a60a08fec05a", user_id: null },
    },
    "camera.porch_tf": {
      entity_id: "camera.porch_tf",
      state: "idle",
      attributes: {
        access_token:
          "25a3693f01054daf585dd95fa586403f7cacd2af59d1b8b17bb76dd5794384ed",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/camera/porch_latest.jpg",
        friendly_name: "Porch TF",
        entity_picture:
          "/api/camera_proxy/camera.porch_tf?token=25a3693f01054daf585dd95fa586403f7cacd2af59d1b8b17bb76dd5794384ed",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.801624+00:00",
      last_updated: "2019-01-22T19:35:30.035482+00:00",
      context: { id: "8ba86ba5f9fa4bb0a6b84c6e8612b95c", user_id: null },
    },
    "camera.grafana_temp_up": {
      entity_id: "camera.grafana_temp_up",
      state: "idle",
      attributes: {
        access_token:
          "fd7e5af112b2ac6ffe241cae9fc00803920b31c3d89b2562c81c27efef71cf1e",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/grafana/up_temp.png",
        friendly_name: "Grafana temp up",
        entity_picture:
          "/api/camera_proxy/camera.grafana_temp_up?token=fd7e5af112b2ac6ffe241cae9fc00803920b31c3d89b2562c81c27efef71cf1e",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.802005+00:00",
      last_updated: "2019-01-22T19:35:30.039498+00:00",
      context: { id: "c7e131c0ba0b4554809dd6af94a48d19", user_id: null },
    },
    "camera.patio_tf": {
      entity_id: "camera.patio_tf",
      state: "idle",
      attributes: {
        access_token:
          "3053bdc1a64ecbd02f0576697b1b8c75f744265b1c2bb7ddad79172eba275a81",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/camera/patio_latest.jpg",
        friendly_name: "Patio TF",
        entity_picture:
          "/api/camera_proxy/camera.patio_tf?token=3053bdc1a64ecbd02f0576697b1b8c75f744265b1c2bb7ddad79172eba275a81",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.802464+00:00",
      last_updated: "2019-01-22T19:35:30.042087+00:00",
      context: { id: "614aefa6426b40b79fff43fa22b8af05", user_id: null },
    },
    "binary_sensor.porch_line_crossing": {
      entity_id: "binary_sensor.porch_line_crossing",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T14:30:42.103604",
        friendly_name: "Porch Line Crossing",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:42.109086+00:00",
      last_updated: "2019-01-22T19:30:42.109086+00:00",
      context: { id: "9c70cfabde3c4e69acdedf256aa2c138", user_id: null },
    },
    "binary_sensor.porch_motion": {
      entity_id: "binary_sensor.porch_motion",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T14:32:14.854728",
        friendly_name: "Porch Motion",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:32:14.855436+00:00",
      last_updated: "2019-01-22T19:32:14.855436+00:00",
      context: { id: "891598b1aed041f1a5febd58206380b9", user_id: null },
    },
    "binary_sensor.porch_face_detection": {
      entity_id: "binary_sensor.porch_face_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.362348",
        friendly_name: "Porch Face Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.805752+00:00",
      last_updated: "2019-01-22T16:59:56.805752+00:00",
      context: { id: "3c3fa8c39466444aa53ba3df398d1cca", user_id: null },
    },
    "binary_sensor.porch_field_detection": {
      entity_id: "binary_sensor.porch_field_detection",
      state: "off",
      attributes: {
        last_tripped_time: "2019-01-22T11:59:56.362347",
        friendly_name: "Porch Field Detection",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.806025+00:00",
      last_updated: "2019-01-22T16:59:56.806025+00:00",
      context: { id: "b13944687249459ea03de6a97eb22be9", user_id: null },
    },
    "camera.grafana_mode_up": {
      entity_id: "camera.grafana_mode_up",
      state: "idle",
      attributes: {
        access_token:
          "470d93f7e456c27ecbe982c309007273b615dff00e999cb463023a4bf217fc2d",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/grafana/up_mode.png",
        friendly_name: "Grafana mode up",
        entity_picture:
          "/api/camera_proxy/camera.grafana_mode_up?token=470d93f7e456c27ecbe982c309007273b615dff00e999cb463023a4bf217fc2d",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.806335+00:00",
      last_updated: "2019-01-22T19:35:30.044562+00:00",
      context: { id: "0bd060f962a747638e192b2b93ba5463", user_id: null },
    },
    "camera.driveway_tf": {
      entity_id: "camera.driveway_tf",
      state: "idle",
      attributes: {
        access_token:
          "1584bc1b187c55a8aa3e30f24f3082c41ff1971cad1257f6aefb0529aa8f3208",
        file_path:
          "/home/homeassistant/.homeassistant/downloads/camera/driveway_latest.jpg",
        friendly_name: "Driveway TF",
        entity_picture:
          "/api/camera_proxy/camera.driveway_tf?token=1584bc1b187c55a8aa3e30f24f3082c41ff1971cad1257f6aefb0529aa8f3208",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.806637+00:00",
      last_updated: "2019-01-22T19:35:30.046901+00:00",
      context: { id: "5b3b99a639c746658ee0b8a44509b0a5", user_id: null },
    },
    "sensor.total_tv_time": {
      entity_id: "sensor.total_tv_time",
      state: "0.42",
      attributes: {
        value: "25m",
        unit_of_measurement: "h",
        friendly_name: "Total TV Time",
        icon: "hademo:chart-line",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.938049+00:00",
      last_updated: "2019-01-22T17:00:14.938049+00:00",
      context: { id: "22b23e84bd7d4acfb97653fbb68ad6ef", user_id: null },
    },
    "sensor.downstairs_cool": {
      entity_id: "sensor.downstairs_cool",
      state: "0.0",
      attributes: {
        value: "0m",
        unit_of_measurement: "h",
        friendly_name: "Downstairs cool",
        icon: "hademo:chart-line",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:15.058500+00:00",
      last_updated: "2019-01-22T17:00:15.058500+00:00",
      context: { id: "e4b8035fbc964a6cbead5ac4ca1aef74", user_id: null },
    },
    "sensor.upstairs_heat": {
      entity_id: "sensor.upstairs_heat",
      state: "0.84",
      attributes: {
        value: "50m",
        unit_of_measurement: "h",
        friendly_name: "Upstairs heat",
        icon: "hademo:chart-line",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:15.085632+00:00",
      last_updated: "2019-01-22T17:00:15.085632+00:00",
      context: { id: "81b54c5ba5334e3cad2e73fc26bf5fe3", user_id: null },
    },
    "sensor.master_heat": {
      entity_id: "sensor.master_heat",
      state: "1.31",
      attributes: {
        value: "1h 18m",
        unit_of_measurement: "h",
        friendly_name: "Master heat",
        icon: "hademo:chart-line",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:15.140431+00:00",
      last_updated: "2019-01-22T17:00:15.140431+00:00",
      context: { id: "9968dac10ad94d4d8b391424709edd70", user_id: null },
    },
    "sensor.master_cool": {
      entity_id: "sensor.master_cool",
      state: "0.0",
      attributes: {
        value: "0m",
        unit_of_measurement: "h",
        friendly_name: "Master cool",
        icon: "hademo:chart-line",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:15.164528+00:00",
      last_updated: "2019-01-22T17:00:15.164528+00:00",
      context: { id: "415751dc2618412a900e939995289b89", user_id: null },
    },
    "sensor.upstairs_cool": {
      entity_id: "sensor.upstairs_cool",
      state: "0.0",
      attributes: {
        value: "0m",
        unit_of_measurement: "h",
        friendly_name: "Upstairs cool",
        icon: "hademo:chart-line",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:15.118623+00:00",
      last_updated: "2019-01-22T17:00:15.118623+00:00",
      context: { id: "ff084bab0b2641b49a41c8ab5fa6d30a", user_id: null },
    },
    "camera.ars_bloom": {
      entity_id: "camera.ars_bloom",
      state: "idle",
      attributes: {
        access_token:
          "65799c68b1d7cd60a19953bacd0ef6cae8038f729e90821be344a61b609ed824",
        friendly_name: "ARS Bloom",
        entity_picture:
          "/api/camera_proxy/camera.ars_bloom?token=65799c68b1d7cd60a19953bacd0ef6cae8038f729e90821be344a61b609ed824",
        supported_features: 0,
      },
      last_changed: "2019-01-22T16:59:56.809745+00:00",
      last_updated: "2019-01-22T19:35:30.056719+00:00",
      context: { id: "1b6aab87165a49109796d0769c0f9ea3", user_id: null },
    },
    "sensor.downstairs_heat": {
      entity_id: "sensor.downstairs_heat",
      state: "2.48",
      attributes: {
        value: "2h 28m",
        unit_of_measurement: "h",
        friendly_name: "Downstairs heat",
        icon: "hademo:chart-line",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:37:16.154628+00:00",
      last_updated: "2019-01-22T19:37:16.154628+00:00",
      context: { id: "505e0c7b6c6a4d008cb193886713d15b", user_id: null },
    },
    "climate.downstairs": {
      entity_id: "climate.downstairs",
      state: "auto",
      attributes: {
        current_temperature: 67,
        min_temp: 45,
        max_temp: 95,
        temperature: null,
        target_temp_high: 79,
        target_temp_low: 71,
        fan_mode: "auto",
        fan_list: ["auto", "on"],
        operation_mode: "auto",
        operation_list: ["auto", "auxHeatOnly", "cool", "heat", "off"],
        hold_mode: null,
        away_mode: "off",
        aux_heat: "on",
        actual_humidity: 30,
        fan: "on",
        climate_mode: "Home",
        operation: "heat",
        climate_list: ["Away", "Sleep", "Home"],
        fan_min_on_time: 15,
        friendly_name: "Downstairs",
        supported_features: 3575,
        homebridge_hidden: true,
        entity_picture: "/assets/arsaboo/icons/Ecobee.png",
      },
      last_changed: "2019-01-22T16:59:56.810505+00:00",
      last_updated: "2019-01-22T19:36:17.071290+00:00",
      context: { id: "348150c910624da096015659749f1a7a", user_id: null },
    },
    "climate.upstairs": {
      entity_id: "climate.upstairs",
      state: "auto",
      attributes: {
        current_temperature: 22,
        min_temp: 15,
        max_temp: 30,
        temperature: null,
        target_temp_high: 24,
        target_temp_low: 20,
        fan_mode: "auto",
        fan_list: ["auto", "on"],
        operation_mode: "auto",
        operation_list: ["auto", "auxHeatOnly", "cool", "heat", "off"],
        hold_mode: null,
        away_mode: "off",
        aux_heat: "off",
        actual_humidity: 30,
        fan: "on",
        climate_mode: "Day",
        operation: "fan",
        climate_list: ["Away", "Sleep", "Day", "Home"],
        fan_min_on_time: 10,
        friendly_name: "Upstairs",
        supported_features: 3575,
        homebridge_hidden: true,
        entity_picture: "/assets/arsaboo/icons/Ecobee.png",
      },
      last_changed: "2019-01-22T16:59:56.810867+00:00",
      last_updated: "2019-01-22T19:33:14.146114+00:00",
      context: { id: "211635d7bddb468d927d18cee9f795cf", user_id: null },
    },
    "climate.bedroom": {
      entity_id: "climate.bedroom",
      state: "auto",
      attributes: {
        current_temperature: 64,
        min_temp: 45,
        max_temp: 95,
        temperature: null,
        target_temp_high: 83,
        target_temp_low: 64,
        fan_mode: "auto",
        fan_list: ["auto", "on"],
        operation_mode: "auto",
        operation_list: ["auto", "auxHeatOnly", "cool", "heat", "off"],
        hold_mode: "away",
        away_mode: "off",
        aux_heat: "off",
        actual_humidity: 34,
        fan: "off",
        climate_mode: "Home",
        operation: "idle",
        climate_list: ["Away", "Home", "Sleep"],
        fan_min_on_time: 15,
        friendly_name: "Master",
        supported_features: 3575,
        homebridge_hidden: true,
        entity_picture: "/assets/arsaboo/icons/Ecobee.png",
      },
      last_changed: "2019-01-22T16:59:56.811221+00:00",
      last_updated: "2019-01-22T19:36:17.005785+00:00",
      context: { id: "7b2f5cf81530411f938d0851d6f98752", user_id: null },
    },
    "sensor.energy": {
      entity_id: "sensor.energy",
      state: "-1.77",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Energy",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.411856+00:00",
      last_updated: "2019-01-22T19:30:22.411856+00:00",
      context: { id: "bc1c87de4ba540d6929050402b6712a6", user_id: null },
    },
    "sensor.dark_sky_hourly_summary": {
      entity_id: "sensor.dark_sky_hourly_summary",
      state: "Light rain tomorrow morning.",
      attributes: {
        attribution: "Powered by Dark Sky",
        friendly_name: "Hourly Summary",
        icon: "hademo:weather-pouring",
        entity_picture: "/static/images/darksky/weather-pouring.svg",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:20:44.344392+00:00",
      last_updated: "2019-01-22T19:20:44.344392+00:00",
      context: { id: "afa2a6beb9b34aa7b2335db09c685198", user_id: null },
    },
    "group.temperature": {
      entity_id: "group.temperature",
      state: "off",
      attributes: {
        entity_id: [
          "group.weather",
          "group.weather_card_forecast",
          "group.room_sensors",
          "group.thermostats",
          "group.camera_meteogram",
          "group.camera_wundergroundradar",
          "weather.yweather",
          "camera.livingroom_temperature",
          "group.group_iframe",
        ],
        order: 1,
        view: true,
        friendly_name: "Temperature Sensors",
        icon: "hademo:weather-cloudy",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:29:19.941276+00:00",
      last_updated: "2019-01-22T19:29:19.941276+00:00",
      context: { id: "cfd16d91372f4423ab09b39a85a9b0b2", user_id: null },
    },
    "sensor.industrials": {
      entity_id: "sensor.industrials",
      state: "-2.12",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Industrials",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.432898+00:00",
      last_updated: "2019-01-22T19:30:22.432898+00:00",
      context: { id: "ff322da311524ed084a040c6691d7fd9", user_id: null },
    },
    "group.cameras": {
      entity_id: "group.cameras",
      state: "unknown",
      attributes: {
        entity_id: [
          "group.camera_driveway",
          "group.camera_backyard",
          "group.camera_porch",
          "group.camera_patio",
          "group.camera_ring_doorbell",
          "group.camera_arsbloom",
          "group.camera_foscam1",
          "group.camera_foscam2",
          "group.camera_foscam3",
          "group.camera_motoe",
          "group.camera_opencv_porch",
          "group.camera_worldtime",
          "group.camera_arlolivingroom",
          "group.camera_arlolivingroom2",
          "group.camera_arlo3",
        ],
        order: 2,
        view: true,
        friendly_name: "Cameras",
        icon: "hademo:cctv",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.864108+00:00",
      last_updated: "2019-01-22T16:59:56.864108+00:00",
      context: { id: "4d68709a6173448d93df383899abf3ee", user_id: null },
    },
    "sensor.dark_sky_daily_summary": {
      entity_id: "sensor.dark_sky_daily_summary",
      state:
        "Heavy rain tomorrow and Thursday, with high temperatures falling to 42°F on Friday.",
      attributes: {
        attribution: "Powered by Dark Sky",
        friendly_name: "Daily Summary",
        icon: "hademo:weather-pouring",
        entity_picture: "/static/images/darksky/weather-pouring.svg",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:20:44.353613+00:00",
      last_updated: "2019-01-22T19:20:44.353613+00:00",
      context: { id: "90865b1f0c514e449223aa2cc70d1bf9", user_id: null },
    },
    "sensor.sonos_stereo": {
      entity_id: "sensor.sonos_stereo",
      state: "21",
      attributes: { friendly_name: "Sonos Stereo", homebridge_hidden: true },
      last_changed: "2019-01-22T16:59:56.874416+00:00",
      last_updated: "2019-01-22T16:59:56.874416+00:00",
      context: { id: "a97884e6b1cb4719ace79bf0edd2a1d8", user_id: null },
    },
    "sensor.real_estate": {
      entity_id: "sensor.real_estate",
      state: "-0.6",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Real Estate",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.439718+00:00",
      last_updated: "2019-01-22T19:30:22.439718+00:00",
      context: { id: "9b2f99cd522543baaa386e92c1854408", user_id: null },
    },
    "group.media": {
      entity_id: "group.media",
      state: "on",
      attributes: {
        entity_id: [
          "group.entertainment",
          "group.light_operations",
          "group.media_player",
        ],
        order: 3,
        view: true,
        friendly_name: "Media",
        icon: "hademo:play-circle-outline",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.915873+00:00",
      last_updated: "2019-01-22T16:59:56.915873+00:00",
      context: { id: "8bd92a92600e41dc929e0406cf9c912c", user_id: null },
    },
    "input_boolean.partymode": {
      entity_id: "input_boolean.partymode",
      state: "off",
      attributes: {
        friendly_name: "Party Mode",
        icon: "hademo:theme-light-dark",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
      },
      last_changed: "2019-01-22T16:59:56.881049+00:00",
      last_updated: "2019-01-22T16:59:56.881049+00:00",
      context: { id: "3daf0b7b68ec461ea49a3f25c79fe6fa", user_id: null },
    },
    "input_boolean.abodeupdate": {
      entity_id: "input_boolean.abodeupdate",
      state: "on",
      attributes: {
        friendly_name: "Abode Updates",
        icon: "hademo:security",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
        emulated_hue_hidden: false,
      },
      last_changed: "2019-01-22T16:59:56.881638+00:00",
      last_updated: "2019-01-22T16:59:56.881638+00:00",
      context: { id: "7565c5becbca495c91550822d3284249", user_id: null },
    },
    "input_boolean.startrecording": {
      entity_id: "input_boolean.startrecording",
      state: "off",
      attributes: {
        friendly_name: "Camera Recording",
        icon: "hademo:record-rec",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
        emulated_hue_hidden: false,
      },
      last_changed: "2019-01-22T16:59:56.881852+00:00",
      last_updated: "2019-01-22T16:59:56.881852+00:00",
      context: { id: "56023e7a2fb24155b3e2cb3e87214dfe", user_id: null },
    },
    "input_boolean.devmode": {
      entity_id: "input_boolean.devmode",
      state: "off",
      attributes: {
        friendly_name: "Developer Mode",
        icon: "hademo:tune",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
      },
      last_changed: "2019-01-22T16:59:56.882222+00:00",
      last_updated: "2019-01-22T16:59:56.882222+00:00",
      context: { id: "f62ff57d701a4e259a416e0c7ddabccb", user_id: null },
    },
    "input_boolean.tv": {
      entity_id: "input_boolean.tv",
      state: "off",
      attributes: {
        friendly_name: "TV",
        icon: "hademo:television",
        homebridge_hidden: false,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
      },
      last_changed: "2019-01-22T16:59:56.882562+00:00",
      last_updated: "2019-01-22T16:59:56.882562+00:00",
      context: { id: "0ac79c8674b242be968d08791e6b5932", user_id: null },
    },
    "input_boolean.dashbounty": {
      entity_id: "input_boolean.dashbounty",
      state: "off",
      attributes: {
        friendly_name: "Dash Bounty",
        icon: "hademo:security",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
      },
      last_changed: "2019-01-22T16:59:56.882889+00:00",
      last_updated: "2019-01-22T16:59:56.882889+00:00",
      context: { id: "39d77a40330a419392f8839e40fbcff2", user_id: null },
    },
    "input_boolean.homeautomation": {
      entity_id: "input_boolean.homeautomation",
      state: "on",
      attributes: {
        friendly_name: "Home Automation",
        icon: "hass:home-automation",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
      },
      last_changed: "2019-01-22T16:59:56.883106+00:00",
      last_updated: "2019-01-22T16:59:56.883106+00:00",
      context: { id: "c6eb55b9528c49f181f624b38c9e2744", user_id: null },
    },
    "input_boolean.tvtime": {
      entity_id: "input_boolean.tvtime",
      state: "on",
      attributes: {
        friendly_name: "TV Time",
        icon: "hademo:television-guide",
        homebridge_hidden: true,
        templates: {
          icon:
            "if (state === 'on') return 'hademo:television-classic'; return 'hademo:television-classic-off';\n",
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
      },
      last_changed: "2019-01-22T16:59:56.883309+00:00",
      last_updated: "2019-01-22T16:59:56.883309+00:00",
      context: { id: "5fdf8af8eb214e65ade4e3aeff3dd34b", user_id: null },
    },
    "input_boolean.leeoalarm": {
      entity_id: "input_boolean.leeoalarm",
      state: "off",
      attributes: {
        friendly_name: "Leeo Alarm",
        icon: "hademo:fire",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
        },
      },
      last_changed: "2019-01-22T16:59:56.883502+00:00",
      last_updated: "2019-01-22T16:59:56.883502+00:00",
      context: { id: "63fa38dbbf8647d9aeb38178a2bcefc4", user_id: null },
    },
    "input_select.current_theme": {
      entity_id: "input_select.current_theme",
      state: "oxfordblue",
      attributes: {
        options: [
          "default",
          "oxfordblue",
          "teal",
          "darkorange",
          "darkred",
          "darkcyan",
        ],
        friendly_name: "Current Theme",
        icon: "hademo:palette",
      },
      last_changed: "2019-01-22T17:00:16.025620+00:00",
      last_updated: "2019-01-22T17:00:16.025620+00:00",
      context: { id: "46df627202ed4c3981ad140e06bcc578", user_id: null },
    },
    "input_select.abodestatus": {
      entity_id: "input_select.abodestatus",
      state: "disarmed",
      attributes: {
        options: ["disarmed", "armed_home", "armed_away"],
        friendly_name: "Abode status",
        icon: "hademo:security",
      },
      last_changed: "2019-01-22T19:29:17.185384+00:00",
      last_updated: "2019-01-22T19:29:17.185384+00:00",
      context: { id: "562080ae942046f0a9f0a9959bd493e8", user_id: null },
    },
    "input_select.hvacmode": {
      entity_id: "input_select.hvacmode",
      state: "heat",
      attributes: {
        options: ["heat", "cool"],
        friendly_name: "HVAC Mode",
        icon: "hademo:air-conditioner",
      },
      last_changed: "2019-01-22T16:59:56.884120+00:00",
      last_updated: "2019-01-22T16:59:56.884120+00:00",
      context: { id: "5999f361de4841fd893e852cf6df2dc9", user_id: null },
    },
    "input_select.livingroomharmony": {
      entity_id: "input_select.livingroomharmony",
      state: "PowerOff",
      attributes: {
        options: [
          "PowerOff",
          "Watch Fire TV",
          "Youtube",
          "SATV",
          "Watch Apple TV",
        ],
        friendly_name: "Harmony Activity",
        icon: "hademo:remote",
      },
      last_changed: "2019-01-22T16:59:56.884366+00:00",
      last_updated: "2019-01-22T16:59:56.884366+00:00",
      context: { id: "0f58b582c976468da868054edf770f92", user_id: null },
    },
    "input_select.hdmiswitcher": {
      entity_id: "input_select.hdmiswitcher",
      state: "Shield",
      attributes: {
        options: ["AppleTV", "FireTV", "Shield"],
        friendly_name: "HDMI Switcher",
        icon: "hademo:remote",
      },
      last_changed: "2019-01-22T16:59:56.884597+00:00",
      last_updated: "2019-01-22T16:59:56.884597+00:00",
      context: { id: "20071b60a5a84a10b48a218f1cad67e7", user_id: null },
    },
    "input_select.hdmiinput": {
      entity_id: "input_select.hdmiinput",
      state: "InputHdmi4",
      attributes: {
        options: ["InputHdmi1", "InputHdmi2", "InputHDMI3", "InputHdmi4"],
        friendly_name: "HDMI Input",
        icon: "hademo:remote",
      },
      last_changed: "2019-01-22T16:59:56.884850+00:00",
      last_updated: "2019-01-22T16:59:56.884850+00:00",
      context: { id: "d807dee60854436f81ef374ab8267bd1", user_id: null },
    },
    "input_text.patio": {
      entity_id: "input_text.patio",
      state: "Tags",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Patio Camera Tags",
      },
      last_changed: "2019-01-22T16:59:56.885148+00:00",
      last_updated: "2019-01-22T16:59:56.885148+00:00",
      context: { id: "1eb4828dd842400d86df0007f17204f9", user_id: null },
    },
    "input_text.porchfaces": {
      entity_id: "input_text.porchfaces",
      state: "0",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Porch Camera Faces",
      },
      last_changed: "2019-01-22T16:59:56.885350+00:00",
      last_updated: "2019-01-22T16:59:56.885350+00:00",
      context: { id: "77cd318bc12a43dba043ee3f0998b203", user_id: null },
    },
    "input_text.backyardfaces": {
      entity_id: "input_text.backyardfaces",
      state: "0",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Backyard Camera Faces",
      },
      last_changed: "2019-01-22T16:59:56.885544+00:00",
      last_updated: "2019-01-22T16:59:56.885544+00:00",
      context: { id: "c2ebf0947a1842bf820613d5cdc9a515", user_id: null },
    },
    "input_text.driveway": {
      entity_id: "input_text.driveway",
      state: "Tags",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Driveway Camera Tags",
      },
      last_changed: "2019-01-22T16:59:56.885776+00:00",
      last_updated: "2019-01-22T16:59:56.885776+00:00",
      context: { id: "9a6dd6a5d5d4443a8d60907f62cec94a", user_id: null },
    },
    "input_text.porch": {
      entity_id: "input_text.porch",
      state: "Tags",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Porch Camera Tags",
      },
      last_changed: "2019-01-22T16:59:56.886058+00:00",
      last_updated: "2019-01-22T16:59:56.886058+00:00",
      context: { id: "1617a6ee0f1149068839cbb21393b8e0", user_id: null },
    },
    "input_text.backyard": {
      entity_id: "input_text.backyard",
      state: "Tags",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Backyard Camera Tags",
      },
      last_changed: "2019-01-22T16:59:56.886247+00:00",
      last_updated: "2019-01-22T16:59:56.886247+00:00",
      context: { id: "45085c7417b3440e9b7b36645b1b8514", user_id: null },
    },
    "input_text.patiofaces": {
      entity_id: "input_text.patiofaces",
      state: "0",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Patio Camera Faces",
      },
      last_changed: "2019-01-22T16:59:56.886439+00:00",
      last_updated: "2019-01-22T16:59:56.886439+00:00",
      context: { id: "510f3b7d64594d3a88134138988ff2bc", user_id: null },
    },
    "input_text.drivewayfaces": {
      entity_id: "input_text.drivewayfaces",
      state: "0",
      attributes: {
        min: 0,
        max: 100,
        pattern: null,
        mode: "text",
        friendly_name: "Driveway Camera Faces",
      },
      last_changed: "2019-01-22T16:59:56.886685+00:00",
      last_updated: "2019-01-22T16:59:56.886685+00:00",
      context: { id: "c7359c8b57294a66a0720f1a1be85710", user_id: null },
    },
    "input_number.portfolioreturn": {
      entity_id: "input_number.portfolioreturn",
      state: "1.0",
      attributes: {
        initial: null,
        min: 1,
        max: 25,
        step: 1,
        mode: "slider",
        friendly_name: "Portfolio Return",
        icon: "hademo:chart-line-variant",
      },
      last_changed: "2019-01-22T16:59:56.886919+00:00",
      last_updated: "2019-01-22T16:59:56.886919+00:00",
      context: { id: "20c728acdc1c409d9b0e9434c8b1d4d1", user_id: null },
    },
    "input_number.harmonyvolume": {
      entity_id: "input_number.harmonyvolume",
      state: "18.0",
      attributes: {
        initial: 30,
        min: 1,
        max: 100,
        step: 1,
        mode: "slider",
        friendly_name: "Volume",
        icon: "hademo:volume-high",
      },
      last_changed: "2019-01-22T17:00:16.104666+00:00",
      last_updated: "2019-01-22T17:00:16.104666+00:00",
      context: { id: "46df627202ed4c3981ad140e06bcc578", user_id: null },
    },
    "sensor.speedtest_download": {
      entity_id: "sensor.speedtest_download",
      state: "757.69",
      attributes: {
        unit_of_measurement: "Mbit/s",
        friendly_name: "Speedtest Download",
        icon: "hademo:speedometer",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.888048+00:00",
      last_updated: "2019-01-22T16:59:56.888048+00:00",
      context: { id: "5c57be9d6a554875a9a4330d8b39a38b", user_id: null },
    },
    "sensor.dark_sky_summary": {
      entity_id: "sensor.dark_sky_summary",
      state: "Mostly Cloudy",
      attributes: {
        attribution: "Powered by Dark Sky",
        friendly_name: "Dark Sky Summary",
        icon: "hademo:weather-partlycloudy",
        entity_picture: "/static/images/darksky/weather-partlycloudy.svg",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.888477+00:00",
      last_updated: "2019-01-22T16:59:56.888477+00:00",
      context: { id: "91c0b272a38940f08058e011826b2024", user_id: null },
    },
    "group.settings": {
      entity_id: "group.settings",
      state: "on",
      attributes: {
        entity_id: [
          "group.household",
          "group.devices",
          "group.hass_details",
          "group.camera_sensors",
          "group.camera_processing",
          "group.camera_switches",
          "group.network_details",
          "group.arlo",
          "group.all_automations",
          "group.uscis",
        ],
        order: 4,
        view: true,
        friendly_name: "Settings",
        icon: "hademo:settings",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.650919+00:00",
      last_updated: "2019-01-22T17:00:05.650919+00:00",
      context: { id: "e4e17c32691e467b90bec473791985d7", user_id: null },
    },
    "group.hass_details": {
      entity_id: "group.hass_details",
      state: "unknown",
      attributes: {
        entity_id: [
          "sensor.ssl_certificate_expiry",
          "input_select.current_theme",
        ],
        order: 5,
        friendly_name: "HASS Details",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.891507+00:00",
      last_updated: "2019-01-22T16:59:56.891507+00:00",
      context: { id: "9a11d968bc48454ea46fcef275805bf7", user_id: null },
    },
    "group.weather": {
      entity_id: "group.weather",
      state: "unknown",
      attributes: {
        entity_id: [
          "sensor.pws_weather",
          "sensor.pws_temp_f",
          "sensor.pws_relative_humidity",
          "sensor.pws_wind_string",
          "sensor.dark_sky_cloud_coverage",
          "sensor.pollen_level",
          "sensor.cold_flu_risk",
          "sensor.dark_sky_hourly_summary",
          "sensor.dark_sky_daily_summary",
        ],
        order: 6,
        friendly_name: "Weather",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.892259+00:00",
      last_updated: "2019-01-22T16:59:56.892259+00:00",
      context: { id: "6856333d525848d794fb6e9a2a0818b1", user_id: null },
    },
    "group.group_iframe": {
      entity_id: "group.group_iframe",
      state: "unknown",
      attributes: {
        entity_id: ["sensor.iframe_windy"],
        order: 8,
        friendly_name: " ",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.893395+00:00",
      last_updated: "2019-01-22T16:59:56.893395+00:00",
      context: { id: "9503791082384b5294a913567d543f17", user_id: null },
    },
    "group.room_sensors": {
      entity_id: "group.room_sensors",
      state: "off",
      attributes: {
        entity_id: [
          "sensor.illumination_158d00016612af",
          "sensor.humidity_158d0001ab7d20",
          "sensor.pressure_158d0001ab7d20",
          "sensor.temperature_158d0001ab7d20",
          "sensor.humidity_158d0001ab3c88",
          "sensor.pressure_158d0001ab3c88",
          "sensor.temperature_158d0001ab3c88",
          "sensor.humidity_158d0001ab3b2b",
          "sensor.pressure_158d0001ab3b2b",
          "sensor.temperature_158d0001ab3b2b",
          "sensor.illumination_34ce00813670",
          "sensor.illumination_158d0001a1f2ab",
          "binary_sensor.water_leak_sensor_158d0001d77800",
          "sensor.leeoalarmstatus",
        ],
        order: 9,
        friendly_name: "Room Sensors",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.647498+00:00",
      last_updated: "2019-01-22T17:00:03.647498+00:00",
      context: { id: "8b7c58d695e34d90a43e33c6d52a80e9", user_id: null },
    },
    "group.thermostats": {
      entity_id: "group.thermostats",
      state: "off",
      attributes: {
        entity_id: [
          "climate.downstairs",
          "sensor.downstairsthermoper",
          "sensor.downstairs_humidity",
          "sensor.living_room_temperature",
          "sensor.downstairs_hvac_runtime",
          "switch.downstairs_away",
          "climate.upstairs",
          "sensor.upstairsthermoper",
          "sensor.upstairs_humidity",
          "sensor.upstairs_temperature",
          "switch.upstairs_away",
          "sensor.upstairs_hvac_runtime",
          "input_select.hvacmode",
        ],
        order: 10,
        friendly_name: "Thermostats",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:29:19.928272+00:00",
      last_updated: "2019-01-22T19:29:19.928272+00:00",
      context: { id: "4085f7941d864ee7aaf93e11a1c88bf8", user_id: null },
    },
    "group.information": {
      entity_id: "group.information",
      state: "unknown",
      attributes: {
        entity_id: [
          "sensor.morning_commute",
          "sensor.alok_to_home",
          "sensor.plexspy",
          "sensor.usdinr",
        ],
        order: 11,
        friendly_name: "Information",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.894959+00:00",
      last_updated: "2019-01-22T16:59:56.894959+00:00",
      context: { id: "c468146e739f4a1a854f1fe7bdc7b5c2", user_id: null },
    },
    "group.network_details": {
      entity_id: "group.network_details",
      state: "unknown",
      attributes: {
        entity_id: [
          "sensor.speedtest_download",
          "sensor.pihole_dns_queries_today",
          "sensor.pihole_domains_blocked",
          "sensor.pihole_ads_percentage_blocked_today",
          "sensor.pihole_dns_unique_domains",
          "sensor.glances_cpu_load",
          "sensor.glances_disk_used",
          "sensor.glances_ram_used",
        ],
        order: 12,
        friendly_name: "Network Details",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.895493+00:00",
      last_updated: "2019-01-22T16:59:56.895493+00:00",
      context: { id: "953a6ad8729a46cdb54ea9608268877a", user_id: null },
    },
    "group.media_player": {
      entity_id: "group.media_player",
      state: "off",
      attributes: {
        entity_id: [
          "media_player.livingroomsonos",
          "media_player.kodi_nstv",
          "media_player.living_room_home",
          "media_player.living_room_tv",
          "media_player.panasonic_viera_tv",
          "media_player.shield",
          "media_player.shield_android_tv",
          "media_player.spotify",
          "media_player.apple_tv",
          "media_player.plex_shield_android_tv",
        ],
        order: 13,
        friendly_name: "Media Player",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.368087+00:00",
      last_updated: "2019-01-22T17:00:03.368087+00:00",
      context: { id: "7f6d37069616430dbc924e889dc74639", user_id: null },
    },
    "sensor.information_technology": {
      entity_id: "sensor.information_technology",
      state: "-1.82",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Information Technology",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.435296+00:00",
      last_updated: "2019-01-22T19:30:22.435296+00:00",
      context: { id: "a1f41f8e756e4fbfa9427cccc2700b69", user_id: null },
    },
    "sensor.dark_sky_temperature": {
      entity_id: "sensor.dark_sky_temperature",
      state: "40.6",
      attributes: {
        attribution: "Powered by Dark Sky",
        unit_of_measurement: "°F",
        friendly_name: "Dark Sky Temperature",
        icon: "hademo:thermometer",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:20:44.348526+00:00",
      last_updated: "2019-01-22T19:20:44.348526+00:00",
      context: { id: "4b0df299b91c45d5b8435c718422559b", user_id: null },
    },
    "sensor.ssl_certificate_expiry": {
      entity_id: "sensor.ssl_certificate_expiry",
      state: "69",
      attributes: {
        unit_of_measurement: "days",
        friendly_name: "SSL certificate expiry",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.902842+00:00",
      last_updated: "2019-01-22T16:59:56.902842+00:00",
      context: { id: "29fe3ce23aa34a80abb8f011e80d9802", user_id: null },
    },
    "group.home_security": {
      entity_id: "group.home_security",
      state: "on",
      attributes: {
        entity_id: [
          "alarm_control_panel.abode_alarm",
          "alarm_control_panel.arlohome",
          "alarm_control_panel.abode",
          "input_select.abodestatus",
          "cover.garagedoor",
          "input_boolean.abodeupdate",
          "binary_sensor.back_door",
          "binary_sensor.front_door",
          "binary_sensor.door_window_sensor_158d0001bf26df",
          "input_boolean.startrecording",
          "binary_sensor.motion_sensor_158d00016daecc",
          "binary_sensor.motion_sensor_158d00016612af",
          "binary_sensor.motion_sensor_158d0001a1f2ab",
        ],
        order: 14,
        control: "hidden",
        friendly_name: "Home Security",
        assumed_state: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.908953+00:00",
      last_updated: "2019-01-22T17:00:03.369484+00:00",
      context: { id: "f3aea1036f924748988985a6c166b9bc", user_id: null },
    },
    "sensor.utilities": {
      entity_id: "sensor.utilities",
      state: "-0.72",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Utilities",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.426424+00:00",
      last_updated: "2019-01-22T19:30:22.426424+00:00",
      context: { id: "cf65fe156af5415e81cfc8b0954a319e", user_id: null },
    },
    "group.camera_sensors": {
      entity_id: "group.camera_sensors",
      state: "off",
      attributes: {
        entity_id: [
          "binary_sensor.backyard_motion",
          "binary_sensor.backyard_field_detection",
          "binary_sensor.backyard_line_crossing",
          "binary_sensor.driveway_motion",
          "binary_sensor.driveway_field_detection",
          "binary_sensor.driveway_line_crossing",
          "binary_sensor.patio_motion",
          "binary_sensor.patio_field_detection",
          "binary_sensor.patio_line_crossing",
          "binary_sensor.porch_field_detection",
          "binary_sensor.porch_line_crossing",
          "binary_sensor.porch_motion",
        ],
        order: 15,
        control: "hidden",
        friendly_name: "Camera Sensors",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:32:16.426849+00:00",
      last_updated: "2019-01-22T19:32:16.426849+00:00",
      context: { id: "f8e47e8743b843498f3d161ab5e6109b", user_id: null },
    },
    "sensor.consumer_staples": {
      entity_id: "sensor.consumer_staples",
      state: "-1.75",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Consumer Staples",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.403823+00:00",
      last_updated: "2019-01-22T19:30:22.403823+00:00",
      context: { id: "eb6cfe209fb04668b15cb9321563e7ff", user_id: null },
    },
    "group.camera_processing": {
      entity_id: "group.camera_processing",
      state: "off",
      attributes: {
        entity_id: [
          "script.classify_images",
          "image_processing.facebox_backyard",
          "image_processing.facebox_patio",
          "image_processing.facebox_driveway",
          "image_processing.facebox_porch",
          "image_processing.tagbox_backyard",
          "image_processing.tagbox_patio",
          "image_processing.tagbox_driveway",
          "image_processing.tagbox_porch",
          "image_processing.sighthound_porch",
        ],
        order: 16,
        friendly_name: "Camera Processing",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.181106+00:00",
      last_updated: "2019-01-22T16:59:57.181106+00:00",
      context: { id: "89ac20d725e242c0a9dd9312aaa492b8", user_id: null },
    },
    "group.investments": {
      entity_id: "group.investments",
      state: "unknown",
      attributes: {
        entity_id: [
          "sensor.dow_futures",
          "sensor.dow_futures_change",
          "sensor.dow_futures_change_pct",
          "sensor.nasdaq_futures",
          "sensor.nasdaq_futures_change",
          "sensor.nasdaq_futures_change_pct",
          "sensor.s_p_futures",
          "sensor.s_p_futures_change",
          "sensor.s_p_futures_change_pct",
          "sensor.10_year_treasury",
        ],
        order: 17,
        friendly_name: "Investments",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.914324+00:00",
      last_updated: "2019-01-22T16:59:56.914324+00:00",
      context: { id: "f6d95a90487b40d4bfe7294b10a15b8e", user_id: null },
    },
    "group.camera_switches": {
      entity_id: "group.camera_switches",
      state: "on",
      attributes: {
        entity_id: [
          "switch.backyardmotion",
          "switch.drivewaymotion",
          "switch.patiomotion",
          "switch.porchmotion",
        ],
        order: 18,
        friendly_name: "Camera Switches",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:34.045979+00:00",
      last_updated: "2019-01-22T17:00:34.045979+00:00",
      context: { id: "d7148112dd534958a60a05c9457af1fb", user_id: null },
    },
    "group.entertainment": {
      entity_id: "group.entertainment",
      state: "on",
      attributes: {
        entity_id: [
          "sensor.living_room",
          "input_select.livingroomharmony",
          "input_select.hdmiswitcher",
          "input_select.hdmiinput",
          "input_number.harmonyvolume",
          "input_boolean.tv",
          "input_boolean.tvtime",
          "sensor.total_tv_time",
          "script.tv_off",
        ],
        order: 19,
        control: "hidden",
        friendly_name: "Entertainment",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.915554+00:00",
      last_updated: "2019-01-22T16:59:56.915554+00:00",
      context: { id: "ccace757c75147a982d4eaa340f5671c", user_id: null },
    },
    "group.switches": {
      entity_id: "group.switches",
      state: "on",
      attributes: {
        entity_id: [
          "switch.wemoswitch",
          "switch.garage_relay_switch",
          "switch.driveway",
          "switch.wemoporch",
          "switch.wemoinsight",
          "switch.aeon_switch",
        ],
        order: 20,
        friendly_name: "Switches",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.061060+00:00",
      last_updated: "2019-01-22T17:00:05.061060+00:00",
      context: { id: "d25f4ce65fae4041ad48ace4764e605e", user_id: null },
    },
    "group.light_operations": {
      entity_id: "group.light_operations",
      state: "off",
      attributes: {
        entity_id: [
          "input_boolean.partymode",
          "script.colorloop_start",
          "script.disco_party",
          "script.lifx_stop_effects",
        ],
        order: 21,
        friendly_name: "Light Operations",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.917059+00:00",
      last_updated: "2019-01-22T16:59:56.917059+00:00",
      context: { id: "130afde428f14836b985c9355287f27f", user_id: null },
    },
    "group.household": {
      entity_id: "group.household",
      state: "home",
      attributes: {
        entity_id: ["device_tracker.meta_rashmi", "device_tracker.meta_alok"],
        order: 22,
        friendly_name: "Household",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:29:17.170208+00:00",
      last_updated: "2019-01-22T19:29:17.170208+00:00",
      context: { id: "5fcecdac58ca4de2a430a7b92c0b690e", user_id: null },
    },
    "group.devices": {
      entity_id: "group.devices",
      state: "on",
      attributes: {
        entity_id: [
          "device_tracker.rashmiphone_rashmiphone",
          "device_tracker.rashmiappiphone",
          "device_tracker.rashmisiphone",
          "device_tracker.sonu_sonu",
          "device_tracker.e1594e53_21df_414c_82da_f655d5282fca",
          "device_tracker.alokphone_alokphone",
          "device_tracker.alokiosiphone",
          "device_tracker.myiphone",
          "device_tracker.alok_alok",
          "device_tracker.b4445761_f6c0_4b7f_835f_cfdc03b47111",
          "binary_sensor.rashmi_home",
          "proximity.rashmi",
          "binary_sensor.alok_home",
          "proximity.alok",
        ],
        order: 23,
        friendly_name: "Devices",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.644950+00:00",
      last_updated: "2019-01-22T17:00:05.644950+00:00",
      context: { id: "712f1cf189a24e69a6be32bcdff9a105", user_id: null },
    },
    "group.ring_doorbell": {
      entity_id: "group.ring_doorbell",
      state: "off",
      attributes: {
        entity_id: [
          "binary_sensor.ring_front_door_ding",
          "binary_sensor.ring_front_door_motion",
          "sensor.ring_front_door_last_activity",
          "sensor.ring_front_door_last_ding",
          "sensor.ring_front_door_last_motion",
        ],
        order: 24,
        friendly_name: "Ring Doorbell",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:24:14.685965+00:00",
      last_updated: "2019-01-22T18:24:14.685965+00:00",
      context: { id: "e45fc13f063a4311b82d126293fd3736", user_id: null },
    },
    "group.arlo": {
      entity_id: "group.arlo",
      state: "unknown",
      attributes: {
        entity_id: [
          "sensor.battery_level_arlolivingroom",
          "sensor.captured_today_arlolivingroom",
          "sensor.signal_strength_arlolivingroom",
          "sensor.battery_level_livingroom2",
          "sensor.captured_today_livingroom2",
          "sensor.signal_strength_livingroom2",
          "sensor.battery_level_arlo3",
          "sensor.captured_today_arlo3",
          "sensor.signal_strength_arlo3",
        ],
        order: 25,
        friendly_name: "Arlo",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.919532+00:00",
      last_updated: "2019-01-22T16:59:56.919532+00:00",
      context: { id: "f4dac286383a4f28bc6c364377c75d3f", user_id: null },
    },
    "group.financial": {
      entity_id: "group.financial",
      state: "unknown",
      attributes: {
        entity_id: [
          "sensor.xiaomi_aqara_human_body_sensor",
          "sensor.xiaomi_aqara_temperature_humidity_sensor",
          "sensor.xiaomi_yeelight_white",
          "sensor.xiaomi_door_window_sensor",
        ],
        order: 26,
        friendly_name: "Financial",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.920151+00:00",
      last_updated: "2019-01-22T16:59:56.920151+00:00",
      context: { id: "b9c806ddc09a4927a721b317baa6f0ef", user_id: null },
    },
    "group.camera_arlolivingroom": {
      entity_id: "group.camera_arlolivingroom",
      state: "unknown",
      attributes: {
        entity_id: ["camera.arlolivingroom"],
        order: 28,
        friendly_name: "camera_arlolivingroom",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.921697+00:00",
      last_updated: "2019-01-22T16:59:56.921697+00:00",
      context: { id: "8b071356f93840f5a5a809532ba6ac7d", user_id: null },
    },
    "group.camera_arlolivingroom2": {
      entity_id: "group.camera_arlolivingroom2",
      state: "unknown",
      attributes: {
        entity_id: ["camera.livingroom2"],
        order: 29,
        friendly_name: "camera_arlolivingroom2",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.922329+00:00",
      last_updated: "2019-01-22T16:59:56.922329+00:00",
      context: { id: "cc912e0c97c24498a2e0518926b3c990", user_id: null },
    },
    "group.camera_arlo3": {
      entity_id: "group.camera_arlo3",
      state: "unknown",
      attributes: {
        entity_id: ["camera.arlo3"],
        order: 30,
        friendly_name: "camera_arlo3",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.922952+00:00",
      last_updated: "2019-01-22T16:59:56.922952+00:00",
      context: { id: "ce30eae2ea6a40898dc40bda7bc94785", user_id: null },
    },
    "group.camera_worldtime": {
      entity_id: "group.camera_worldtime",
      state: "unknown",
      attributes: {
        entity_id: ["camera.worldtime"],
        order: 31,
        friendly_name: "camera_worldtime",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.923576+00:00",
      last_updated: "2019-01-22T16:59:56.923576+00:00",
      context: { id: "1f99504f629c4a39b46485c70700884b", user_id: null },
    },
    "group.camera_ring_doorbell": {
      entity_id: "group.camera_ring_doorbell",
      state: "unknown",
      attributes: {
        entity_id: ["camera.front_door"],
        order: 32,
        friendly_name: "camera_ring_doorbell",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.924221+00:00",
      last_updated: "2019-01-22T16:59:56.924221+00:00",
      context: { id: "91c7823f2b5d4ba0a3382a9b3f521312", user_id: null },
    },
    "group.camera_abode_living_room": {
      entity_id: "group.camera_abode_living_room",
      state: "unknown",
      attributes: {
        entity_id: ["camera.living_room"],
        order: 33,
        friendly_name: "camera_abode_living_room",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.924889+00:00",
      last_updated: "2019-01-22T16:59:56.924889+00:00",
      context: { id: "c5e18ea5f5b746c9be1d99e52c9e4bdc", user_id: null },
    },
    "sensor.tautulli": {
      entity_id: "sensor.tautulli",
      state: "0",
      attributes: {
        "Top Movie": "The Departed",
        "Top TV Show": "The Kapil Sharma Show",
        friendly_name: "Tautulli",
        icon: "hademo:plex",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.927529+00:00",
      last_updated: "2019-01-22T16:59:56.927529+00:00",
      context: { id: "14521c8b2ff34fbcb42e46ebe23f9a7c", user_id: null },
    },
    "group.camera_meteogram": {
      entity_id: "group.camera_meteogram",
      state: "unknown",
      attributes: {
        entity_id: ["camera.meteogram"],
        order: 34,
        friendly_name: "camera_meteogram",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.928163+00:00",
      last_updated: "2019-01-22T16:59:56.928163+00:00",
      context: { id: "08c7e9241c8549348dca684b441f8085", user_id: null },
    },
    "sensor.health_care": {
      entity_id: "sensor.health_care",
      state: "-1.14",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Health Care",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.416168+00:00",
      last_updated: "2019-01-22T19:30:22.416168+00:00",
      context: { id: "52d5b9b6cf114ab3a7a3ad95adaabed2", user_id: null },
    },
    "group.camera_arsbloom": {
      entity_id: "group.camera_arsbloom",
      state: "unknown",
      attributes: {
        entity_id: ["camera.ars_bloom"],
        order: 35,
        friendly_name: "BloomSky Camera",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.929607+00:00",
      last_updated: "2019-01-22T16:59:56.929607+00:00",
      context: { id: "99c8708e7c974ec098f447ac6eb3b499", user_id: null },
    },
    "sensor.materials": {
      entity_id: "sensor.materials",
      state: "-1.21",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Materials",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.428887+00:00",
      last_updated: "2019-01-22T19:30:22.428887+00:00",
      context: { id: "b98131a2e2f24f089505da8d749f4b36", user_id: null },
    },
    "group.camera_driveway": {
      entity_id: "group.camera_driveway",
      state: "unknown",
      attributes: {
        entity_id: ["camera.driveway"],
        order: 36,
        friendly_name: "Driveway Camera",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.945409+00:00",
      last_updated: "2019-01-22T16:59:56.945409+00:00",
      context: { id: "1d8af27698214dbe87ec5459734b5447", user_id: null },
    },
    "sensor.consumer_discretionary": {
      entity_id: "sensor.consumer_discretionary",
      state: "-1.75",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Consumer Discretionary",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.422192+00:00",
      last_updated: "2019-01-22T19:30:22.422192+00:00",
      context: { id: "dacf8a110ad54bb2bcab69a6ea194aca", user_id: null },
    },
    "group.camera_porch": {
      entity_id: "group.camera_porch",
      state: "unknown",
      attributes: {
        entity_id: ["camera.porch"],
        order: 37,
        friendly_name: "Porch Camera",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.948601+00:00",
      last_updated: "2019-01-22T16:59:56.948601+00:00",
      context: { id: "c59e862b8cdc458aa8ee83d75f1a813c", user_id: null },
    },
    "group.camera_backyard": {
      entity_id: "group.camera_backyard",
      state: "unknown",
      attributes: {
        entity_id: ["camera.backyard"],
        order: 38,
        friendly_name: "Backyard Camera",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.949439+00:00",
      last_updated: "2019-01-22T16:59:56.949439+00:00",
      context: { id: "286f3a0fe2934dd786613b4255871e59", user_id: null },
    },
    "group.camera_patio": {
      entity_id: "group.camera_patio",
      state: "unknown",
      attributes: {
        entity_id: ["camera.patio"],
        order: 39,
        friendly_name: "Patio Camera",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.950256+00:00",
      last_updated: "2019-01-22T16:59:56.950256+00:00",
      context: { id: "161af9cf5e8542e3acb1e5f61768dd43", user_id: null },
    },
    "group.camera_opencv_porch": {
      entity_id: "group.camera_opencv_porch",
      state: "unknown",
      attributes: {
        entity_id: ["camera.opencv_porch"],
        order: 44,
        friendly_name: "OpenCV Porch",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.954645+00:00",
      last_updated: "2019-01-22T16:59:56.954645+00:00",
      context: { id: "3899f328905847a5b6f07843d2e10d80", user_id: null },
    },
    "group.camera_wundergroundradar": {
      entity_id: "group.camera_wundergroundradar",
      state: "unknown",
      attributes: {
        entity_id: ["camera.wundergroundradar"],
        order: 45,
        friendly_name: "Wunderground Radar Camera",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:56.955537+00:00",
      last_updated: "2019-01-22T16:59:56.955537+00:00",
      context: { id: "f5920c0be2614a34af00a8b14a5d31f1", user_id: null },
    },
    "script.notificationalarm": {
      entity_id: "script.notificationalarm",
      state: "off",
      attributes: {
        last_triggered: null,
        can_cancel: true,
        friendly_name: "Notify that sensors changed when nobody is home",
      },
      last_changed: "2019-01-22T16:59:57.050959+00:00",
      last_updated: "2019-01-22T16:59:57.050959+00:00",
      context: { id: "221ea23635e84799a4cf2f7d6999aca7", user_id: null },
    },
    "script.arm_security": {
      entity_id: "script.arm_security",
      state: "off",
      attributes: {
        last_triggered: null,
        can_cancel: true,
        friendly_name: "Arm Security",
      },
      last_changed: "2019-01-22T16:59:57.051550+00:00",
      last_updated: "2019-01-22T16:59:57.051550+00:00",
      context: { id: "650c5140072d4ed6ba751e6addf1576a", user_id: null },
    },
    "script.disarm_security": {
      entity_id: "script.disarm_security",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Disarm Security" },
      last_changed: "2019-01-22T16:59:57.052001+00:00",
      last_updated: "2019-01-22T16:59:57.052001+00:00",
      context: { id: "173240f7193a4ed1b277ee5f7814bba2", user_id: null },
    },
    "script.playradio": {
      entity_id: "script.playradio",
      state: "off",
      attributes: {
        last_triggered: null,
        friendly_name: "Play Radio on Sonos",
      },
      last_changed: "2019-01-22T16:59:57.052477+00:00",
      last_updated: "2019-01-22T16:59:57.052477+00:00",
      context: { id: "1eda4a0a83154d66933d9b6675b58785", user_id: null },
    },
    "script.sonoslinein": {
      entity_id: "script.sonoslinein",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Sonos set Line-in" },
      last_changed: "2019-01-22T16:59:57.052933+00:00",
      last_updated: "2019-01-22T16:59:57.052933+00:00",
      context: { id: "87fe397b95764a5a8b13a95295a019da", user_id: null },
    },
    "script.colorloop_start": {
      entity_id: "script.colorloop_start",
      state: "off",
      attributes: {
        last_triggered: null,
        friendly_name: "Start LIFX colorloop",
        icon: "hademo:palette",
      },
      last_changed: "2019-01-22T16:59:57.053368+00:00",
      last_updated: "2019-01-22T16:59:57.053368+00:00",
      context: { id: "cdaea8b07a154ec0a5e582048aae37a0", user_id: null },
    },
    "script.disco_party": {
      entity_id: "script.disco_party",
      state: "off",
      attributes: {
        last_triggered: null,
        friendly_name: "Start Party Mode",
        icon: "hademo:palette",
        homebridge_hidden: false,
      },
      last_changed: "2019-01-22T16:59:57.053873+00:00",
      last_updated: "2019-01-22T16:59:57.053873+00:00",
      context: { id: "17a56431132f490388b37451fe58bbe9", user_id: null },
    },
    "script.master_colorloop": {
      entity_id: "script.master_colorloop",
      state: "off",
      attributes: {
        last_triggered: null,
        friendly_name: "Master start colorloop",
      },
      last_changed: "2019-01-22T16:59:57.054434+00:00",
      last_updated: "2019-01-22T16:59:57.054434+00:00",
      context: { id: "d3dfe4b992f04f16bfeb229d528f970d", user_id: null },
    },
    "script.master_random": {
      entity_id: "script.master_random",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Master random" },
      last_changed: "2019-01-22T16:59:57.054929+00:00",
      last_updated: "2019-01-22T16:59:57.054929+00:00",
      context: { id: "cde14056b0cc4673b3f4263928100452", user_id: null },
    },
    "script.lifx_stop_effects": {
      entity_id: "script.lifx_stop_effects",
      state: "off",
      attributes: {
        last_triggered: null,
        friendly_name: "Stop LIFX effects",
        icon: "hademo:palette",
      },
      last_changed: "2019-01-22T16:59:57.055397+00:00",
      last_updated: "2019-01-22T16:59:57.055397+00:00",
      context: { id: "d75fa5a9592642c58f76cadd23938dc4", user_id: null },
    },
    "script.updatetracker": {
      entity_id: "script.updatetracker",
      state: "off",
      attributes: {
        last_triggered: "2019-01-22T19:34:19.121016+00:00",
        friendly_name: "Update tracker",
      },
      last_changed: "2019-01-22T16:59:57.055895+00:00",
      last_updated: "2019-01-22T19:34:19.146157+00:00",
      context: { id: "ccdbdc088b9f4181b77aba25f5f31121", user_id: null },
    },
    "script.portfolio": {
      entity_id: "script.portfolio",
      state: "off",
      attributes: {
        last_triggered: "2019-01-22T19:36:23.538254+00:00",
        friendly_name: "portfolio",
      },
      last_changed: "2019-01-22T16:59:57.056442+00:00",
      last_updated: "2019-01-22T19:36:23.549729+00:00",
      context: {
        id: "d51a4b7a199b45e3800c2abe1a2d7314",
        user_id: "d688d19455eb4a36868cf01f5b62b459",
      },
    },
    "script.initialize_hass": {
      entity_id: "script.initialize_hass",
      state: "off",
      attributes: {
        last_triggered: "2019-01-22T17:00:16.022445+00:00",
        friendly_name: "Initialize HASS after restart",
      },
      last_changed: "2019-01-22T16:59:57.056904+00:00",
      last_updated: "2019-01-22T17:00:16.109293+00:00",
      context: { id: "46df627202ed4c3981ad140e06bcc578", user_id: null },
    },
    "script.set_hue_scene": {
      entity_id: "script.set_hue_scene",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "set_hue_scene" },
      last_changed: "2019-01-22T16:59:57.057361+00:00",
      last_updated: "2019-01-22T16:59:57.057361+00:00",
      context: { id: "7fb3f623bf0f403d9812e43f4c44da2f", user_id: null },
    },
    "script.classify_images": {
      entity_id: "script.classify_images",
      state: "off",
      attributes: {
        last_triggered: "2019-01-22T17:00:16.107335+00:00",
        friendly_name: "Process all images",
      },
      last_changed: "2019-01-22T16:59:57.057815+00:00",
      last_updated: "2019-01-22T17:00:26.110414+00:00",
      context: { id: "eedab68ddd8f430aa46778b87631986a", user_id: null },
    },
    "script.discovery": {
      entity_id: "script.discovery",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Play Discovery" },
      last_changed: "2019-01-22T16:59:57.058327+00:00",
      last_updated: "2019-01-22T16:59:57.058327+00:00",
      context: { id: "621f468b5ce242a5880dee530d2de103", user_id: null },
    },
    "script.cnn": {
      entity_id: "script.cnn",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Play CNN" },
      last_changed: "2019-01-22T16:59:57.070640+00:00",
      last_updated: "2019-01-22T16:59:57.070640+00:00",
      context: { id: "d8d078a183a44901b489d73405cfc39e", user_id: null },
    },
    "script.abodeaway": {
      entity_id: "script.abodeaway",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Abode Arm" },
      last_changed: "2019-01-22T16:59:57.071176+00:00",
      last_updated: "2019-01-22T16:59:57.071176+00:00",
      context: { id: "a3d7254ea2504afca4cfbb11493f0c7a", user_id: null },
    },
    "script.disney": {
      entity_id: "script.disney",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Play Disney" },
      last_changed: "2019-01-22T16:59:57.071673+00:00",
      last_updated: "2019-01-22T16:59:57.071673+00:00",
      context: { id: "e4b1367824aa494e95134ef2118889af", user_id: null },
    },
    "script.abodehome": {
      entity_id: "script.abodehome",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Abode Home" },
      last_changed: "2019-01-22T16:59:57.072208+00:00",
      last_updated: "2019-01-22T16:59:57.072208+00:00",
      context: { id: "bb2ec992069b4a3fae3a59fb90596445", user_id: null },
    },
    "script.cnbc": {
      entity_id: "script.cnbc",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Play CNBC" },
      last_changed: "2019-01-22T16:59:57.072667+00:00",
      last_updated: "2019-01-22T16:59:57.072667+00:00",
      context: { id: "989efa6cc5f046928c6fec26164775d5", user_id: null },
    },
    "script.abodestandby": {
      entity_id: "script.abodestandby",
      state: "off",
      attributes: {
        last_triggered: "2019-01-22T19:29:17.182888+00:00",
        friendly_name: "Abode Standby",
      },
      last_changed: "2019-01-22T16:59:57.073166+00:00",
      last_updated: "2019-01-22T19:29:20.525700+00:00",
      context: { id: "562080ae942046f0a9f0a9959bd493e8", user_id: null },
    },
    "script.animalplanet": {
      entity_id: "script.animalplanet",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Play Animal Planet" },
      last_changed: "2019-01-22T16:59:57.073606+00:00",
      last_updated: "2019-01-22T16:59:57.073606+00:00",
      context: { id: "6bde8c436375423abe01df66c954a5c6", user_id: null },
    },
    "script.tv_off": {
      entity_id: "script.tv_off",
      state: "off",
      attributes: {
        last_triggered: null,
        friendly_name: "Turn Television off",
      },
      last_changed: "2019-01-22T16:59:57.074073+00:00",
      last_updated: "2019-01-22T16:59:57.074073+00:00",
      context: { id: "618e16fb9dba4dde9c40feda1f10bcc9", user_id: null },
    },
    "script.kodi_update_library": {
      entity_id: "script.kodi_update_library",
      state: "off",
      attributes: {
        last_triggered: null,
        friendly_name: "Kodi Update Library",
      },
      last_changed: "2019-01-22T16:59:57.074592+00:00",
      last_updated: "2019-01-22T16:59:57.074592+00:00",
      context: { id: "5f6ebc84799e4e6791d5886684830e4a", user_id: null },
    },
    "script.tv_youtube_on": {
      entity_id: "script.tv_youtube_on",
      state: "off",
      attributes: {
        last_triggered: null,
        can_cancel: true,
        friendly_name: "Television - turn Youtube on",
      },
      last_changed: "2019-01-22T16:59:57.075022+00:00",
      last_updated: "2019-01-22T16:59:57.075022+00:00",
      context: { id: "a205193abf274589a099662fbf80cef7", user_id: null },
    },
    "script.kodi_clean_library": {
      entity_id: "script.kodi_clean_library",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Kodi Clean Library" },
      last_changed: "2019-01-22T16:59:57.075496+00:00",
      last_updated: "2019-01-22T16:59:57.075496+00:00",
      context: { id: "a0af4461864b4b6eb3f9da5ce3572987", user_id: null },
    },
    "script.sonos_say": {
      entity_id: "script.sonos_say",
      state: "off",
      attributes: {
        last_triggered: null,
        can_cancel: true,
        friendly_name: "Sonos TTS script",
      },
      last_changed: "2019-01-22T16:59:57.077374+00:00",
      last_updated: "2019-01-22T16:59:57.077374+00:00",
      context: { id: "cba4aa2f913b4377b5f7e1c941524fe5", user_id: null },
    },
    "script.notificationgaragedoor": {
      entity_id: "script.notificationgaragedoor",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Garage Door Open" },
      last_changed: "2019-01-22T16:59:57.077868+00:00",
      last_updated: "2019-01-22T16:59:57.077868+00:00",
      context: { id: "9c55d28f3a9b428b820a5c2eb6705f40", user_id: null },
    },
    "script.notificationleavework": {
      entity_id: "script.notificationleavework",
      state: "off",
      attributes: { last_triggered: null, friendly_name: "Leave for Work" },
      last_changed: "2019-01-22T16:59:57.078456+00:00",
      last_updated: "2019-01-22T16:59:57.078456+00:00",
      context: { id: "dcd210f816b6416496968c59555bf81c", user_id: null },
    },
    "sensor.communication_services": {
      entity_id: "sensor.communication_services",
      state: "-1.88",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Communication Services",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.419172+00:00",
      last_updated: "2019-01-22T19:30:22.419172+00:00",
      context: { id: "314a59787e1940f39a82dad510a14bda", user_id: null },
    },
    "sensor.usdinr": {
      entity_id: "sensor.usdinr",
      state: "71.25",
      attributes: {
        attribution: "Stock market information provided by Alpha Vantage",
        from: "USD",
        to: "INR",
        unit_of_measurement: "INR",
        friendly_name: "USDINR",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:25:11.582558+00:00",
      last_updated: "2019-01-22T18:25:11.582558+00:00",
      context: { id: "7737cf1420d241d8afb3f016179c133c", user_id: null },
    },
    "weather.dark_sky": {
      entity_id: "weather.dark_sky",
      state: "partlycloudy",
      attributes: {
        temperature: 41,
        humidity: 33,
        ozone: 245.94,
        pressure: 1033.36,
        wind_bearing: 95,
        wind_speed: 8.19,
        visibility: 9.57,
        attribution: "Powered by Dark Sky",
        forecast: [
          {
            datetime: "2019-01-22T00:00:00",
            temperature: 42,
            templow: 36,
            precipitation: null,
            wind_speed: 7.4,
            wind_bearing: 90,
            condition: "partlycloudy",
          },
          {
            datetime: "2019-01-23T00:00:00",
            temperature: 59,
            templow: 40,
            precipitation: 0.9,
            wind_speed: 8.84,
            wind_bearing: 132,
            condition: "rainy",
          },
          {
            datetime: "2019-01-24T00:00:00",
            temperature: 45,
            templow: 30,
            precipitation: 0.9,
            wind_speed: 10.37,
            wind_bearing: 296,
            condition: "partlycloudy",
          },
          {
            datetime: "2019-01-25T00:00:00",
            temperature: 42,
            templow: 29,
            precipitation: null,
            wind_speed: 8.61,
            wind_bearing: 301,
            condition: "sunny",
          },
          {
            datetime: "2019-01-26T00:00:00",
            temperature: 48,
            templow: 34,
            precipitation: null,
            wind_speed: 4.18,
            wind_bearing: 267,
            condition: "partlycloudy",
          },
          {
            datetime: "2019-01-27T00:00:00",
            temperature: 52,
            templow: 35,
            precipitation: null,
            wind_speed: 4.72,
            wind_bearing: 254,
            condition: "partlycloudy",
          },
          {
            datetime: "2019-01-28T00:00:00",
            temperature: 55,
            templow: 43,
            precipitation: null,
            wind_speed: 5.36,
            wind_bearing: 259,
            condition: "partlycloudy",
          },
          {
            datetime: "2019-01-29T00:00:00",
            temperature: 48,
            templow: 22,
            precipitation: null,
            wind_speed: 8.44,
            wind_bearing: 288,
            condition: "partlycloudy",
          },
        ],
        friendly_name: "Dark Sky",
      },
      last_changed: "2019-01-22T16:59:57.185432+00:00",
      last_updated: "2019-01-22T19:34:41.537889+00:00",
      context: { id: "cc33fb780b3a4842811d4b4114b3eb13", user_id: null },
    },
    "cover.garagedoor": {
      entity_id: "cover.garagedoor",
      state: "closed",
      attributes: {
        friendly_name: "Garage Door",
        icon: "hademo:garage",
        supported_features: 11,
        homebridge_hidden: false,
        homebridge_cover_type: "garage_door",
      },
      last_changed: "2019-01-22T19:31:05.399638+00:00",
      last_updated: "2019-01-22T19:31:05.399638+00:00",
      context: { id: "6ce1bded3a1c4601a4bc8e8c3823cc9f", user_id: null },
    },
    "light.master_lights": {
      entity_id: "light.master_lights",
      state: "off",
      attributes: {
        min_mireds: 153,
        max_mireds: 500,
        friendly_name: "Master Lights",
        supported_features: 63,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.423884+00:00",
      last_updated: "2019-01-22T16:59:57.423884+00:00",
      context: { id: "b2f91c5772a346b7a24cb28386276cca", user_id: null },
    },
    "light.living_room_lights": {
      entity_id: "light.living_room_lights",
      state: "off",
      attributes: {
        min_mireds: 111,
        max_mireds: 400,
        friendly_name: "Living Room Lights",
        supported_features: 55,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.573457+00:00",
      last_updated: "2019-01-22T17:00:05.573457+00:00",
      context: { id: "bbcc2a67b73a42a280f905c5de1d120d", user_id: null },
    },
    "automation.change_current_theme": {
      entity_id: "automation.change_current_theme",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T17:00:16.060199+00:00",
        id: "change_current_theme",
        friendly_name: "Change Current Theme",
      },
      last_changed: "2019-01-22T17:00:14.749355+00:00",
      last_updated: "2019-01-22T17:00:16.060304+00:00",
      context: { id: "46df627202ed4c3981ad140e06bcc578", user_id: null },
    },
    "automation.no_tv_time": {
      entity_id: "automation.no_tv_time",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "no_tv_time",
        friendly_name: "No TV time",
      },
      last_changed: "2019-01-22T17:00:14.750020+00:00",
      last_updated: "2019-01-22T17:00:14.750020+00:00",
      context: { id: "6b2375a8d7734f31af996f9b793fc5d0", user_id: null },
    },
    "automation.commute_update_morning_commute_sensor": {
      entity_id: "automation.commute_update_morning_commute_sensor",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "update_morning_commute_sensor",
        friendly_name: "Commute - Update morning commute sensor",
      },
      last_changed: "2019-01-22T17:00:14.750806+00:00",
      last_updated: "2019-01-22T17:00:14.750806+00:00",
      context: { id: "340a847ded6948d0b004c2dc07ac5b2b", user_id: null },
    },
    "automation.turn_tv_on_off": {
      entity_id: "automation.turn_tv_on_off",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "turn_tv_on_off",
        friendly_name: "Turn TV on/off",
      },
      last_changed: "2019-01-22T17:00:14.751469+00:00",
      last_updated: "2019-01-22T17:00:14.751469+00:00",
      context: { id: "607a841dbe074f9388f4f0fe88f5d0d1", user_id: null },
    },
    "automation.commute_update_evening_commute_sensor": {
      entity_id: "automation.commute_update_evening_commute_sensor",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "update_evening_commute_sensor",
        friendly_name: "Commute - Update evening commute sensor",
      },
      last_changed: "2019-01-22T17:00:14.752203+00:00",
      last_updated: "2019-01-22T17:00:14.752203+00:00",
      context: { id: "77361501b0184f4390f76c2744e35060", user_id: null },
    },
    "automation.set_volume": {
      entity_id: "automation.set_volume",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T17:00:16.153485+00:00",
        id: "set_volume",
        friendly_name: "Set Volume",
      },
      last_changed: "2019-01-22T17:00:14.752875+00:00",
      last_updated: "2019-01-22T17:00:16.153567+00:00",
      context: { id: "46df627202ed4c3981ad140e06bcc578", user_id: null },
    },
    "automation.morning_commute": {
      entity_id: "automation.morning_commute",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "morning_commute",
        friendly_name: "Morning Commute",
      },
      last_changed: "2019-01-22T17:00:14.753733+00:00",
      last_updated: "2019-01-22T17:00:14.753733+00:00",
      context: { id: "066c34418a90423b8850a23ec78ff866", user_id: null },
    },
    "automation.start_harmony_activity_from_input_select": {
      entity_id: "automation.start_harmony_activity_from_input_select",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "start_harmony_activity_from_input_select",
        friendly_name: "Start Harmony activity from input_select",
      },
      last_changed: "2019-01-22T17:00:14.754334+00:00",
      last_updated: "2019-01-22T17:00:14.754334+00:00",
      context: { id: "b502ebd2ab164042953d77c4e947c5a9", user_id: null },
    },
    "automation.evening_commute": {
      entity_id: "automation.evening_commute",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "evening_commute",
        friendly_name: "Evening Commute",
      },
      last_changed: "2019-01-22T17:00:14.755147+00:00",
      last_updated: "2019-01-22T17:00:14.755147+00:00",
      context: { id: "cd596350d642446fa55c33a712822386", user_id: null },
    },
    "automation.update_ha_if_harmony_activity_changes": {
      entity_id: "automation.update_ha_if_harmony_activity_changes",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "update_ha_if_harmony_activity_changes",
        friendly_name: "Update HA if Harmony activity changes",
      },
      last_changed: "2019-01-22T17:00:14.763375+00:00",
      last_updated: "2019-01-22T17:00:14.763375+00:00",
      context: { id: "a4f1d1a4613e4ac986056362e731bcd4", user_id: null },
    },
    "automation.plex_spy_notification": {
      entity_id: "automation.plex_spy_notification",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "plexspy_notification",
        friendly_name: "Plex Spy notification",
      },
      last_changed: "2019-01-22T17:00:14.764035+00:00",
      last_updated: "2019-01-22T17:00:14.764035+00:00",
      context: { id: "0adca06c39f64288b0e48417b712c6ba", user_id: null },
    },
    "automation.update_ha_after_startup": {
      entity_id: "automation.update_ha_after_startup",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T17:00:14.845859+00:00",
        id: "update_ha_after_startup",
        friendly_name: "Update HA after startup",
      },
      last_changed: "2019-01-22T17:00:14.764892+00:00",
      last_updated: "2019-01-22T17:00:14.845937+00:00",
      context: { id: "2fc0199c70f140eebf391a37f4528b19", user_id: null },
    },
    "automation.xiaomi_vibration_sensor_test": {
      entity_id: "automation.xiaomi_vibration_sensor_test",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "xiaomi_vibration_sensor_test",
        friendly_name: "Xiaomi Vibration sensor test",
      },
      last_changed: "2019-01-22T17:00:14.765699+00:00",
      last_updated: "2019-01-22T17:00:14.765699+00:00",
      context: { id: "5e5a3288e21d4813b25238b45f6d0201", user_id: null },
    },
    "automation.change_hdmi_switcher": {
      entity_id: "automation.change_hdmi_switcher",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "change_hdmi_switcher",
        friendly_name: "Change HDMI Switcher",
      },
      last_changed: "2019-01-22T17:00:14.766292+00:00",
      last_updated: "2019-01-22T17:00:14.766292+00:00",
      context: { id: "1839b37a82d149089b9bd2fbfc817b58", user_id: null },
    },
    "automation.micube_event_test": {
      entity_id: "automation.micube_event_test",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "micube_test",
        friendly_name: "MiCube event test",
      },
      last_changed: "2019-01-22T17:00:14.766955+00:00",
      last_updated: "2019-01-22T17:00:14.766955+00:00",
      context: { id: "5648df9d09d04f078c5f437b332b46d2", user_id: null },
    },
    "automation.change_hdmi_input": {
      entity_id: "automation.change_hdmi_input",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "change_hdmi_input",
        friendly_name: "Change HDMI Input",
      },
      last_changed: "2019-01-22T17:00:14.767546+00:00",
      last_updated: "2019-01-22T17:00:14.767546+00:00",
      context: { id: "03a2588aaff04347bcac8f9cfc2aaea7", user_id: null },
    },
    "automation.micube_rotate_master_lights": {
      entity_id: "automation.micube_rotate_master_lights",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "micube_brightness_rotate",
        friendly_name: "MiCube rotate - Master lights",
      },
      last_changed: "2019-01-22T17:00:14.768225+00:00",
      last_updated: "2019-01-22T17:00:14.768225+00:00",
      context: { id: "b261f60f41424b8fb607f3c86a9ec6f1", user_id: null },
    },
    "automation.update_volume_slider": {
      entity_id: "automation.update_volume_slider",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "update_volume_slider",
        friendly_name: "Update Volume Slider",
      },
      last_changed: "2019-01-22T17:00:14.769966+00:00",
      last_updated: "2019-01-22T17:00:14.769966+00:00",
      context: { id: "6b9dbf2f4e8446829f2ec71e194d2664", user_id: null },
    },
    "automation.micube_scene_reset": {
      entity_id: "automation.micube_scene_reset",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "micube_scenes_reset",
        friendly_name: "MiCube scene reset",
      },
      last_changed: "2019-01-22T17:00:14.770707+00:00",
      last_updated: "2019-01-22T17:00:14.770707+00:00",
      context: { id: "b601c542c2ab4009a7dca65cc4a431b6", user_id: null },
    },
    "automation.notify_sonos_audio_in_state": {
      entity_id: "automation.notify_sonos_audio_in_state",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "notify_sonos_audio_in",
        friendly_name: "Notify Sonos audio-in state",
      },
      last_changed: "2019-01-22T17:00:14.771295+00:00",
      last_updated: "2019-01-22T17:00:14.771295+00:00",
      context: { id: "f32b2a0717664fb28ee1ea2cc2b64af5", user_id: null },
    },
    "automation.micube_master_scene": {
      entity_id: "automation.micube_master_scene",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "micube_master_scenes",
        friendly_name: "MiCube Master scene",
      },
      last_changed: "2019-01-22T17:00:14.771959+00:00",
      last_updated: "2019-01-22T17:00:14.771959+00:00",
      context: { id: "d28c3ee8b64048069fa9977f83ee374d", user_id: null },
    },
    "automation.sonos_enable_speech_enhance_and_night_sound": {
      entity_id: "automation.sonos_enable_speech_enhance_and_night_sound",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "sonos_enable_speech_enhance_and_night_sound",
        friendly_name: "Sonos Enable speech enhance and night sound",
      },
      last_changed: "2019-01-22T17:00:14.772622+00:00",
      last_updated: "2019-01-22T17:00:14.772622+00:00",
      context: { id: "a88fc3c17bf34447ab17968a1bf7346a", user_id: null },
    },
    "automation.micube_toggle_master": {
      entity_id: "automation.micube_toggle_master",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "micube_toggle_master",
        friendly_name: "MiCube Toggle Master",
      },
      last_changed: "2019-01-22T17:00:14.773278+00:00",
      last_updated: "2019-01-22T17:00:14.773278+00:00",
      context: { id: "22d84ea4433d4ab2b2e0096715348ea8", user_id: null },
    },
    "automation.sonos_disable_speech_enhance_and_night_sound": {
      entity_id: "automation.sonos_disable_speech_enhance_and_night_sound",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "sonos_disable_speech_enhance_and_night_sound",
        friendly_name: "Sonos Disable speech enhance and night sound",
      },
      last_changed: "2019-01-22T17:00:14.774486+00:00",
      last_updated: "2019-01-22T17:00:14.774486+00:00",
      context: { id: "ce96508c938442c692c6019efc53c69c", user_id: null },
    },
    "automation.turn_off_master_lights_if_they_randomly_turn_on_at_night": {
      entity_id:
        "automation.turn_off_master_lights_if_they_randomly_turn_on_at_night",
      state: "off",
      attributes: {
        last_triggered: null,
        id: "turn_off_master_lights_at_night",
        friendly_name:
          "Turn off Master lights if they randomly turn on at night",
      },
      last_changed: "2019-01-22T16:59:57.216170+00:00",
      last_updated: "2019-01-22T16:59:57.216170+00:00",
      context: { id: "0db894403ecf407bba7efe215054f61a", user_id: null },
    },
    "automation.ifttt_test": {
      entity_id: "automation.ifttt_test",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "ifttt_test",
        friendly_name: "IFTTT Test",
      },
      last_changed: "2019-01-22T17:00:14.776108+00:00",
      last_updated: "2019-01-22T17:00:14.776108+00:00",
      context: { id: "ce5a2d1819614f808926dbe8cdff3c98", user_id: null },
    },
    "automation.prevent_overcharging": {
      entity_id: "automation.prevent_overcharging",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "prevent_overcharging",
        friendly_name: "Prevent overcharging",
      },
      last_changed: "2019-01-22T17:00:14.777001+00:00",
      last_updated: "2019-01-22T17:00:14.777001+00:00",
      context: { id: "43f70e313cf841fb944325d06fe2ead0", user_id: null },
    },
    "automation.webhook_geofency_test": {
      entity_id: "automation.webhook_geofency_test",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "webhook_geofency_test",
        friendly_name: "Webhook Geofency Test",
      },
      last_changed: "2019-01-22T17:00:14.861296+00:00",
      last_updated: "2019-01-22T17:00:14.861296+00:00",
      context: { id: "42fe5c0da22043fb9184644fc6818394", user_id: null },
    },
    "automation.ensure_smart_switches_are_on": {
      entity_id: "automation.ensure_smart_switches_are_on",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "ensure_switches_on",
        friendly_name: "Ensure smart-switches are on",
      },
      last_changed: "2019-01-22T17:00:14.782201+00:00",
      last_updated: "2019-01-22T17:00:14.782201+00:00",
      context: { id: "710dd546c7ce462699968e798b3a1dc8", user_id: null },
    },
    "automation.opencv_detection": {
      entity_id: "automation.opencv_detection",
      state: "off",
      attributes: {
        last_triggered: null,
        id: "log_opencv",
        friendly_name: "OpenCV detection",
      },
      last_changed: "2019-01-22T16:59:57.218060+00:00",
      last_updated: "2019-01-22T16:59:57.218060+00:00",
      context: { id: "1555403eea844d4eba380b2c3227afc4", user_id: null },
    },
    "automation.turn_on_master_lights_on_motion": {
      entity_id: "automation.turn_on_master_lights_on_motion",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "master_lights_on",
        friendly_name: "Turn on Master lights on motion",
      },
      last_changed: "2019-01-22T17:00:14.783002+00:00",
      last_updated: "2019-01-22T17:00:14.783002+00:00",
      context: { id: "d0d0518dc1eb4cf5adf0428a48113de6", user_id: null },
    },
    "automation.alert_life360_sensor_error": {
      entity_id: "automation.alert_life360_sensor_error",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "life360_sensor_error",
        friendly_name: "Alert Life360 Sensor Error",
        hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.783643+00:00",
      last_updated: "2019-01-22T17:00:14.783643+00:00",
      context: { id: "908896701ef44c11868bc5900bb480c4", user_id: null },
    },
    "automation.turn_off_master_lights": {
      entity_id: "automation.turn_off_master_lights",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "master_lights_off",
        friendly_name: "Turn off Master lights",
      },
      last_changed: "2019-01-22T17:00:14.784337+00:00",
      last_updated: "2019-01-22T17:00:14.784337+00:00",
      context: { id: "761b2b8c803449dbb693eff4e31ed26f", user_id: null },
    },
    "automation.turn_on_garage_lights_when_door_opened": {
      entity_id: "automation.turn_on_garage_lights_when_door_opened",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "garage_lights_on",
        friendly_name: "Turn on garage lights when door opened",
      },
      last_changed: "2019-01-22T17:00:14.784993+00:00",
      last_updated: "2019-01-22T17:00:14.784993+00:00",
      context: { id: "6bb9ceaae7804422ba3e8f84a2760015", user_id: null },
    },
    "automation.turn_off_garage_lights": {
      entity_id: "automation.turn_off_garage_lights",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "garage_lights_off",
        friendly_name: "Turn off garage lights",
      },
      last_changed: "2019-01-22T17:00:14.785679+00:00",
      last_updated: "2019-01-22T17:00:14.785679+00:00",
      context: { id: "f3d0b81a08ea42319fa23050c899fbbd", user_id: null },
    },
    "automation.kitchen_light_brightness": {
      entity_id: "automation.kitchen_light_brightness",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "kitchen_light_brightness",
        friendly_name: "Kitchen light brightness",
      },
      last_changed: "2019-01-22T17:00:14.786355+00:00",
      last_updated: "2019-01-22T17:00:14.786355+00:00",
      context: { id: "22211d4d114045c28ae08c8db4fe8034", user_id: null },
    },
    "automation.turn_off_xiaomi_gateway_light": {
      entity_id: "automation.turn_off_xiaomi_gateway_light",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "turn_off_xiaomi",
        friendly_name: "Turn off Xiaomi Gateway light",
      },
      last_changed: "2019-01-22T17:00:14.786972+00:00",
      last_updated: "2019-01-22T17:00:14.786972+00:00",
      context: { id: "b41c317d8c214ad394e9d64579a9a8d6", user_id: null },
    },
    "automation.change_xiaomi_color": {
      entity_id: "automation.change_xiaomi_color",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "change_xiaomi_color",
        friendly_name: "Change Xiaomi color",
      },
      last_changed: "2019-01-22T17:00:14.787668+00:00",
      last_updated: "2019-01-22T17:00:14.787668+00:00",
      context: { id: "b5f6ac14620d4d2b87ca8fbc45510db9", user_id: null },
    },
    "automation.change_leeo_color": {
      entity_id: "automation.change_leeo_color",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "change_leeo_color",
        friendly_name: "Change Leeo color",
      },
      last_changed: "2019-01-22T17:00:14.788312+00:00",
      last_updated: "2019-01-22T17:00:14.788312+00:00",
      context: { id: "8f0c7bb91f7a4c49a89b95d8ad61f951", user_id: null },
    },
    "automation.change_leeo_upstairs_color": {
      entity_id: "automation.change_leeo_upstairs_color",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "change_leeoup_color",
        friendly_name: "Change Leeo upstairs color",
      },
      last_changed: "2019-01-22T17:00:14.788999+00:00",
      last_updated: "2019-01-22T17:00:14.788999+00:00",
      context: { id: "0ad1d2e719d84725934792965ad8e562", user_id: null },
    },
    "automation.frontyard_lights_on_motion": {
      entity_id: "automation.frontyard_lights_on_motion",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "frontyard_lights",
        friendly_name: "Frontyard lights on Motion",
      },
      last_changed: "2019-01-22T17:00:14.789624+00:00",
      last_updated: "2019-01-22T17:00:14.789624+00:00",
      context: { id: "05aecdaeada144d89d41935bc625520a", user_id: null },
    },
    "automation.turn_lifx_party_mode_on": {
      entity_id: "automation.turn_lifx_party_mode_on",
      state: "off",
      attributes: {
        last_triggered: null,
        id: "lifx_party_mode",
        friendly_name: "Turn Lifx Party Mode On",
      },
      last_changed: "2019-01-22T16:59:57.224364+00:00",
      last_updated: "2019-01-22T16:59:57.224364+00:00",
      context: { id: "ab586bfb94e043b09250a810e5110804", user_id: null },
    },
    "automation.turn_lifx_party_mode_off": {
      entity_id: "automation.turn_lifx_party_mode_off",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "lifx_party_mode_off",
        friendly_name: "Turn Lifx Party Mode Off",
      },
      last_changed: "2019-01-22T17:00:14.790306+00:00",
      last_updated: "2019-01-22T17:00:14.790306+00:00",
      context: { id: "df1dc924b1e947b5b83c429604869a27", user_id: null },
    },
    "automation.outdoor_lights_at_night": {
      entity_id: "automation.outdoor_lights_at_night",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "outdoor_light_at_night",
        friendly_name: "Outdoor lights at night",
      },
      last_changed: "2019-01-22T17:00:14.791263+00:00",
      last_updated: "2019-01-22T17:00:14.791263+00:00",
      context: { id: "c115171ad2aa4f17bd5751a7e923e2f3", user_id: null },
    },
    "automation.driveway_light_off_during_the_day": {
      entity_id: "automation.driveway_light_off_during_the_day",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "driveway_light_off_during_the_day",
        friendly_name: "Driveway light Off during the day",
      },
      last_changed: "2019-01-22T17:00:14.791984+00:00",
      last_updated: "2019-01-22T17:00:14.791984+00:00",
      context: { id: "b5fa534c703445548aacdee3d1d53858", user_id: null },
    },
    "automation.set_hvac_mode": {
      entity_id: "automation.set_hvac_mode",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "set_hvac_mode",
        friendly_name: "Set HVAC Mode",
      },
      last_changed: "2019-01-22T17:00:14.792706+00:00",
      last_updated: "2019-01-22T17:00:14.792706+00:00",
      context: { id: "f575ce7d5a0e407b8190bdc69ba6a0fb", user_id: null },
    },
    "automation.reset_garage_relay": {
      entity_id: "automation.reset_garage_relay",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T19:29:20.016248+00:00",
        id: "reset_garage_relay",
        friendly_name: "Reset Garage Relay",
      },
      last_changed: "2019-01-22T17:00:14.793411+00:00",
      last_updated: "2019-01-22T19:29:20.016541+00:00",
      context: { id: "49426786089d49a283d873bfd2c8a61a", user_id: null },
    },
    "automation.open_garage_door_when_someone_home": {
      entity_id: "automation.open_garage_door_when_someone_home",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T19:29:17.198188+00:00",
        id: "open_garage_door_when_someone_home",
        friendly_name: "Open Garage door when someone home",
      },
      last_changed: "2019-01-22T17:00:14.794052+00:00",
      last_updated: "2019-01-22T19:29:17.198265+00:00",
      context: { id: "2e16d0b125b44c02b176a99cb6b6d529", user_id: null },
    },
    "automation.close_garage_door_when_abode_is_home_or_away": {
      entity_id: "automation.close_garage_door_when_abode_is_home_or_away",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "close_garage_door_when_abode_is_home_or_away",
        friendly_name: "Close garage door when Abode is Home or Away",
      },
      last_changed: "2019-01-22T17:00:14.795272+00:00",
      last_updated: "2019-01-22T17:00:14.795272+00:00",
      context: { id: "a9f8fe3e76954ac880edba74f920da7e", user_id: null },
    },
    "automation.sensors_changed_when_nobody_is_home": {
      entity_id: "automation.sensors_changed_when_nobody_is_home",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "sensors_changed_when_nobody_home",
        friendly_name: "Sensors changed when nobody is home",
      },
      last_changed: "2019-01-22T17:00:14.795924+00:00",
      last_updated: "2019-01-22T17:00:14.795924+00:00",
      context: { id: "17d7eb96a3db4c88a8035a1217597ebc", user_id: null },
    },
    "automation.sound_alarm_using_notifications": {
      entity_id: "automation.sound_alarm_using_notifications",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "sound_abode_alarm_notification",
        friendly_name: "Sound alarm using notifications",
      },
      last_changed: "2019-01-22T17:00:14.796620+00:00",
      last_updated: "2019-01-22T17:00:14.796620+00:00",
      context: { id: "f8d2b0bc2f8b479484cb1ff741b098ef", user_id: null },
    },
    "automation.turn_on_abode_updates": {
      entity_id: "automation.turn_on_abode_updates",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "turn_on_abode_updates",
        friendly_name: "Turn on Abode updates",
      },
      last_changed: "2019-01-22T17:00:14.797348+00:00",
      last_updated: "2019-01-22T17:00:14.797348+00:00",
      context: { id: "e33b2f9e386545258e3b67603117d52e", user_id: null },
    },
    "automation.turn_on_home_automation": {
      entity_id: "automation.turn_on_home_automation",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "turn_on_home_automation",
        friendly_name: "Turn on Home automation",
      },
      last_changed: "2019-01-22T17:00:14.798029+00:00",
      last_updated: "2019-01-22T17:00:14.798029+00:00",
      context: { id: "e785f7d17b534cae8e3eb4949e917454", user_id: null },
    },
    "automation.turn_lights_on_randomly": {
      entity_id: "automation.turn_lights_on_randomly",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "turn_on_lights_randomly",
        friendly_name: "Turn lights on randomly",
      },
      last_changed: "2019-01-22T17:00:14.799370+00:00",
      last_updated: "2019-01-22T17:00:14.799370+00:00",
      context: { id: "5c786c54c2724f48b9797babff610221", user_id: null },
    },
    "automation.turn_off_lights_2_hours": {
      entity_id: "automation.turn_off_lights_2_hours",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "turn_off_lights_in_2_hours",
        friendly_name: "Turn off lights 2 hours",
      },
      last_changed: "2019-01-22T17:00:14.800227+00:00",
      last_updated: "2019-01-22T17:00:14.800227+00:00",
      context: { id: "9ac2ecd653b04f5d9e44cb7a4b1d79a8", user_id: null },
    },
    "automation.turn_on_humidifier": {
      entity_id: "automation.turn_on_humidifier",
      state: "off",
      attributes: {
        last_triggered: null,
        id: "turn_on_humidifier",
        friendly_name: "Turn on humidifier",
      },
      last_changed: "2019-01-22T16:59:57.236441+00:00",
      last_updated: "2019-01-22T16:59:57.236441+00:00",
      context: { id: "d16095b8bfd24d20a56831274ac9d68d", user_id: null },
    },
    "automation.turn_off_humidifier": {
      entity_id: "automation.turn_off_humidifier",
      state: "off",
      attributes: {
        last_triggered: null,
        id: "turn_off_humidifier",
        friendly_name: "Turn off humidifier",
      },
      last_changed: "2019-01-22T16:59:57.236871+00:00",
      last_updated: "2019-01-22T16:59:57.236871+00:00",
      context: { id: "95eec62c62234e258c88382dc0a78ea8", user_id: null },
    },
    "automation.uscis_notify_on_update": {
      entity_id: "automation.uscis_notify_on_update",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "uscis_update_notification",
        friendly_name: "USCIS - Notify on update",
      },
      last_changed: "2019-01-22T17:00:14.802072+00:00",
      last_updated: "2019-01-22T17:00:14.802072+00:00",
      context: { id: "d1693c4eee8d44c18e23f6291ca8bba4", user_id: null },
    },
    "automation.update_sensors": {
      entity_id: "automation.update_sensors",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "update_sensors",
        friendly_name: "Update Sensors",
      },
      last_changed: "2019-01-22T17:00:14.802803+00:00",
      last_updated: "2019-01-22T17:00:14.802803+00:00",
      context: { id: "65970d0adb18411c8d543030df1bdffb", user_id: null },
    },
    "automation.set_initial_values_on_harmony_start": {
      entity_id: "automation.set_initial_values_on_harmony_start",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "set_initial_values_on_harmony_start",
        friendly_name: "Set initial values on Harmony Start",
      },
      last_changed: "2019-01-22T17:00:14.803525+00:00",
      last_updated: "2019-01-22T17:00:14.803525+00:00",
      context: { id: "4096da023d064f5db003ab2cce5d6f21", user_id: null },
    },
    "automation.update_tv_status_in_ha": {
      entity_id: "automation.update_tv_status_in_ha",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T17:00:18.116802+00:00",
        id: "update_tv_status_in_ha",
        friendly_name: "Update TV status in HA",
      },
      last_changed: "2019-01-22T17:00:14.804201+00:00",
      last_updated: "2019-01-22T17:00:18.116890+00:00",
      context: { id: "36ebfbd4cce9475493313535938e0d34", user_id: null },
    },
    "automation.turn_shield_on_off_with_tv": {
      entity_id: "automation.turn_shield_on_off_with_tv",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T17:00:19.524803+00:00",
        id: "turn_on_off_shield_with_tv",
        friendly_name: "Turn Shield on/off with TV",
      },
      last_changed: "2019-01-22T17:00:14.804949+00:00",
      last_updated: "2019-01-22T17:00:19.524935+00:00",
      context: { id: "36ebfbd4cce9475493313535938e0d34", user_id: null },
    },
    "automation.update_device_meta_tracker": {
      entity_id: "automation.update_device_meta_tracker",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T19:34:19.147677+00:00",
        id: "update_meta_tracker",
        friendly_name: "Update Device Meta Tracker",
      },
      last_changed: "2019-01-22T17:00:14.805791+00:00",
      last_updated: "2019-01-22T19:34:19.147755+00:00",
      context: { id: "ccdbdc088b9f4181b77aba25f5f31121", user_id: null },
    },
    "automation.abode_actionable_notification": {
      entity_id: "automation.abode_actionable_notification",
      state: "on",
      attributes: {
        last_triggered: "2018-12-21T22:03:04.800710+00:00",
        id: "abode_ios_notifications",
        friendly_name: "Abode Actionable Notification",
      },
      last_changed: "2019-01-22T17:00:14.806718+00:00",
      last_updated: "2019-01-22T17:00:14.806718+00:00",
      context: { id: "43800cc880cf4887adfd6404de03553d", user_id: null },
    },
    "automation.disarm_abode_from_away": {
      entity_id: "automation.disarm_abode_from_away",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T19:29:17.195681+00:00",
        id: "disarm_abode_from_away",
        friendly_name: "Disarm Abode from Away",
      },
      last_changed: "2019-01-22T17:00:14.808946+00:00",
      last_updated: "2019-01-22T19:29:17.195765+00:00",
      context: { id: "5fcecdac58ca4de2a430a7b92c0b690e", user_id: null },
    },
    "automation.close_garage_door_notification": {
      entity_id: "automation.close_garage_door_notification",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "close_garage_door_notification",
        friendly_name: "Close Garage Door Notification",
      },
      last_changed: "2019-01-22T17:00:14.809821+00:00",
      last_updated: "2019-01-22T17:00:14.809821+00:00",
      context: { id: "df6a0b52fcbe4315891258b4f834e81f", user_id: null },
    },
    "automation.disarm_abode_at_night": {
      entity_id: "automation.disarm_abode_at_night",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "disarm_abode_at_night",
        friendly_name: "Disarm Abode at night",
      },
      last_changed: "2019-01-22T17:00:14.810513+00:00",
      last_updated: "2019-01-22T17:00:14.810513+00:00",
      context: { id: "c7a0d03ec98e4d5ea11514c698eed4e6", user_id: null },
    },
    "automation.abode_home_from_standby": {
      entity_id: "automation.abode_home_from_standby",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "abode_home_from_standby",
        friendly_name: "Abode Home from Standby",
      },
      last_changed: "2019-01-22T17:00:14.811260+00:00",
      last_updated: "2019-01-22T17:00:14.811260+00:00",
      context: { id: "dc3e810a2081447e8b3e793b970b3c0e", user_id: null },
    },
    "automation.abode_standby": {
      entity_id: "automation.abode_standby",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "abode_standby",
        friendly_name: "Abode Standby",
      },
      last_changed: "2019-01-22T17:00:14.811962+00:00",
      last_updated: "2019-01-22T17:00:14.811962+00:00",
      context: { id: "dd4b4f60642948638d980a739444c2ef", user_id: null },
    },
    "automation.arm_abode": {
      entity_id: "automation.arm_abode",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "abode_arm",
        friendly_name: "Arm Abode",
      },
      last_changed: "2019-01-22T17:00:14.812748+00:00",
      last_updated: "2019-01-22T17:00:14.812748+00:00",
      context: { id: "f6f534361ddd4c5c838beac3e869ab47", user_id: null },
    },
    "automation.abode_home_at_night": {
      entity_id: "automation.abode_home_at_night",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "abode_home_at_night",
        friendly_name: "Abode Home at night",
      },
      last_changed: "2019-01-22T17:00:14.816254+00:00",
      last_updated: "2019-01-22T17:00:14.816254+00:00",
      context: { id: "99a1d4705667410a930cae61e0c212f0", user_id: null },
    },
    "automation.disarm_abode_in_the_morning": {
      entity_id: "automation.disarm_abode_in_the_morning",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "abode_disarm_morning",
        friendly_name: "Disarm Abode in the morning",
      },
      last_changed: "2019-01-22T17:00:14.817121+00:00",
      last_updated: "2019-01-22T17:00:14.817121+00:00",
      context: { id: "ede1aedafcf749ad9df43ccaeff23fe5", user_id: null },
    },
    "automation.enable_recording": {
      entity_id: "automation.enable_recording",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "enable_recording",
        friendly_name: "Enable Recording",
      },
      last_changed: "2019-01-22T17:00:14.818241+00:00",
      last_updated: "2019-01-22T17:00:14.818241+00:00",
      context: { id: "5bef8d0c155e4ce1b518a72be08e0e35", user_id: null },
    },
    "automation.disable_recording": {
      entity_id: "automation.disable_recording",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "disable_recording",
        friendly_name: "Disable Recording",
      },
      last_changed: "2019-01-22T17:00:14.819176+00:00",
      last_updated: "2019-01-22T17:00:14.819176+00:00",
      context: { id: "598f2dc753304be0b15cccf7c12237ef", user_id: null },
    },
    "automation.disable_thermostat_away": {
      entity_id: "automation.disable_thermostat_away",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "disable_thermostat_away_mode",
        friendly_name: "Disable thermostat away",
      },
      last_changed: "2019-01-22T17:00:14.820695+00:00",
      last_updated: "2019-01-22T17:00:14.820695+00:00",
      context: { id: "2d7b907b3b534907be675b5496f01c4c", user_id: null },
    },
    "automation.enable_thermostat_away": {
      entity_id: "automation.enable_thermostat_away",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "enable_thermostat_away_mode",
        friendly_name: "Enable thermostat away",
      },
      last_changed: "2019-01-22T17:00:14.821849+00:00",
      last_updated: "2019-01-22T17:00:14.821849+00:00",
      context: { id: "c88c10c0c87f4aadb2eea766b234a439", user_id: null },
    },
    "automation.image_processing_scan": {
      entity_id: "automation.image_processing_scan",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T19:31:44.715616+00:00",
        id: "image_processing_scan",
        friendly_name: "Image Processing Scan",
      },
      last_changed: "2019-01-22T17:00:14.822848+00:00",
      last_updated: "2019-01-22T19:31:44.715696+00:00",
      context: { id: "8a286eb016ae4d129ac3ae1bba1a3397", user_id: null },
    },
    "automation.opencv_image_processing": {
      entity_id: "automation.opencv_image_processing",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "opencv_image_processing_notification",
        friendly_name: "OpenCV image processing",
      },
      last_changed: "2019-01-22T17:00:14.823857+00:00",
      last_updated: "2019-01-22T17:00:14.823857+00:00",
      context: { id: "d94ebae80d7c4b4a82274c6b72ded75f", user_id: null },
    },
    "automation.tf_image_processing": {
      entity_id: "automation.tf_image_processing",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T19:31:19.383045+00:00",
        id: "tf_image_processing_notification",
        friendly_name: "TF image processing",
      },
      last_changed: "2019-01-22T17:00:14.825486+00:00",
      last_updated: "2019-01-22T19:31:19.383134+00:00",
      context: { id: "69f85ee92d914020ae5a4bb7d6a2606a", user_id: null },
    },
    "automation.deepstack_image_processing": {
      entity_id: "automation.deepstack_image_processing",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T18:21:11.930966+00:00",
        id: "deepstack_image_processing_notification",
        friendly_name: "Deepstack image processing",
      },
      last_changed: "2019-01-22T17:00:14.826373+00:00",
      last_updated: "2019-01-22T18:21:11.931032+00:00",
      context: { id: "ae47e9b92c664c66995dd8b150946739", user_id: null },
    },
    "automation.notify_camera_pictures": {
      entity_id: "automation.notify_camera_pictures",
      state: "off",
      attributes: {
        last_triggered: null,
        id: "notify_camera_pictures",
        friendly_name: "Notify camera pictures",
      },
      last_changed: "2019-01-22T16:59:57.248327+00:00",
      last_updated: "2019-01-22T16:59:57.248327+00:00",
      context: { id: "b5a06e44ce6b42efb2d6f6778bb6100c", user_id: null },
    },
    "automation.notify_tensorflow_detection": {
      entity_id: "automation.notify_tensorflow_detection",
      state: "on",
      attributes: {
        last_triggered: "2019-01-22T18:21:10.744920+00:00",
        id: "notify_tensorflow_detection",
        friendly_name: "Notify Tensorflow detection",
      },
      last_changed: "2019-01-22T17:00:14.827368+00:00",
      last_updated: "2019-01-22T18:21:10.745130+00:00",
      context: { id: "ae47e9b92c664c66995dd8b150946739", user_id: null },
    },
    "automation.camera_save_images_on_motion": {
      entity_id: "automation.camera_save_images_on_motion",
      state: "off",
      attributes: {
        last_triggered: null,
        id: "save_camera_images",
        friendly_name: "Camera - Save images on motion",
      },
      last_changed: "2019-01-22T16:59:57.251701+00:00",
      last_updated: "2019-01-22T16:59:57.251701+00:00",
      context: { id: "a98e5fccb209431eb0cbbed9805b365b", user_id: null },
    },
    "automation.battery_alert": {
      entity_id: "automation.battery_alert",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "battery_alert",
        friendly_name: "Battery Alert",
      },
      last_changed: "2019-01-22T17:00:14.828316+00:00",
      last_updated: "2019-01-22T17:00:14.828316+00:00",
      context: { id: "13ee3ef8f39b488087f785ebc78d4346", user_id: null },
    },
    "automation.heal_z_wave_network": {
      entity_id: "automation.heal_z_wave_network",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "heal_zwave_network",
        friendly_name: "Heal Z-Wave Network",
      },
      last_changed: "2019-01-22T17:00:14.831414+00:00",
      last_updated: "2019-01-22T17:00:14.831414+00:00",
      context: { id: "b203289dc1cd4c7cbd2e94c0ca5c1341", user_id: null },
    },
    "automation.update_available_notification": {
      entity_id: "automation.update_available_notification",
      state: "on",
      attributes: {
        last_triggered: null,
        id: "update_available_notification",
        friendly_name: "Update Available Notification",
      },
      last_changed: "2019-01-22T17:00:14.832396+00:00",
      last_updated: "2019-01-22T17:00:14.832396+00:00",
      context: { id: "dc0e534b683a41fb8f88fa9b61e46d2c", user_id: null },
    },
    "switch.sonos_night_sound": {
      entity_id: "switch.sonos_night_sound",
      state: "off",
      attributes: {
        friendly_name: "Sonos Night Sound",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.253502+00:00",
      last_updated: "2019-01-22T16:59:57.253502+00:00",
      context: { id: "a09af68541d34f8b8cf01c8bd653eee1", user_id: null },
    },
    "switch.sonos_speech_enhance": {
      entity_id: "switch.sonos_speech_enhance",
      state: "off",
      attributes: {
        friendly_name: "Sonos Speech Enhance",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.254098+00:00",
      last_updated: "2019-01-22T16:59:57.254098+00:00",
      context: { id: "da32e14492d04f4a9d5e15c71eb71d2f", user_id: null },
    },
    "switch.upstairs_away": {
      entity_id: "switch.upstairs_away",
      state: "off",
      attributes: { friendly_name: "Upstairs Away", homebridge_hidden: true },
      last_changed: "2019-01-22T19:29:19.209310+00:00",
      last_updated: "2019-01-22T19:29:19.209310+00:00",
      context: { id: "562080ae942046f0a9f0a9959bd493e8", user_id: null },
    },
    "switch.downstairs_away": {
      entity_id: "switch.downstairs_away",
      state: "off",
      attributes: { friendly_name: "Downstairs Away", homebridge_hidden: true },
      last_changed: "2019-01-22T19:29:19.916738+00:00",
      last_updated: "2019-01-22T19:29:19.916738+00:00",
      context: { id: "562080ae942046f0a9f0a9959bd493e8", user_id: null },
    },
    "switch.bedroom_away": {
      entity_id: "switch.bedroom_away",
      state: "off",
      attributes: { friendly_name: "Master Away", homebridge_hidden: true },
      last_changed: "2019-01-22T19:29:20.509829+00:00",
      last_updated: "2019-01-22T19:29:20.509829+00:00",
      context: { id: "562080ae942046f0a9f0a9959bd493e8", user_id: null },
    },
    "switch.security_armed": {
      entity_id: "switch.security_armed",
      state: "off",
      attributes: {
        friendly_name: "Home Security Arm",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:29:19.871240+00:00",
      last_updated: "2019-01-22T19:29:19.871240+00:00",
      context: { id: "2d370c236dc84c6ba4510fa9b537d926", user_id: null },
    },
    "switch.pihole": {
      entity_id: "switch.pihole",
      state: "on",
      attributes: { friendly_name: "PiHole", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:28.216726+00:00",
      last_updated: "2019-01-22T17:00:28.216726+00:00",
      context: { id: "3505c5bacb7643709bb2d5500f91c8e7", user_id: null },
    },
    "sensor.financials": {
      entity_id: "sensor.financials",
      state: "-1.13",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Financials",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:22.409311+00:00",
      last_updated: "2019-01-22T19:30:22.409311+00:00",
      context: { id: "77f84020cb1747319568e21cae6c6b6b", user_id: null },
    },
    "group.all_scripts": {
      entity_id: "group.all_scripts",
      state: "off",
      attributes: {
        entity_id: [
          "script.abodeaway",
          "script.abodehome",
          "script.abodestandby",
          "script.arm_security",
          "script.disarm_security",
          "script.notificationgaragedoor",
          "script.initialize_hass",
          "script.kodi_clean_library",
          "script.kodi_update_library",
          "script.notificationleavework",
          "script.master_random",
          "script.master_colorloop",
          "script.notificationalarm",
          "script.animalplanet",
          "script.cnbc",
          "script.cnn",
          "script.discovery",
          "script.disney",
          "script.playradio",
          "script.classify_images",
          "script.sonos_say",
          "script.sonoslinein",
          "script.colorloop_start",
          "script.disco_party",
          "script.lifx_stop_effects",
          "script.tv_youtube_on",
          "script.tv_off",
          "script.updatetracker",
          "script.portfolio",
          "script.set_hue_scene",
        ],
        order: 46,
        auto: true,
        friendly_name: "Scripts",
        hidden: false,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.276551+00:00",
      last_updated: "2019-01-22T16:59:57.276551+00:00",
      context: { id: "38c523daefb2486dbbb5b6b00bb48e5f", user_id: null },
    },
    "group.all_covers": {
      entity_id: "group.all_covers",
      state: "closed",
      attributes: {
        entity_id: ["cover.garagedoor"],
        order: 47,
        auto: true,
        friendly_name: "all covers",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:05.408527+00:00",
      last_updated: "2019-01-22T19:31:05.408527+00:00",
      context: { id: "be100cc80d7a4fbda8a3cfb127c5a414", user_id: null },
    },
    "sensor.nasdaq_futures_change_pct": {
      entity_id: "sensor.nasdaq_futures_change_pct",
      state: "-2.11",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: "%",
        friendly_name: "NASDAQ Futures change pct",
        icon: "hademo:arrow-down-bold-circle",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state < -5) return 'rgb(151, 26, 30)'; if (state < -4) return 'rgb(194, 39, 45)'; if (state < -3) return 'rgb(236, 27, 33)'; if (state < -2) return 'rgb(244, 101, 35)'; if (state < -1) return 'rgb(248, 147, 29)'; if (state < 0) return 'rgb(255, 194, 15)'; if (state < 1) return 'rgb(202, 219, 43)'; if (state < 2) return 'rgb(142, 198, 65)'; if (state < 3) return 'rgb(106, 158, 47)'; if (state < 4) return 'rgb(37, 145, 60)'; return 'rgb(0, 111, 58)';\n",
        },
      },
      last_changed: "2019-01-22T19:34:41.530389+00:00",
      last_updated: "2019-01-22T19:34:41.530389+00:00",
      context: { id: "b3e6999841044693b77b2a0470efc658", user_id: null },
    },
    "light.kitchen_lights": {
      entity_id: "light.kitchen_lights",
      state: "off",
      attributes: {
        friendly_name: "Kitchen lights",
        supported_features: 1,
        homebridge_hidden: false,
        emulated_hue_hidden: false,
        emulated_hue_name: "Kitchen lights",
      },
      last_changed: "2019-01-22T16:59:57.294651+00:00",
      last_updated: "2019-01-22T16:59:57.294651+00:00",
      context: { id: "84a69e03a3b14de29e6753fb10889da7", user_id: null },
    },
    "group.all_lights": {
      entity_id: "group.all_lights",
      state: "off",
      attributes: {
        entity_id: [
          "light.gateway_light_34ce00813670",
          "light.kitchen_lights",
          "light.lifx5",
          "light.lifx3",
          "light.lifxnrguest",
          "light.lifxnrkitchen",
          "light.living_room_lights",
          "light.hue_color_lamp_1",
          "light.hue_color_lamp_2",
          "light.hue_color_lamp_3",
          "light.master_lights",
        ],
        order: 48,
        auto: true,
        friendly_name: "Lights",
        hidden: false,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.302688+00:00",
      last_updated: "2019-01-22T17:00:05.589394+00:00",
      context: { id: "828374ad13b546cfac81b10d14af4dc2", user_id: null },
    },
    "group.all_automations": {
      entity_id: "group.all_automations",
      state: "on",
      attributes: {
        entity_id: [
          "automation.abode_actionable_notification",
          "automation.abode_home_at_night",
          "automation.abode_home_from_standby",
          "automation.abode_standby",
          "automation.alert_life360_sensor_error",
          "automation.arm_abode",
          "automation.battery_alert",
          "automation.camera_save_images_on_motion",
          "automation.change_current_theme",
          "automation.change_hdmi_input",
          "automation.change_hdmi_switcher",
          "automation.change_leeo_color",
          "automation.change_leeo_upstairs_color",
          "automation.change_xiaomi_color",
          "automation.close_garage_door_notification",
          "automation.close_garage_door_when_abode_is_home_or_away",
          "automation.commute_update_evening_commute_sensor",
          "automation.commute_update_morning_commute_sensor",
          "automation.deepstack_image_processing",
          "automation.disable_recording",
          "automation.disable_thermostat_away",
          "automation.disarm_abode_at_night",
          "automation.disarm_abode_from_away",
          "automation.disarm_abode_in_the_morning",
          "automation.driveway_light_off_during_the_day",
          "automation.enable_recording",
          "automation.enable_thermostat_away",
          "automation.ensure_smart_switches_are_on",
          "automation.evening_commute",
          "automation.frontyard_lights_on_motion",
          "automation.heal_z_wave_network",
          "automation.ifttt_test",
          "automation.image_processing_scan",
          "automation.kitchen_light_brightness",
          "automation.micube_master_scene",
          "automation.micube_toggle_master",
          "automation.micube_event_test",
          "automation.micube_rotate_master_lights",
          "automation.micube_scene_reset",
          "automation.morning_commute",
          "automation.no_tv_time",
          "automation.notify_sonos_audio_in_state",
          "automation.notify_tensorflow_detection",
          "automation.notify_camera_pictures",
          "automation.open_garage_door_when_someone_home",
          "automation.opencv_detection",
          "automation.opencv_image_processing",
          "automation.outdoor_lights_at_night",
          "automation.plex_spy_notification",
          "automation.prevent_overcharging",
          "automation.reset_garage_relay",
          "automation.sensors_changed_when_nobody_is_home",
          "automation.set_hvac_mode",
          "automation.set_volume",
          "automation.set_initial_values_on_harmony_start",
          "automation.sonos_disable_speech_enhance_and_night_sound",
          "automation.sonos_enable_speech_enhance_and_night_sound",
          "automation.sound_alarm_using_notifications",
          "automation.start_harmony_activity_from_input_select",
          "automation.tf_image_processing",
          "automation.turn_lifx_party_mode_off",
          "automation.turn_lifx_party_mode_on",
          "automation.turn_shield_on_off_with_tv",
          "automation.turn_tv_on_off",
          "automation.turn_lights_on_randomly",
          "automation.turn_off_master_lights",
          "automation.turn_off_master_lights_if_they_randomly_turn_on_at_night",
          "automation.turn_off_xiaomi_gateway_light",
          "automation.turn_off_garage_lights",
          "automation.turn_off_humidifier",
          "automation.turn_off_lights_2_hours",
          "automation.turn_on_abode_updates",
          "automation.turn_on_home_automation",
          "automation.turn_on_master_lights_on_motion",
          "automation.turn_on_garage_lights_when_door_opened",
          "automation.turn_on_humidifier",
          "automation.uscis_notify_on_update",
          "automation.update_available_notification",
          "automation.update_device_meta_tracker",
          "automation.update_ha_after_startup",
          "automation.update_ha_if_harmony_activity_changes",
          "automation.update_sensors",
          "automation.update_tv_status_in_ha",
          "automation.update_volume_slider",
          "automation.webhook_geofency_test",
          "automation.xiaomi_vibration_sensor_test",
        ],
        order: 49,
        auto: true,
        friendly_name: "Automations",
        hidden: false,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.858696+00:00",
      last_updated: "2019-01-22T17:00:14.858696+00:00",
      context: { id: "3cf26ec3847f4a8382020479893cb1c7", user_id: null },
    },
    "group.all_switches": {
      entity_id: "group.all_switches",
      state: "on",
      attributes: {
        entity_id: [
          "switch.aeon_switch",
          "switch.arnav_s_ipad",
          "switch.auto_away",
          "switch.auto_home",
          "switch.backyardmotion",
          "switch.downstairs_away",
          "switch.driveway",
          "switch.drivewaymotion",
          "switch.garage_relay_switch",
          "switch.security_armed",
          "switch.lenovo_home",
          "switch.bedroom_away",
          "switch.patiomotion",
          "switch.pihole",
          "switch.porchmotion",
          "switch.rpi_aiy",
          "switch.samsung_tv",
          "switch.sonos_night_sound",
          "switch.sonos_speech_enhance",
          "switch.toshibaaio",
          "switch.upstairs_away",
          "switch.wemoinsight",
          "switch.wemoporch",
          "switch.wemoswitch",
          "switch.0220013568c63aa78156",
        ],
        order: 50,
        auto: true,
        friendly_name: "Switches",
        hidden: false,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.062911+00:00",
      last_updated: "2019-01-22T17:00:22.445950+00:00",
      context: { id: "4739085a973346e5973f08e96f50b32e", user_id: null },
    },
    "sensor.s_p_futures_change": {
      entity_id: "sensor.s_p_futures_change",
      state: "-44.0",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: " ",
        friendly_name: "S&P Futures change",
        icon: "hademo:arrow-down-bold-circle",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state > 0) return 'rgb(50,205,50)'; else return 'rgb(178,34,34)';\n",
        },
      },
      last_changed: "2019-01-22T19:34:41.597196+00:00",
      last_updated: "2019-01-22T19:34:41.597196+00:00",
      context: { id: "d863228ccddc46f69fb90b5cdc010ff2", user_id: null },
    },
    "sensor.nasdaq_futures_change": {
      entity_id: "sensor.nasdaq_futures_change",
      state: "-143.0",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: " ",
        friendly_name: "NASDAQ Futures change",
        icon: "hademo:arrow-down-bold-circle",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state > 0) return 'rgb(50,205,50)'; else return 'rgb(178,34,34)';\n",
        },
      },
      last_changed: "2019-01-22T19:34:41.588807+00:00",
      last_updated: "2019-01-22T19:34:41.588807+00:00",
      context: { id: "e0b6f9f8a929414688af66bafd9e182b", user_id: null },
    },
    "sensor.s_p_futures": {
      entity_id: "sensor.s_p_futures",
      state: "2627.5",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: " ",
        friendly_name: "S&P Futures",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:34:41.657204+00:00",
      last_updated: "2019-01-22T19:34:41.657204+00:00",
      context: { id: "c63bb9a0464a44e98de2571f4c50b0b9", user_id: null },
    },
    "sensor.dow_futures": {
      entity_id: "sensor.dow_futures",
      state: "24297.0",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: " ",
        friendly_name: "DOW Futures",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:34:41.650249+00:00",
      last_updated: "2019-01-22T19:34:41.650249+00:00",
      context: { id: "c1329a4c91a44fcb947eb47b65a7856b", user_id: null },
    },
    "sensor.dow_futures_change_pct": {
      entity_id: "sensor.dow_futures_change_pct",
      state: "-1.58",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: "%",
        friendly_name: "DOW Futures change pct",
        icon: "hademo:arrow-down-bold-circle",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state < -5) return 'rgb(151, 26, 30)'; if (state < -4) return 'rgb(194, 39, 45)'; if (state < -3) return 'rgb(236, 27, 33)'; if (state < -2) return 'rgb(244, 101, 35)'; if (state < -1) return 'rgb(248, 147, 29)'; if (state < 0) return 'rgb(255, 194, 15)'; if (state < 1) return 'rgb(202, 219, 43)'; if (state < 2) return 'rgb(142, 198, 65)'; if (state < 3) return 'rgb(106, 158, 47)'; if (state < 4) return 'rgb(37, 145, 60)'; return 'rgb(0, 111, 58)';\n",
        },
      },
      last_changed: "2019-01-22T19:34:41.626072+00:00",
      last_updated: "2019-01-22T19:34:41.626072+00:00",
      context: { id: "03841ce9f16441dc86a5fe5ae8420fa3", user_id: null },
    },
    "sensor.dow_futures_change": {
      entity_id: "sensor.dow_futures_change",
      state: "-390.0",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: " ",
        friendly_name: "DOW Futures change",
        icon: "hademo:arrow-down-bold-circle",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state > 0) return 'rgb(50,205,50)'; else return 'rgb(178,34,34)';\n",
        },
      },
      last_changed: "2019-01-22T19:34:41.607176+00:00",
      last_updated: "2019-01-22T19:34:41.607176+00:00",
      context: { id: "cb2f483cf2254b6e9fdd729077b98bbf", user_id: null },
    },
    "sensor.nasdaq_futures": {
      entity_id: "sensor.nasdaq_futures",
      state: "6649.75",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: " ",
        friendly_name: "NASDAQ Futures",
        icon: "hademo:currency-usd",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:34:41.673171+00:00",
      last_updated: "2019-01-22T19:34:41.673171+00:00",
      context: { id: "6db014340e004c3085f4d550eeadb768", user_id: null },
    },
    "sensor.s_p_futures_change_pct": {
      entity_id: "sensor.s_p_futures_change_pct",
      state: "-1.65",
      attributes: {
        attribution: "Data provided by CNN.com",
        unit_of_measurement: "%",
        friendly_name: "S&P Futures change pct",
        icon: "hademo:arrow-down-bold-circle",
        homebridge_hidden: true,
        templates: {
          icon_color:
            "if (state < -5) return 'rgb(151, 26, 30)'; if (state < -4) return 'rgb(194, 39, 45)'; if (state < -3) return 'rgb(236, 27, 33)'; if (state < -2) return 'rgb(244, 101, 35)'; if (state < -1) return 'rgb(248, 147, 29)'; if (state < 0) return 'rgb(255, 194, 15)'; if (state < 1) return 'rgb(202, 219, 43)'; if (state < 2) return 'rgb(142, 198, 65)'; if (state < 3) return 'rgb(106, 158, 47)'; if (state < 4) return 'rgb(37, 145, 60)'; return 'rgb(0, 111, 58)';\n",
        },
      },
      last_changed: "2019-01-22T19:34:41.566685+00:00",
      last_updated: "2019-01-22T19:34:41.566685+00:00",
      context: { id: "3a561631be674b0daa4e13d542a6f499", user_id: null },
    },
    "light.hue_color_lamp_1": {
      entity_id: "light.hue_color_lamp_1",
      state: "off",
      attributes: {
        min_mireds: 153,
        max_mireds: 500,
        friendly_name: "Master 1",
        supported_features: 63,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.421788+00:00",
      last_updated: "2019-01-22T16:59:57.421788+00:00",
      context: { id: "573a69eccae942d5a4b9870c3585429f", user_id: null },
    },
    "light.hue_color_lamp_2": {
      entity_id: "light.hue_color_lamp_2",
      state: "off",
      attributes: {
        min_mireds: 153,
        max_mireds: 500,
        friendly_name: "Master 2",
        supported_features: 63,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.422442+00:00",
      last_updated: "2019-01-22T16:59:57.422442+00:00",
      context: { id: "19ae7cae5143419991ae92a7a3bda423", user_id: null },
    },
    "light.hue_color_lamp_3": {
      entity_id: "light.hue_color_lamp_3",
      state: "off",
      attributes: {
        min_mireds: 153,
        max_mireds: 500,
        friendly_name: "Master 3",
        supported_features: 63,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.423068+00:00",
      last_updated: "2019-01-22T16:59:57.423068+00:00",
      context: { id: "75d3c44287804191bdd86b967125d7a9", user_id: null },
    },
    "sensor.life360_sensor": {
      entity_id: "sensor.life360_sensor",
      state: "running",
      attributes: {
        friendly_name: "Life 360",
        homebridge_hidden: true,
        hidden: true,
      },
      last_changed: "2019-01-22T16:59:57.448738+00:00",
      last_updated: "2019-01-22T16:59:57.448738+00:00",
      context: { id: "cbeb562a32f34773918bff2b8992a0f1", user_id: null },
    },
    "camera.arlo3": {
      entity_id: "camera.arlo3",
      state: "idle",
      attributes: {
        access_token:
          "4b47b8a3d23ea3f0a31cac95f466342127886c099e0a4fb058d9141e5a248625",
        model_name: "VMC4030",
        brand: "Netgear Arlo",
        battery_level: 92,
        brightness: 0,
        flipped: false,
        mirrored: false,
        motion_detection_sensitivity: 80,
        power_save_mode: "optimized",
        signal_strength: 4,
        unseen_videos: 6,
        friendly_name: "Arlo3",
        entity_picture:
          "/api/camera_proxy/camera.arlo3?token=4b47b8a3d23ea3f0a31cac95f466342127886c099e0a4fb058d9141e5a248625",
        supported_features: 0,
      },
      last_changed: "2019-01-22T17:00:00.112867+00:00",
      last_updated: "2019-01-22T19:35:30.059905+00:00",
      context: { id: "4de2d2fac4c14bdf932e97f3504d66da", user_id: null },
    },
    "camera.livingroom2": {
      entity_id: "camera.livingroom2",
      state: "idle",
      attributes: {
        access_token:
          "496f70f4ece63a2bb9b69783c158e5620b64ff09dd3c1195f250176fa6d1b5fc",
        model_name: "VMC4030",
        brand: "Netgear Arlo",
        battery_level: 84,
        brightness: 0,
        flipped: false,
        mirrored: false,
        motion_detection_sensitivity: 80,
        power_save_mode: "optimized",
        signal_strength: 4,
        unseen_videos: 26,
        friendly_name: "LivingRoom2",
        entity_picture:
          "/api/camera_proxy/camera.livingroom2?token=496f70f4ece63a2bb9b69783c158e5620b64ff09dd3c1195f250176fa6d1b5fc",
        supported_features: 0,
      },
      last_changed: "2019-01-22T17:00:00.117244+00:00",
      last_updated: "2019-01-22T19:35:30.061084+00:00",
      context: { id: "cbc1ded808b54bf987a83870b797b312", user_id: null },
    },
    "camera.arlolivingroom": {
      entity_id: "camera.arlolivingroom",
      state: "idle",
      attributes: {
        access_token:
          "cbf2b96df8c3fbc1996c6cbd7985f06ed0271042ba3465ece0a687d1c2082e9f",
        model_name: "VMC4030",
        brand: "Netgear Arlo",
        battery_level: 84,
        brightness: 0,
        flipped: false,
        mirrored: false,
        motion_detection_sensitivity: 80,
        power_save_mode: "best_battery_life",
        signal_strength: 4,
        unseen_videos: 23,
        friendly_name: "ArloLivingRoom",
        entity_picture:
          "/api/camera_proxy/camera.arlolivingroom?token=cbf2b96df8c3fbc1996c6cbd7985f06ed0271042ba3465ece0a687d1c2082e9f",
        supported_features: 0,
      },
      last_changed: "2019-01-22T17:00:00.120657+00:00",
      last_updated: "2019-01-22T19:35:30.062236+00:00",
      context: { id: "08eef12bf67d444fadd7bef9f401d6a7", user_id: null },
    },
    "weather.bedroom": {
      entity_id: "weather.bedroom",
      state: "Mostly Cloudy",
      attributes: {
        temperature: 41,
        humidity: 32,
        pressure: 1033,
        wind_bearing: 96,
        wind_speed: 7,
        visibility: 16000,
        attribution:
          "Ecobee weather provided by FI:KLZU at 2019-01-22 19:32:05",
        forecast: [
          {
            datetime: "2019-01-22T14:32:05",
            condition: "Mostly Cloudy",
            temperature: 43,
            templow: 28,
            pressure: 1033,
            wind_speed: 16000,
            humidity: 32,
          },
          {
            datetime: "2019-01-23T00:00:00",
            condition: "Heavy rain in the morning and evening.",
            temperature: 62,
            templow: 37,
            pressure: 1020,
            wind_speed: 16000,
            humidity: 88,
          },
          {
            datetime: "2019-01-24T00:00:00",
            condition: "Mostly cloudy until afternoon.",
            temperature: 55,
            templow: 36,
            pressure: 1014,
            wind_speed: 16000,
            humidity: 71,
          },
          {
            datetime: "2019-01-25T00:00:00",
            condition: "Partly cloudy overnight.",
            temperature: 43,
            templow: 30,
            pressure: 1024,
            wind_speed: 16000,
            humidity: 53,
          },
          {
            datetime: "2019-01-26T00:00:00",
            condition: "Mostly cloudy starting in the afternoon.",
            temperature: 48,
            templow: 29,
            pressure: 1026,
            wind_speed: 16000,
            humidity: 49,
          },
        ],
        friendly_name: "Bedroom",
      },
      last_changed: "2019-01-22T17:03:08.034884+00:00",
      last_updated: "2019-01-22T19:32:37.390688+00:00",
      context: { id: "fb1c827ade784d54bb6ab7f80fd028d5", user_id: null },
    },
    "sensor.captured_today_arlo3": {
      entity_id: "sensor.captured_today_arlo3",
      state: "0",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Captured Today Arlo3",
        icon: "hademo:file-video",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.135994+00:00",
      last_updated: "2019-01-22T17:00:00.135994+00:00",
      context: { id: "2b8bd2d95e5546f685cb47bca1765787", user_id: null },
    },
    "sensor.10_year_treasury": {
      entity_id: "sensor.10_year_treasury",
      state: "2.75",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "10 Year Treasury",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.138571+00:00",
      last_updated: "2019-01-22T17:00:00.138571+00:00",
      context: { id: "5493d6ecfb2947baa86d1b3668160df2", user_id: null },
    },
    "sensor.grafana_portfolio": {
      entity_id: "sensor.grafana_portfolio",
      state: "",
      attributes: {
        friendly_name: "Grafana portfolio",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.141660+00:00",
      last_updated: "2019-01-22T17:00:00.141660+00:00",
      context: { id: "254ae5e8349145ee9870e3cdf0e52198", user_id: null },
    },
    "sensor.grafana_temp_down": {
      entity_id: "sensor.grafana_temp_down",
      state: "",
      attributes: {
        friendly_name: "Grafana temp down",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.142977+00:00",
      last_updated: "2019-01-22T17:00:00.142977+00:00",
      context: { id: "ef190ac017154a1ab00b1102962622e8", user_id: null },
    },
    "calendar.us_holidays": {
      entity_id: "calendar.us_holidays",
      state: "off",
      attributes: {
        message: "",
        all_day: false,
        offset_reached: false,
        start_time: null,
        end_time: null,
        location: null,
        description: null,
        friendly_name: "Holidays in United States",
      },
      last_changed: "2019-01-22T17:00:00.150834+00:00",
      last_updated: "2019-01-22T17:00:00.150834+00:00",
      context: { id: "d508c4bce1664e7d99aafbd657fd9db4", user_id: null },
    },
    "calendar.work": {
      entity_id: "calendar.work",
      state: "off",
      attributes: {
        message: "Stay at Hilton Austin",
        all_day: true,
        offset_reached: false,
        start_time: "2019-02-22 00:00:00",
        end_time: "2019-02-24 00:00:00",
        location: "Hilton Austin, Austin",
        description:
          "To see detailed information for automatically created events like this one, use the official Google Calendar app. https://g.co/calendar\n\nThis event was created from an email you received in Gmail.",
        friendly_name: "Work",
      },
      last_changed: "2019-01-22T17:00:00.151604+00:00",
      last_updated: "2019-01-22T17:00:00.151604+00:00",
      context: { id: "bb4fe18bb56444a59480d8eb6314e017", user_id: null },
    },
    "calendar.personal": {
      entity_id: "calendar.personal",
      state: "on",
      attributes: {
        message: "A: Ashish Preeti",
        all_day: true,
        offset_reached: false,
        start_time: "2019-01-22 00:00:00",
        end_time: "2019-01-23 00:00:00",
        location: "",
        description: "",
        friendly_name: "Personal",
      },
      last_changed: "2019-01-22T17:00:00.152735+00:00",
      last_updated: "2019-01-22T17:00:00.152735+00:00",
      context: { id: "c1fc4e969b074bfa93b1aef064ce9979", user_id: null },
    },
    "weather.downstairs": {
      entity_id: "weather.downstairs",
      state: "Mostly Cloudy",
      attributes: {
        temperature: 41,
        humidity: 32,
        pressure: 1033,
        wind_bearing: 96,
        wind_speed: 7,
        visibility: 16000,
        attribution:
          "Ecobee weather provided by FI:KLZU at 2019-01-22 19:32:05",
        forecast: [
          {
            datetime: "2019-01-22T14:32:05",
            condition: "Mostly Cloudy",
            temperature: 43,
            templow: 28,
            pressure: 1033,
            wind_speed: 16000,
            humidity: 32,
          },
          {
            datetime: "2019-01-23T00:00:00",
            condition: "Heavy rain in the morning and evening.",
            temperature: 62,
            templow: 37,
            pressure: 1020,
            wind_speed: 16000,
            humidity: 88,
          },
          {
            datetime: "2019-01-24T00:00:00",
            condition: "Mostly cloudy until afternoon.",
            temperature: 55,
            templow: 36,
            pressure: 1014,
            wind_speed: 16000,
            humidity: 71,
          },
          {
            datetime: "2019-01-25T00:00:00",
            condition: "Partly cloudy overnight.",
            temperature: 43,
            templow: 30,
            pressure: 1024,
            wind_speed: 16000,
            humidity: 53,
          },
          {
            datetime: "2019-01-26T00:00:00",
            condition: "Mostly cloudy starting in the afternoon.",
            temperature: 48,
            templow: 29,
            pressure: 1026,
            wind_speed: 16000,
            humidity: 49,
          },
        ],
        friendly_name: "Downstairs",
      },
      last_changed: "2019-01-22T17:03:08.061164+00:00",
      last_updated: "2019-01-22T19:32:37.425610+00:00",
      context: { id: "0727fe15ed1c45b59f1c79cb3d7b00c0", user_id: null },
    },
    "sensor.last_arlo3": {
      entity_id: "sensor.last_arlo3",
      state: "unknown",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Last Arlo3",
        icon: "hademo:run-fast",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.184051+00:00",
      last_updated: "2019-01-22T17:00:00.184051+00:00",
      context: { id: "88ea066c19ee42cbb97cc304abb5a082", user_id: null },
    },
    "sensor.plexspy": {
      entity_id: "sensor.plexspy",
      state: "0",
      attributes: {
        unit_of_measurement: "Watching",
        friendly_name: "PlexSpy",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.185247+00:00",
      last_updated: "2019-01-22T17:00:00.185247+00:00",
      context: { id: "07a3c87af6c54b35914c529acf4e60bb", user_id: null },
    },
    "sensor.current_version": {
      entity_id: "sensor.current_version",
      state: "0.86.0b3",
      attributes: {
        source: "Local",
        friendly_name: "Current Version",
        icon: "hademo:package-up",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.191231+00:00",
      last_updated: "2019-01-22T17:00:00.191231+00:00",
      context: { id: "e2f5667947a244d1b4fdb3075afb1b22", user_id: null },
    },
    "group.calendar": {
      entity_id: "group.calendar",
      state: "on",
      attributes: {
        entity_id: [
          "calendar.us_holidays",
          "calendar.personal",
          "calendar.work",
        ],
        order: 51,
        auto: true,
        friendly_name: "calendar",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.196476+00:00",
      last_updated: "2019-01-22T17:00:00.196476+00:00",
      context: { id: "2795c81747834ad5bc3ffe16d84084a7", user_id: null },
    },
    "weather.upstairs": {
      entity_id: "weather.upstairs",
      state: "Mostly Cloudy",
      attributes: {
        temperature: 41,
        humidity: 32,
        pressure: 1033,
        wind_bearing: 96,
        wind_speed: 7,
        visibility: 16000,
        attribution:
          "Ecobee weather provided by FI:KLZU at 2019-01-22 19:32:05",
        forecast: [
          {
            datetime: "2019-01-22T14:32:05",
            condition: "Mostly Cloudy",
            temperature: 43,
            templow: 28,
            pressure: 1033,
            wind_speed: 16000,
            humidity: 32,
          },
          {
            datetime: "2019-01-23T00:00:00",
            condition: "Heavy rain in the morning and evening.",
            temperature: 62,
            templow: 37,
            pressure: 1020,
            wind_speed: 16000,
            humidity: 88,
          },
          {
            datetime: "2019-01-24T00:00:00",
            condition: "Mostly cloudy until afternoon.",
            temperature: 55,
            templow: 36,
            pressure: 1014,
            wind_speed: 16000,
            humidity: 71,
          },
          {
            datetime: "2019-01-25T00:00:00",
            condition: "Partly cloudy overnight.",
            temperature: 43,
            templow: 30,
            pressure: 1024,
            wind_speed: 16000,
            humidity: 53,
          },
          {
            datetime: "2019-01-26T00:00:00",
            condition: "Mostly cloudy starting in the afternoon.",
            temperature: 48,
            templow: 29,
            pressure: 1026,
            wind_speed: 16000,
            humidity: 49,
          },
        ],
        friendly_name: "Upstairs",
      },
      last_changed: "2019-01-22T17:03:08.083598+00:00",
      last_updated: "2019-01-22T19:32:37.406841+00:00",
      context: { id: "4e0ed120d448467ab12718b0d5e488c2", user_id: null },
    },
    "sensor.signal_strength_arlo3": {
      entity_id: "sensor.signal_strength_arlo3",
      state: "4",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Signal Strength Arlo3",
        icon: "hademo:signal",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:00.199362+00:00",
      last_updated: "2019-01-22T17:00:00.199362+00:00",
      context: { id: "d8a57c9c15ba43cc8731b848f800c8f1", user_id: null },
    },
    "binary_sensor.ring_front_door_ding": {
      entity_id: "binary_sensor.ring_front_door_ding",
      state: "off",
      attributes: {
        attribution: "Data provided by Ring.com",
        device_id: "e04f434dca02",
        firmware: "Up to Date",
        timezone: "America/New_York",
        friendly_name: "Front Door Ding",
        device_class: "occupancy",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.255653+00:00",
      last_updated: "2019-01-22T18:24:03.677589+00:00",
      context: { id: "d7508c32f2c346d5950e725b422d6695", user_id: null },
    },
    "camera.front_door": {
      entity_id: "camera.front_door",
      state: "idle",
      attributes: {
        access_token:
          "f407ba237e8527a7416d8492e89cf0d31259e47adefe0f26ba7acab59a7b5a74",
        attribution: "Data provided by Ring.com",
        device_id: "e04f434dca02",
        firmware: "Up to Date",
        kind: "lpd_v2",
        timezone: "America/New_York",
        type: "doorbots",
        video_url:
          "https://ring-transcoded-videos.s3.amazonaws.com/3850634/6649387892869335431.mp4",
        friendly_name: "Front Door",
        entity_picture:
          "/api/camera_proxy/camera.front_door?token=f407ba237e8527a7416d8492e89cf0d31259e47adefe0f26ba7acab59a7b5a74",
        supported_features: 0,
      },
      last_changed: "2019-01-22T17:00:03.256475+00:00",
      last_updated: "2019-01-22T19:35:30.057849+00:00",
      context: { id: "815ca969f8af4b869d9fa69c548d1682", user_id: null },
    },
    "sensor.ring_front_door_last_motion": {
      entity_id: "sensor.ring_front_door_last_motion",
      state: "13:21",
      attributes: {
        attribution: "Data provided by Ring.com",
        device_id: "e04f434dca02",
        firmware: "Up to Date",
        kind: "lpd_v2",
        timezone: "America/New_York",
        type: "doorbots",
        wifi_name: "RingOfSecurity-hUrGKNlhR",
        created_at: "2019-01-22T13:21:03-05:00",
        answered: false,
        recording_status: "ready",
        category: "motion",
        friendly_name: "Front Door Last Motion",
        icon: "hademo:history",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:22:33.829681+00:00",
      last_updated: "2019-01-22T18:23:04.162733+00:00",
      context: { id: "2ca6046f7da2486988032576da8dc475", user_id: null },
    },
    "sensor.grafana_networth": {
      entity_id: "sensor.grafana_networth",
      state: "",
      attributes: {
        friendly_name: "Grafana networth",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.258326+00:00",
      last_updated: "2019-01-22T17:00:03.258326+00:00",
      context: { id: "70633e8e683c483390c953e2e5e122b7", user_id: null },
    },
    "sensor.grafana_mode_down": {
      entity_id: "sensor.grafana_mode_down",
      state: "",
      attributes: {
        friendly_name: "Grafana mode down",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.259181+00:00",
      last_updated: "2019-01-22T17:00:03.259181+00:00",
      context: { id: "90bd5b5fa18e438b81ab825da575f62b", user_id: null },
    },
    "camera.patio": {
      entity_id: "camera.patio",
      state: "streaming",
      attributes: {
        access_token:
          "cbd8dfac9efb441f19168e271cb8629b0372d0c1f721353394b23ed0202013b0",
        motion_detection: true,
        friendly_name: "Patio",
        entity_picture:
          "/api/camera_proxy/camera.patio?token=cbd8dfac9efb441f19168e271cb8629b0372d0c1f721353394b23ed0202013b0",
        supported_features: 0,
      },
      last_changed: "2019-01-22T17:00:03.259908+00:00",
      last_updated: "2019-01-22T19:35:30.063163+00:00",
      context: { id: "dc4051275fa84f9ba9a6db3190d07992", user_id: null },
    },
    "camera.porch": {
      entity_id: "camera.porch",
      state: "streaming",
      attributes: {
        access_token:
          "479b332e0a7cad4c58e0fb98a1ecb7942e3b225190adb93a1341edfa7daf45b0",
        motion_detection: true,
        friendly_name: "Porch",
        entity_picture:
          "/api/camera_proxy/camera.porch?token=479b332e0a7cad4c58e0fb98a1ecb7942e3b225190adb93a1341edfa7daf45b0",
        supported_features: 0,
      },
      last_changed: "2019-01-22T19:32:38.491230+00:00",
      last_updated: "2019-01-22T19:35:30.064062+00:00",
      context: { id: "4f09dc684f6d4a87990c8b821cf0f49a", user_id: null },
    },
    "camera.backyard": {
      entity_id: "camera.backyard",
      state: "streaming",
      attributes: {
        access_token:
          "9381b2e4edd1bb21e868e2193f5d132a5fae153ce4f458451d979a02712b4642",
        motion_detection: true,
        friendly_name: "Backyard",
        entity_picture:
          "/api/camera_proxy/camera.backyard?token=9381b2e4edd1bb21e868e2193f5d132a5fae153ce4f458451d979a02712b4642",
        supported_features: 0,
      },
      last_changed: "2019-01-22T17:00:03.261698+00:00",
      last_updated: "2019-01-22T19:35:30.064857+00:00",
      context: { id: "010e1d23a42b4218a90c43c20cffa71f", user_id: null },
    },
    "camera.driveway": {
      entity_id: "camera.driveway",
      state: "streaming",
      attributes: {
        access_token:
          "ac38bf88c2c5896eed66ae15739a3e726677f92d79e0d57f83f726ac28bda746",
        motion_detection: true,
        friendly_name: "Driveway",
        entity_picture:
          "/api/camera_proxy/camera.driveway?token=ac38bf88c2c5896eed66ae15739a3e726677f92d79e0d57f83f726ac28bda746",
        supported_features: 0,
      },
      last_changed: "2019-01-22T19:32:38.618521+00:00",
      last_updated: "2019-01-22T19:35:30.065677+00:00",
      context: { id: "ed8e123e97994bf1b3798bb7c8d7bb85", user_id: null },
    },
    "light.gateway_light_34ce00813670": {
      entity_id: "light.gateway_light_34ce00813670",
      state: "off",
      attributes: {
        friendly_name: "Gateway light",
        supported_features: 17,
        homebridge_hidden: true,
        emulated_hue_hidden: false,
      },
      last_changed: "2019-01-22T17:00:03.343398+00:00",
      last_updated: "2019-01-22T17:00:03.343398+00:00",
      context: { id: "395a958263074e9eaebb582be34e46db", user_id: null },
    },
    "media_player.living_room_tv": {
      entity_id: "media_player.living_room_tv",
      state: "off",
      attributes: {
        friendly_name: "Living Room TV",
        supported_features: 18361,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:18.107510+00:00",
      last_updated: "2019-01-22T17:00:18.107510+00:00",
      context: { id: "36ebfbd4cce9475493313535938e0d34", user_id: null },
    },
    "media_player.kodi_nstv": {
      entity_id: "media_player.kodi_nstv",
      state: "off",
      attributes: {
        friendly_name: "Kodi NSTV",
        supported_features: 54847,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.354281+00:00",
      last_updated: "2019-01-22T17:00:03.354281+00:00",
      context: { id: "224075601bcf4225826b50aa77dc4b70", user_id: null },
    },
    "alarm_control_panel.arlohome": {
      entity_id: "alarm_control_panel.arlohome",
      state: "disarmed",
      attributes: {
        code_format: null,
        changed_by: null,
        friendly_name: "ArloHome",
        assumed_state: true,
        homebridge_hidden: false,
      },
      last_changed: "2019-01-22T19:29:17.206749+00:00",
      last_updated: "2019-01-22T19:29:17.206749+00:00",
      context: { id: "562080ae942046f0a9f0a9959bd493e8", user_id: null },
    },
    "image_processing.tagbox_backyard": {
      entity_id: "image_processing.tagbox_backyard",
      state: "unknown",
      attributes: {
        tags: [
          {
            name: "Soil",
            confidence: 48.91,
            entity_id: "image_processing.tagbox_backyard",
          },
          {
            name: "Tree",
            confidence: 46.26,
            entity_id: "image_processing.tagbox_backyard",
          },
        ],
        total_tags: 2,
        matched_tags: {},
        total_matched_tags: 0,
        friendly_name: "tagbox backyard",
      },
      last_changed: "2019-01-22T17:00:03.373795+00:00",
      last_updated: "2019-01-22T17:00:18.643673+00:00",
      context: { id: "4219157af0e5449d8c9eeca28e2056a9", user_id: null },
    },
    "image_processing.tagbox_patio": {
      entity_id: "image_processing.tagbox_patio",
      state: "Road surface",
      attributes: {
        tags: [
          {
            name: "Road surface",
            confidence: 80.16,
            entity_id: "image_processing.tagbox_patio",
          },
          {
            name: "Flooring",
            confidence: 63.87,
            entity_id: "image_processing.tagbox_patio",
          },
          {
            name: "Asphalt",
            confidence: 51.46,
            entity_id: "image_processing.tagbox_patio",
          },
          {
            name: "Floor",
            confidence: 46.57,
            entity_id: "image_processing.tagbox_patio",
          },
          {
            name: "Walkway",
            confidence: 44.14,
            entity_id: "image_processing.tagbox_patio",
          },
          {
            name: "Sand",
            confidence: 44.07,
            entity_id: "image_processing.tagbox_patio",
          },
          {
            name: "Soil",
            confidence: 32.68,
            entity_id: "image_processing.tagbox_patio",
          },
        ],
        total_tags: 7,
        matched_tags: {
          "Road surface": 80.16,
          Flooring: 63.87,
          Asphalt: 51.46,
        },
        total_matched_tags: 3,
        friendly_name: "tagbox patio",
      },
      last_changed: "2019-01-22T17:00:23.190280+00:00",
      last_updated: "2019-01-22T17:00:23.190280+00:00",
      context: { id: "03ccfa3225b84a19afc2ea56c5a00152", user_id: null },
    },
    "image_processing.tagbox_porch": {
      entity_id: "image_processing.tagbox_porch",
      state: "Walkway",
      attributes: {
        tags: [
          {
            name: "Walkway",
            confidence: 83.81,
            entity_id: "image_processing.tagbox_porch",
          },
        ],
        total_tags: 1,
        matched_tags: { Walkway: 83.81 },
        total_matched_tags: 1,
        friendly_name: "tagbox porch",
      },
      last_changed: "2019-01-22T17:00:24.639626+00:00",
      last_updated: "2019-01-22T17:00:24.639626+00:00",
      context: { id: "85845ec0cde142f3928185d7ef24cefa", user_id: null },
    },
    "image_processing.tagbox_driveway": {
      entity_id: "image_processing.tagbox_driveway",
      state: "Road surface",
      attributes: {
        tags: [
          {
            name: "Road surface",
            confidence: 87.12,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Asphalt",
            confidence: 80.89,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Residential area",
            confidence: 65.87,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Walkway",
            confidence: 62.8,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Roof",
            confidence: 59.24,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "City",
            confidence: 49.23,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Flooring",
            confidence: 40.8,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Sidewalk",
            confidence: 39.85,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Outdoor structure",
            confidence: 35.6,
            entity_id: "image_processing.tagbox_driveway",
          },
          {
            name: "Suburb",
            confidence: 33.4,
            entity_id: "image_processing.tagbox_driveway",
          },
        ],
        total_tags: 10,
        matched_tags: {
          "Road surface": 87.12,
          Asphalt: 80.89,
          "Residential area": 65.87,
          Walkway: 62.8,
          Roof: 59.24,
        },
        total_matched_tags: 5,
        friendly_name: "tagbox driveway",
      },
      last_changed: "2019-01-22T17:00:20.780159+00:00",
      last_updated: "2019-01-22T17:00:20.780159+00:00",
      context: { id: "4219157af0e5449d8c9eeca28e2056a9", user_id: null },
    },
    "image_processing.deepstack_backyard": {
      entity_id: "image_processing.deepstack_backyard",
      state: "0",
      attributes: {
        target: "person",
        predictions: {},
        friendly_name: "deepstack_backyard",
      },
      last_changed: "2019-01-22T17:00:18.528973+00:00",
      last_updated: "2019-01-22T17:00:18.528973+00:00",
      context: { id: "4219157af0e5449d8c9eeca28e2056a9", user_id: null },
    },
    "image_processing.deepstack_driveway": {
      entity_id: "image_processing.deepstack_driveway",
      state: "0",
      attributes: {
        target: "person",
        predictions: {},
        friendly_name: "deepstack_driveway",
      },
      last_changed: "2019-01-22T17:00:20.601532+00:00",
      last_updated: "2019-01-22T19:31:44.710826+00:00",
      context: { id: "8a286eb016ae4d129ac3ae1bba1a3397", user_id: null },
    },
    "image_processing.deepstack_porch": {
      entity_id: "image_processing.deepstack_porch",
      state: "0",
      attributes: {
        target: "person",
        predictions: { car: 2, bench: 1 },
        friendly_name: "deepstack_porch",
      },
      last_changed: "2019-01-22T18:24:17.232250+00:00",
      last_updated: "2019-01-22T19:30:44.736555+00:00",
      context: { id: "9c70cfabde3c4e69acdedf256aa2c138", user_id: null },
    },
    "image_processing.deepstack_patio": {
      entity_id: "image_processing.deepstack_patio",
      state: "0",
      attributes: {
        target: "person",
        predictions: { bench: 2 },
        friendly_name: "deepstack_patio",
      },
      last_changed: "2019-01-22T17:00:24.009756+00:00",
      last_updated: "2019-01-22T17:00:24.009756+00:00",
      context: { id: "fcbe03c5a91b4e5c88c840becb23bc3c", user_id: null },
    },
    "sensor.last_arlolivingroom": {
      entity_id: "sensor.last_arlolivingroom",
      state: "unknown",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Last ArloLivingRoom",
        icon: "hademo:run-fast",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.407178+00:00",
      last_updated: "2019-01-22T17:00:03.407178+00:00",
      context: { id: "5d87ca68e1164875bb1f007cccceaaf1", user_id: null },
    },
    "camera.living_room": {
      entity_id: "camera.living_room",
      state: "idle",
      attributes: {
        access_token:
          "070ef7d948419a56fde1ec8577fedb308f9d2c4d4fa0cf7cf39d96a660f08b23",
        attribution: "Data provided by goabode.com",
        device_id: "ZB:b271",
        battery_low: false,
        no_response: false,
        device_type: "Motion Camera",
        friendly_name: "Living Room",
        entity_picture:
          "/api/camera_proxy/camera.living_room?token=070ef7d948419a56fde1ec8577fedb308f9d2c4d4fa0cf7cf39d96a660f08b23",
        supported_features: 0,
      },
      last_changed: "2019-01-22T17:00:03.419372+00:00",
      last_updated: "2019-01-22T19:35:30.066513+00:00",
      context: { id: "d34fdf306e1d471f97ea0d1ca803ccc9", user_id: null },
    },
    "image_processing.facebox_patio": {
      entity_id: "image_processing.facebox_patio",
      state: "0",
      attributes: {
        faces: [],
        total_faces: 0,
        matched_faces: {},
        total_matched_faces: 0,
        hostname: "5f4d5ed22095",
        friendly_name: "facebox patio",
        device_class: "face",
      },
      last_changed: "2019-01-22T17:00:03.420827+00:00",
      last_updated: "2019-01-22T17:00:03.420827+00:00",
      context: { id: "b7d066720fd24ea6a6cdbb21473e0222", user_id: null },
    },
    "image_processing.facebox_backyard": {
      entity_id: "image_processing.facebox_backyard",
      state: "0",
      attributes: {
        faces: [],
        total_faces: 0,
        matched_faces: {},
        total_matched_faces: 0,
        hostname: "5f4d5ed22095",
        friendly_name: "facebox backyard",
        device_class: "face",
      },
      last_changed: "2019-01-22T17:00:03.421629+00:00",
      last_updated: "2019-01-22T17:00:03.421629+00:00",
      context: { id: "8ad6696bbf9c44e19677bf6e45a1e0b9", user_id: null },
    },
    "image_processing.facebox_porch": {
      entity_id: "image_processing.facebox_porch",
      state: "0",
      attributes: {
        faces: [],
        total_faces: 0,
        matched_faces: {},
        total_matched_faces: 0,
        hostname: "5f4d5ed22095",
        friendly_name: "facebox porch",
        device_class: "face",
      },
      last_changed: "2019-01-22T17:00:03.422433+00:00",
      last_updated: "2019-01-22T17:00:03.422433+00:00",
      context: { id: "e5c2ef6fcc5c454d8564c822e08ba8dd", user_id: null },
    },
    "image_processing.facebox_driveway": {
      entity_id: "image_processing.facebox_driveway",
      state: "0",
      attributes: {
        faces: [],
        total_faces: 0,
        matched_faces: {},
        total_matched_faces: 0,
        hostname: "5f4d5ed22095",
        friendly_name: "facebox driveway",
        device_class: "face",
      },
      last_changed: "2019-01-22T17:00:03.423265+00:00",
      last_updated: "2019-01-22T17:00:03.423265+00:00",
      context: { id: "c3646d78d76a4daf94b4019ce6ad7dce", user_id: null },
    },
    "switch.patiomotion": {
      entity_id: "switch.patiomotion",
      state: "on",
      attributes: { friendly_name: "PatioMotion", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:34.074381+00:00",
      last_updated: "2019-01-22T17:00:34.074381+00:00",
      context: { id: "399990f7506e45a087251701fd06851f", user_id: null },
    },
    "switch.backyardmotion": {
      entity_id: "switch.backyardmotion",
      state: "on",
      attributes: { friendly_name: "BackyardMotion", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:34.091483+00:00",
      last_updated: "2019-01-22T17:00:34.091483+00:00",
      context: { id: "6fb6fc29f5784ddd93bb0d2b6d30ac1d", user_id: null },
    },
    "switch.porchmotion": {
      entity_id: "switch.porchmotion",
      state: "on",
      attributes: { friendly_name: "PorchMotion", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:34.113891+00:00",
      last_updated: "2019-01-22T17:00:34.113891+00:00",
      context: { id: "6bf7a7d76e494b5698f892cf97393e90", user_id: null },
    },
    "sensor.signal_strength_arlolivingroom": {
      entity_id: "sensor.signal_strength_arlolivingroom",
      state: "4",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Signal Strength ArloLivingRoom",
        icon: "hademo:signal",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.433185+00:00",
      last_updated: "2019-01-22T17:00:03.433185+00:00",
      context: { id: "2d51a47a9684470580c3b76b6fbe1e4b", user_id: null },
    },
    "switch.drivewaymotion": {
      entity_id: "switch.drivewaymotion",
      state: "on",
      attributes: { friendly_name: "DrivewayMotion", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:34.041880+00:00",
      last_updated: "2019-01-22T17:00:34.041880+00:00",
      context: { id: "545861e737e543a09b0235eb9a9b6ba6", user_id: null },
    },
    "sensor.battery_level_livingroom2": {
      entity_id: "sensor.battery_level_livingroom2",
      state: "84",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        unit_of_measurement: "%",
        friendly_name: "Battery Level LivingRoom2",
        icon: "hademo:battery-80",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.440220+00:00",
      last_updated: "2019-01-22T17:00:03.440220+00:00",
      context: { id: "3e154b66fac54433835a96a2662dafee", user_id: null },
    },
    "alarm_control_panel.abode_alarm": {
      entity_id: "alarm_control_panel.abode_alarm",
      state: "disarmed",
      attributes: {
        code_format: null,
        changed_by: null,
        attribution: "Data provided by goabode.com",
        device_id: "area_1",
        battery_backup: false,
        cellular_backup: false,
        friendly_name: "Abode Alarm",
        icon: "hademo:security",
        homebridge_hidden: false,
        entity_picture: "/assets/arsaboo/icons/Abode.jpg",
      },
      last_changed: "2019-01-22T19:29:19.864324+00:00",
      last_updated: "2019-01-22T19:29:19.864324+00:00",
      context: { id: "562080ae942046f0a9f0a9959bd493e8", user_id: null },
    },
    "sensor.captured_today_arlolivingroom": {
      entity_id: "sensor.captured_today_arlolivingroom",
      state: "0",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Captured Today ArloLivingRoom",
        icon: "hademo:file-video",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.475387+00:00",
      last_updated: "2019-01-22T17:00:03.475387+00:00",
      context: { id: "36c5e53bcb734dcca91d8cac7961d665", user_id: null },
    },
    "sensor.battery_level_arlo3": {
      entity_id: "sensor.battery_level_arlo3",
      state: "92",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        unit_of_measurement: "%",
        friendly_name: "Battery Level Arlo3",
        icon: "hademo:battery-90",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.477375+00:00",
      last_updated: "2019-01-22T17:00:03.477375+00:00",
      context: { id: "febbddb68ee146be97bc7003faac9e99", user_id: null },
    },
    "sensor.allergy_index_forecasted_average_2": {
      entity_id: "sensor.allergy_index_forecasted_average_2",
      state: "1.0",
      attributes: {
        attribution: "Data provided by IQVIA™",
        city: "Suwanee",
        rating: "Low",
        state: "GA",
        trend: "Subsiding",
        zip_code: "30024",
        outlook:
          "The pollen levels for Wednesday will be falling into the extremely low range.",
        season: "Tree",
        unit_of_measurement: "index",
        friendly_name: "Allergy Index: Forecasted Average",
        icon: "hademo:flower",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.529808+00:00",
      last_updated: "2019-01-22T18:00:51.313469+00:00",
      context: { id: "fe952970a2fe4081b7237ca75a02cae3", user_id: null },
    },
    "sensor.glances_disk_used": {
      entity_id: "sensor.glances_disk_used",
      state: "35.3",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Glances Disk used",
        icon: "hademo:harddisk",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:47:11.166600+00:00",
      last_updated: "2019-01-22T18:47:11.166600+00:00",
      context: { id: "0fd71cc62760491dadd2ec025cee18c5", user_id: null },
    },
    "sensor.glances_ram_used": {
      entity_id: "sensor.glances_ram_used",
      state: "33.5",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Glances RAM used",
        icon: "hademo:memory",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:37:16.355871+00:00",
      last_updated: "2019-01-22T19:37:16.355871+00:00",
      context: { id: "c10f949b132a43019f0107f2695958cf", user_id: null },
    },
    "sensor.glances_cpu_load": {
      entity_id: "sensor.glances_cpu_load",
      state: "0.76",
      attributes: {
        unit_of_measurement: "15 min",
        friendly_name: "Glances CPU load",
        icon: "hademo:memory",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:36:45.032244+00:00",
      last_updated: "2019-01-22T19:36:45.032244+00:00",
      context: { id: "89bbca54537041779b5e19a1fdf949e6", user_id: null },
    },
    "sensor.captured_today_livingroom2": {
      entity_id: "sensor.captured_today_livingroom2",
      state: "0",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Captured Today LivingRoom2",
        icon: "hademo:file-video",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.604468+00:00",
      last_updated: "2019-01-22T17:00:03.604468+00:00",
      context: { id: "9dab1513fa274b9a807aaf2203c667c2", user_id: null },
    },
    "sensor.battery_level_arlolivingroom": {
      entity_id: "sensor.battery_level_arlolivingroom",
      state: "84",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        unit_of_measurement: "%",
        friendly_name: "Battery Level ArloLivingRoom",
        icon: "hademo:battery-80",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.607169+00:00",
      last_updated: "2019-01-22T17:00:03.607169+00:00",
      context: { id: "d1e044d62e2d4b909816afe9a3500a59", user_id: null },
    },
    "sensor.last_livingroom2": {
      entity_id: "sensor.last_livingroom2",
      state: "unknown",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Last LivingRoom2",
        icon: "hademo:run-fast",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.609752+00:00",
      last_updated: "2019-01-22T17:00:03.609752+00:00",
      context: { id: "43ed86aa08a446f9947a40f5f24d4340", user_id: null },
    },
    "sensor.signal_strength_livingroom2": {
      entity_id: "sensor.signal_strength_livingroom2",
      state: "4",
      attributes: {
        attribution: "Data provided by arlo.netgear.com",
        brand: "Netgear Arlo",
        model: "VMC4030",
        friendly_name: "Signal Strength LivingRoom2",
        icon: "hademo:signal",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.612057+00:00",
      last_updated: "2019-01-22T17:00:03.612057+00:00",
      context: { id: "e5dd01b3c85d4c4796758f5891fdc38d", user_id: null },
    },
    "binary_sensor.ring_front_door_motion": {
      entity_id: "binary_sensor.ring_front_door_motion",
      state: "off",
      attributes: {
        attribution: "Data provided by Ring.com",
        device_id: "e04f434dca02",
        firmware: "Up to Date",
        timezone: "America/New_York",
        friendly_name: "Front Door Motion",
        device_class: "motion",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:24:14.683620+00:00",
      last_updated: "2019-01-22T18:24:14.683620+00:00",
      context: { id: "99bd1f8a0ef848b39293c846d3cf9ff4", user_id: null },
    },
    "binary_sensor.motion_sensor_158d00016daecc": {
      entity_id: "binary_sensor.motion_sensor_158d00016daecc",
      state: "off",
      attributes: {
        "No motion since": "120",
        battery_level: 43,
        friendly_name: "Living Room Occupancy",
        device_class: "motion",
        homebridge_hidden: false,
      },
      last_changed: "2019-01-22T19:36:42.441431+00:00",
      last_updated: "2019-01-22T19:36:42.441431+00:00",
      context: { id: "95e6019573da458dac144f521517ce9f", user_id: null },
    },
    "binary_sensor.cube_158d0001035aa7": {
      entity_id: "binary_sensor.cube_158d0001035aa7",
      state: "off",
      attributes: {
        last_action: null,
        battery_level: 37,
        friendly_name: "MiCube",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.628026+00:00",
      last_updated: "2019-01-22T17:00:03.628026+00:00",
      context: { id: "43c07a1868ec4e4fa8f8ee67968e8d08", user_id: null },
    },
    "binary_sensor.door_window_sensor_158d0001bf26df": {
      entity_id: "binary_sensor.door_window_sensor_158d0001bf26df",
      state: "off",
      attributes: {
        "Open since": 0,
        battery_level: 45,
        friendly_name: "Garage Entry Door",
        device_class: "door",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:03.412180+00:00",
      last_updated: "2019-01-22T19:31:03.412180+00:00",
      context: { id: "9cc9a481b6be439c93856b347402e4ac", user_id: null },
    },
    "binary_sensor.motion_sensor_158d0001a1f2ab": {
      entity_id: "binary_sensor.motion_sensor_158d0001a1f2ab",
      state: "off",
      attributes: {
        "No motion since": 0,
        battery_level: 49,
        friendly_name: "Guest Room Occupancy",
        device_class: "motion",
        homebridge_hidden: false,
      },
      last_changed: "2019-01-22T17:00:03.630369+00:00",
      last_updated: "2019-01-22T17:00:03.630369+00:00",
      context: { id: "2acd91071ed2421a81cdb862af6b03db", user_id: null },
    },
    "binary_sensor.vibration_158d0002a51fc2": {
      entity_id: "binary_sensor.vibration_158d0002a51fc2",
      state: "off",
      attributes: {
        last_action: null,
        battery_level: 45,
        friendly_name: "Vibration_158d0002a51fc2",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.631524+00:00",
      last_updated: "2019-01-22T17:00:03.631524+00:00",
      context: { id: "ad13865966ad483abacef70509bdfa91", user_id: null },
    },
    "binary_sensor.water_leak_sensor_158d0001d77800": {
      entity_id: "binary_sensor.water_leak_sensor_158d0001d77800",
      state: "off",
      attributes: {
        battery_level: 41,
        friendly_name: "Laundry Water Leak",
        device_class: "moisture",
        homebridge_hidden: false,
      },
      last_changed: "2019-01-22T17:00:03.632708+00:00",
      last_updated: "2019-01-22T17:00:03.632708+00:00",
      context: { id: "252f80524c284844a9e47013c0f94ada", user_id: null },
    },
    "binary_sensor.motion_sensor_158d00016c53bf": {
      entity_id: "binary_sensor.motion_sensor_158d00016c53bf",
      state: "off",
      attributes: {
        "No motion since": 0,
        battery_level: 43,
        friendly_name: "Master Occupancy",
        device_class: "motion",
        homebridge_hidden: false,
      },
      last_changed: "2019-01-22T17:00:03.635223+00:00",
      last_updated: "2019-01-22T17:00:03.635223+00:00",
      context: { id: "5c112c0a7a91492ba1d7eac30ed4ecf5", user_id: null },
    },
    "binary_sensor.motion_sensor_158d00016612af": {
      entity_id: "binary_sensor.motion_sensor_158d00016612af",
      state: "off",
      attributes: {
        "No motion since": 0,
        battery_level: 41,
        friendly_name: "Upstairs Occupancy",
        device_class: "motion",
        homebridge_hidden: false,
      },
      last_changed: "2019-01-22T17:00:03.636514+00:00",
      last_updated: "2019-01-22T17:00:03.636514+00:00",
      context: { id: "fe418536af56428e9e8ab3724580e631", user_id: null },
    },
    "binary_sensor.key_fob": {
      entity_id: "binary_sensor.key_fob",
      state: "on",
      attributes: {
        attribution: "Data provided by goabode.com",
        device_id: "RF:003c1800",
        battery_low: false,
        no_response: false,
        device_type: "Remote Controller",
        friendly_name: "Key Fob",
        device_class: "connectivity",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.638562+00:00",
      last_updated: "2019-01-22T17:00:03.638562+00:00",
      context: { id: "ddaba8873f0344e3aed676ce9255c487", user_id: null },
    },
    "binary_sensor.front_door": {
      entity_id: "binary_sensor.front_door",
      state: "off",
      attributes: {
        attribution: "Data provided by goabode.com",
        device_id: "RF:005e8810",
        battery_low: false,
        no_response: false,
        device_type: "Door Contact",
        friendly_name: "Front Door",
        device_class: "door",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:27.023892+00:00",
      last_updated: "2019-01-22T19:31:27.023892+00:00",
      context: { id: "6e10573f7d7b470ea0a74f2d00475800", user_id: null },
    },
    "binary_sensor.back_door": {
      entity_id: "binary_sensor.back_door",
      state: "off",
      attributes: {
        attribution: "Data provided by goabode.com",
        device_id: "RF:005c7110",
        battery_low: false,
        no_response: false,
        device_type: "Door Contact",
        friendly_name: "Back Door",
        device_class: "door",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.642051+00:00",
      last_updated: "2019-01-22T17:00:03.642051+00:00",
      context: { id: "a2e7acd74b8646d2b32e40d7a1db4cf1", user_id: null },
    },
    "binary_sensor.garage_entry_door": {
      entity_id: "binary_sensor.garage_entry_door",
      state: "off",
      attributes: {
        attribution: "Data provided by goabode.com",
        device_id: "RF:00658710",
        battery_low: false,
        no_response: false,
        device_type: "Door Contact",
        friendly_name: "Garage Entry Door",
        device_class: "door",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:03.808282+00:00",
      last_updated: "2019-01-22T19:31:03.808282+00:00",
      context: { id: "fa095f30d093452ea03c002b931b0530", user_id: null },
    },
    "binary_sensor.living_room_occupancy": {
      entity_id: "binary_sensor.living_room_occupancy",
      state: "on",
      attributes: {
        friendly_name: "Living Room Occupancy",
        device_class: "occupancy",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:36:14.150213+00:00",
      last_updated: "2019-01-22T19:36:14.150213+00:00",
      context: { id: "b68d967b47fc4fac8b2c7bf6af9b80d0", user_id: null },
    },
    "binary_sensor.ars_bloom_rain": {
      entity_id: "binary_sensor.ars_bloom_rain",
      state: "off",
      attributes: {
        friendly_name: "BloomSky Rain",
        device_class: "moisture",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.650687+00:00",
      last_updated: "2019-01-22T17:00:03.650687+00:00",
      context: { id: "09ba82cc3a7349d287696a5fac6f14a0", user_id: null },
    },
    "binary_sensor.downstairs_occupancy": {
      entity_id: "binary_sensor.downstairs_occupancy",
      state: "on",
      attributes: {
        friendly_name: "Downstairs Occupancy",
        device_class: "occupancy",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:36:14.169677+00:00",
      last_updated: "2019-01-22T19:36:14.169677+00:00",
      context: { id: "45d90e232911426a9035c88f1113bfbc", user_id: null },
    },
    "binary_sensor.ars_bloom_night": {
      entity_id: "binary_sensor.ars_bloom_night",
      state: "off",
      attributes: { friendly_name: "ARS Bloom Night", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:03.654886+00:00",
      last_updated: "2019-01-22T17:00:03.654886+00:00",
      context: { id: "5e99ba732bc8492aa4660300e2a63473", user_id: null },
    },
    "binary_sensor.master_occupancy": {
      entity_id: "binary_sensor.master_occupancy",
      state: "off",
      attributes: {
        friendly_name: "Master Occupancy",
        device_class: "occupancy",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.657311+00:00",
      last_updated: "2019-01-22T17:00:03.657311+00:00",
      context: { id: "fa1189c514274e178fc9cb4a07f6cca0", user_id: null },
    },
    "binary_sensor.bedroom_occupancy": {
      entity_id: "binary_sensor.bedroom_occupancy",
      state: "off",
      attributes: {
        friendly_name: "Bedroom Occupancy",
        device_class: "occupancy",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.659670+00:00",
      last_updated: "2019-01-22T17:00:03.659670+00:00",
      context: { id: "23b141c415ff4521bcfb592acda8e843", user_id: null },
    },
    "binary_sensor.upstairs_occupancy": {
      entity_id: "binary_sensor.upstairs_occupancy",
      state: "off",
      attributes: {
        friendly_name: "Upstairs Occupancy",
        device_class: "occupancy",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:03.661779+00:00",
      last_updated: "2019-01-22T17:00:03.661779+00:00",
      context: { id: "7eac7ff55cb342c6aa9e976b7c01aa95", user_id: null },
    },
    "media_player.shield": {
      entity_id: "media_player.shield",
      state: "off",
      attributes: {
        friendly_name: "SHIELD",
        supported_features: 21437,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:04.226563+00:00",
      last_updated: "2019-01-22T17:00:04.226563+00:00",
      context: { id: "bbf2dab6e999425bbdfb8a3ac54ce60c", user_id: null },
    },
    "media_player.living_room_speaker": {
      entity_id: "media_player.living_room_speaker",
      state: "off",
      attributes: {
        friendly_name: "Living room Speaker",
        supported_features: 21437,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:04.445791+00:00",
      last_updated: "2019-01-22T17:00:04.445791+00:00",
      context: { id: "ba4ee6ea5040473e9e18e2c440475a85", user_id: null },
    },
    "media_player.living_room_home": {
      entity_id: "media_player.living_room_home",
      state: "off",
      attributes: {
        friendly_name: "Living Room Home",
        supported_features: 21437,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:04.446231+00:00",
      last_updated: "2019-01-22T17:00:04.446231+00:00",
      context: { id: "70f7e20bbc914bc68518bfc5e7712fcb", user_id: null },
    },
    "media_player.family_room_2": {
      entity_id: "media_player.family_room_2",
      state: "playing",
      attributes: {
        volume_level: 0.18,
        is_volume_muted: false,
        media_content_type: "music",
        media_duration: 155,
        media_position: 0,
        media_position_updated_at: new Date().toISOString(),
        media_title: "Ek Ladki Ko Dekha Toh Aisa Laga - Title Track",
        media_artist: "Rochak Kohli",
        media_album_name: "Ek Ladki Ko Dekha Toh Aisa Laga",
        source_list: [
          "Bollywood Hindi Hits",
          "Bollywood Radio and Beyond",
          "Bolywood Instrumental - Hungama Radio",
          "Classic Bollywood Radio",
          "Contemporary Bollywood Radio",
          "Hindi Bollywood Hits Radio",
          "It's A Party",
          "Lata Mangeshkar",
          "NPR Program Stream",
          "Radio HSL",
          "Retro 70s and 80s",
        ],
        shuffle: false,
        sonos_group: ["media_player.family_room_2"],
        night_sound: false,
        speech_enhance: false,
        friendly_name: "Family Room",
        entity_picture:
          "/api/media_player_proxy/media_player.family_room_2?token=be41a86e2a360761d67c36a010b09654b730deec092016ee92aafef79b1978ff&cache=e03d22fb103202e7",
        supported_features: 64063,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:04.802095+00:00",
      last_updated: "2019-01-22T17:00:04.802095+00:00",
      context: { id: "a4dfb3301f2149758368952e080d3247", user_id: null },
    },
    "media_player.livingroomsonos": {
      entity_id: "media_player.livingroomsonos",
      state: "paused",
      attributes: {
        volume_level: 0.1,
        is_volume_muted: false,
        media_content_type: "music",
        media_title: "Bollywood Radio and Beyond",
        media_artist: "",
        source: "Bollywood Radio and Beyond",
        source_list: [
          "Bollywood Hindi Hits",
          "Bollywood Radio and Beyond",
          "Bolywood Instrumental - Hungama Radio",
          "Classic Bollywood Radio",
          "Contemporary Bollywood Radio",
          "Hindi Bollywood Hits Radio",
          "It's A Party",
          "Lata Mangeshkar",
          "NPR Program Stream",
          "Radio HSL",
          "Retro 70s and 80s",
          "Line-in",
        ],
        shuffle: false,
        sonos_group: ["media_player.livingroomsonos"],
        friendly_name: "LivingRoomSonos",
        entity_picture:
          "/api/media_player_proxy/media_player.livingroomsonos?token=5d6e7e1e62715994de06d16cf1a0c89719da642422b48e70094ba8aaa99d1805&cache=79223a5543657211",
        supported_features: 64063,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:04.693378+00:00",
      last_updated: "2019-01-22T17:00:04.693378+00:00",
      context: { id: "da5bc2971c6949a4a6ac414d5f8e82aa", user_id: null },
    },
    "sensor.ring_front_door_last_ding": {
      entity_id: "sensor.ring_front_door_last_ding",
      state: "06:44",
      attributes: {
        attribution: "Data provided by Ring.com",
        device_id: "e04f434dca02",
        firmware: "Up to Date",
        kind: "lpd_v2",
        timezone: "America/New_York",
        type: "doorbots",
        wifi_name: "RingOfSecurity-hUrGKNlhR",
        created_at: "2019-01-22T06:44:31-05:00",
        answered: false,
        recording_status: "ready",
        category: "ding",
        friendly_name: "Front Door Last Ding",
        icon: "hademo:history",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:04.444969+00:00",
      last_updated: "2019-01-22T17:00:04.444969+00:00",
      context: { id: "8ae2198d1fd446f48ebdbcbb10c9bcde", user_id: null },
    },
    "switch.samsung_tv": {
      entity_id: "switch.samsung_tv",
      state: "on",
      attributes: { friendly_name: "Samsung TV", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:35.325527+00:00",
      last_updated: "2019-01-22T17:00:35.325527+00:00",
      context: { id: "edb80f6e518b4f2b9e85ecf747584f72", user_id: null },
    },
    "switch.arnav_s_ipad": {
      entity_id: "switch.arnav_s_ipad",
      state: "on",
      attributes: { friendly_name: "Arnav's iPad", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:35.427375+00:00",
      last_updated: "2019-01-22T17:00:35.427375+00:00",
      context: { id: "2ecd8e73f0cb4a0297fd7c1b5ff23251", user_id: null },
    },
    "switch.toshibaaio": {
      entity_id: "switch.toshibaaio",
      state: "off",
      attributes: { friendly_name: "ToshibaAIO", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:04.753987+00:00",
      last_updated: "2019-01-22T17:00:04.753987+00:00",
      context: { id: "7613a2ee1bf3438eb0fbac8f83d734fe", user_id: null },
    },
    "sensor.ring_front_door_last_activity": {
      entity_id: "sensor.ring_front_door_last_activity",
      state: "13:21",
      attributes: {
        attribution: "Data provided by Ring.com",
        device_id: "e04f434dca02",
        firmware: "Up to Date",
        kind: "lpd_v2",
        timezone: "America/New_York",
        type: "doorbots",
        wifi_name: "RingOfSecurity-hUrGKNlhR",
        created_at: "2019-01-22T13:21:03-05:00",
        answered: false,
        recording_status: "ready",
        category: "motion",
        friendly_name: "Front Door Last Activity",
        icon: "hademo:history",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:22:34.200067+00:00",
      last_updated: "2019-01-22T18:23:02.456064+00:00",
      context: { id: "9efb2b31edc543a4966921a455d55fca", user_id: null },
    },
    "switch.lenovo_home": {
      entity_id: "switch.lenovo_home",
      state: "on",
      attributes: { friendly_name: "Lenovo Home", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:35.105615+00:00",
      last_updated: "2019-01-22T17:00:35.105615+00:00",
      context: { id: "4e81593753a74339818e2bc1e1dacd6f", user_id: null },
    },
    "switch.rpi_aiy": {
      entity_id: "switch.rpi_aiy",
      state: "off",
      attributes: { friendly_name: "RPi AIY", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:05.038302+00:00",
      last_updated: "2019-01-22T17:00:05.038302+00:00",
      context: { id: "e6c0f3bd731241b3940ae67cba522732", user_id: null },
    },
    "switch.0220013568c63aa78156": {
      entity_id: "switch.0220013568c63aa78156",
      state: "off",
      attributes: { friendly_name: "tuya1", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:05.050323+00:00",
      last_updated: "2019-01-22T17:00:05.050323+00:00",
      context: { id: "90e92ae90fee4cc68c8fc7c97e2ab182", user_id: null },
    },
    "switch.auto_away": {
      entity_id: "switch.auto_away",
      state: "on",
      attributes: {
        attribution: "Data provided by goabode.com",
        automation_id: "2",
        type: "location",
        sub_type: "leaving_home",
        friendly_name: "Auto Away",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.055482+00:00",
      last_updated: "2019-01-22T17:00:05.055482+00:00",
      context: { id: "82886241d7904d73ac5996de47c53de5", user_id: null },
    },
    "switch.auto_home": {
      entity_id: "switch.auto_home",
      state: "on",
      attributes: {
        attribution: "Data provided by goabode.com",
        automation_id: "1",
        type: "location",
        sub_type: "entering_home",
        friendly_name: "Auto Home",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.057005+00:00",
      last_updated: "2019-01-22T17:00:05.057005+00:00",
      context: { id: "f4d7c5ec881846c78a21f09a3c2c36c2", user_id: null },
    },
    "switch.aeon_switch": {
      entity_id: "switch.aeon_switch",
      state: "on",
      attributes: {
        attribution: "Data provided by goabode.com",
        device_id: "ZW:00000004",
        battery_low: false,
        no_response: false,
        device_type: "Power Switch Meter",
        friendly_name: "Aeon Switch",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.058757+00:00",
      last_updated: "2019-01-22T17:00:05.058757+00:00",
      context: { id: "62fe5cce19714998a2c70f769cd8c8a2", user_id: null },
    },
    "remote.livingroom": {
      entity_id: "remote.livingroom",
      state: "off",
      attributes: {
        current_activity: "PowerOff",
        friendly_name: "Livingroom Remote",
        homebridge_hidden: true,
        icon: "hademo:remote",
      },
      last_changed: "2019-01-22T17:00:05.155384+00:00",
      last_updated: "2019-01-22T17:00:05.155384+00:00",
      context: { id: "9074537072eb4afeb595781c1809bb88", user_id: null },
    },
    "group.all_remotes": {
      entity_id: "group.all_remotes",
      state: "off",
      attributes: {
        entity_id: ["remote.livingroom"],
        order: 52,
        auto: true,
        friendly_name: "all remotes",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.159675+00:00",
      last_updated: "2019-01-22T17:00:05.159675+00:00",
      context: { id: "2d15d132895c44ffa734a0677629b87a", user_id: null },
    },
    "light.lifxnrkitchen": {
      entity_id: "light.lifxnrkitchen",
      state: "off",
      attributes: {
        min_mireds: 111,
        max_mireds: 400,
        friendly_name: "LifxnrKitchen",
        supported_features: 55,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.570989+00:00",
      last_updated: "2019-01-22T17:00:05.570989+00:00",
      context: { id: "67f4c61e3a354ea99097bd5f43a88490", user_id: null },
    },
    "light.lifx5": {
      entity_id: "light.lifx5",
      state: "on",
      attributes: {
        min_mireds: 111,
        max_mireds: 400,
        friendly_name: "Garage lights",
        supported_features: 55,
        homebridge_hidden: false,
        emulated_hue_hidden: false,
        emulated_hue_name: "Garage Lights",
      },
      last_changed: "2019-01-22T17:00:05.580826+00:00",
      last_updated: "2019-01-22T17:00:05.580826+00:00",
      context: { id: "86f413dff85b44a491305279fa7f8939", user_id: null },
    },
    "light.lifxnrguest": {
      entity_id: "light.lifxnrguest",
      state: "off",
      attributes: {
        min_mireds: 111,
        max_mireds: 400,
        friendly_name: "LifxnrGuest",
        supported_features: 55,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.587119+00:00",
      last_updated: "2019-01-22T17:00:05.587119+00:00",
      context: { id: "8ee6c032fd784171a509a93c7a33197e", user_id: null },
    },
    "light.lifx3": {
      entity_id: "light.lifx3",
      state: "off",
      attributes: {
        min_mireds: 111,
        max_mireds: 400,
        friendly_name: "Lifx3",
        supported_features: 55,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.587973+00:00",
      last_updated: "2019-01-22T17:00:05.587973+00:00",
      context: { id: "8ad5cc04e437477fa495ecf7de36a7b8", user_id: null },
    },
    "group.all_devices": {
      entity_id: "group.all_devices",
      state: "home",
      attributes: {
        entity_id: [
          "device_tracker.alokphone_alokphone",
          "device_tracker.rashmiphone_rashmiphone",
          "device_tracker.rashmiaplewatch",
          "device_tracker.b4445761_f6c0_4b7f_835f_cfdc03b47111",
          "device_tracker.e1594e53_21df_414c_82da_f655d5282fca",
          "device_tracker.pi_rashmiphone",
          "device_tracker.rashmisiphone",
          "device_tracker.sonu_sonu",
          "device_tracker.rashmiappiphone",
          "device_tracker.pi_alokphone",
          "device_tracker.alok_alok",
          "device_tracker.alokiosiphone",
          "device_tracker.elantrase",
          "device_tracker.myiphone",
          "device_tracker.dash_bounty",
          "device_tracker.alok_composite",
          "device_tracker.rajans_iphone",
          "device_tracker.amulyas_iphone",
        ],
        order: 53,
        auto: true,
        friendly_name: "Devices",
        hidden: false,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.645958+00:00",
      last_updated: "2019-01-22T17:00:05.645958+00:00",
      context: { id: "a27a5b2c5fdd4b909e0e49d063b39759", user_id: null },
    },
    "device_tracker.alokphone_alokphone": {
      entity_id: "device_tracker.alokphone_alokphone",
      state: "Downtown",
      attributes: {
        source_type: "gps",
        gps_accuracy: 65,
        battery: 87,
        friendly_name: "Alok's iPhone MQTT",
        homebridge_hidden: true,
        icon: "hademo:cellphone-iphone",
      },
      last_changed: "2019-01-22T17:00:05.633235+00:00",
      last_updated: "2019-01-22T17:00:05.633235+00:00",
      context: { id: "05220f0980b745fc83d5b1ed21af8871", user_id: null },
    },
    "device_tracker.rashmiphone_rashmiphone": {
      entity_id: "device_tracker.rashmiphone_rashmiphone",
      state: "home",
      attributes: {
        source_type: "gps",
        gps_accuracy: 8,
        battery: 72,
        velocity: 34,
        tid: "RS",
        course: 258,
        friendly_name: "Rashmi's iPhone MQTT",
        homebridge_hidden: true,
        icon: "hademo:cellphone-iphone",
      },
      last_changed: "2019-01-22T19:29:33.960258+00:00",
      last_updated: "2019-01-22T19:34:41.562549+00:00",
      context: { id: "0c0cb671c5274db3b19e023070dbcce9", user_id: null },
    },
    "device_tracker.rashmiaplewatch": {
      entity_id: "device_tracker.rashmiaplewatch",
      state: "not_home",
      attributes: {
        source_type: "router",
        friendly_name: "Rashmi iWatch",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.634174+00:00",
      last_updated: "2019-01-22T17:00:05.634174+00:00",
      context: { id: "1bd81ed7b7724575a93b11a1dc337b4b", user_id: null },
    },
    "device_tracker.b4445761_f6c0_4b7f_835f_cfdc03b47111": {
      entity_id: "device_tracker.b4445761_f6c0_4b7f_835f_cfdc03b47111",
      state: "downtown",
      attributes: {
        source_type: "gps",
        gps_accuracy: 0,
        friendly_name: "Geofency Alok",
        entity_picture: "/assets/arsaboo/icons/geofency.png",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.634640+00:00",
      last_updated: "2019-01-22T17:00:05.634640+00:00",
      context: { id: "39d36f045d134d5d9aba8bb7cb9b346a", user_id: null },
    },
    "device_tracker.e1594e53_21df_414c_82da_f655d5282fca": {
      entity_id: "device_tracker.e1594e53_21df_414c_82da_f655d5282fca",
      state: "home",
      attributes: {
        source_type: "gps",
        gps_accuracy: 0,
        friendly_name: "Geofency Rashmi",
        entity_picture: "/assets/arsaboo/icons/geofency.png",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.635090+00:00",
      last_updated: "2019-01-22T17:00:05.635090+00:00",
      context: { id: "c6e49a9d8faa4578a26a7fc51356351d", user_id: null },
    },
    "device_tracker.pi_rashmiphone": {
      entity_id: "device_tracker.pi_rashmiphone",
      state: "home",
      attributes: {
        source_type: "gps",
        gps_accuracy: 96,
        battery: 72,
        friendly_name: "pi",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.635535+00:00",
      last_updated: "2019-01-22T17:00:05.635535+00:00",
      context: { id: "0926896205bc45c1b62029e53d3f55ff", user_id: null },
    },
    "device_tracker.rashmisiphone": {
      entity_id: "device_tracker.rashmisiphone",
      state: "home",
      attributes: {
        source_type: "router",
        gps_accuracy: 0,
        scanner: "UnifiScanner",
        friendly_name: "Rashmi's iPhone",
        homebridge_hidden: true,
        icon: "hademo:cellphone-iphone",
      },
      last_changed: "2019-01-22T19:34:19.106804+00:00",
      last_updated: "2019-01-22T19:34:19.106804+00:00",
      context: { id: "ccdbdc088b9f4181b77aba25f5f31121", user_id: null },
    },
    "device_tracker.sonu_sonu": {
      entity_id: "device_tracker.sonu_sonu",
      state: "home",
      attributes: {
        source_type: "gps",
        gps_accuracy: 50,
        battery: 72,
        velocity: 0,
        friendly_name: "Rashmi Life360",
        homebridge_hidden: true,
        entity_picture: "/assets/arsaboo/icons/life360.png",
      },
      last_changed: "2019-01-22T19:30:12.118047+00:00",
      last_updated: "2019-01-22T19:34:17.433539+00:00",
      context: { id: "2b973afdb1c34ae58ef50ad72a275b56", user_id: null },
    },
    "device_tracker.rashmiappiphone": {
      entity_id: "device_tracker.rashmiappiphone",
      state: "home",
      attributes: {
        source_type: "gps",
        gps_accuracy: 200,
        battery: 73,
        trigger: "Geographic Region Entered",
        vertical_accuracy: 26.332500457763672,
        course: -1,
        timestamp: "2019-01-22T13:51:49.516-0500",
        altitude: 317.54998779296875,
        speed: -1,
        friendly_name: "Rashmi iPhone App",
        entity_picture: "/assets/arsaboo/icons/Rashmi.png",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:29:17.143181+00:00",
      last_updated: "2019-01-22T19:29:17.143181+00:00",
      context: { id: "072310dfe2ed47589b5c439d8f887fac", user_id: null },
    },
    "device_tracker.pi_alokphone": {
      entity_id: "device_tracker.pi_alokphone",
      state: "home",
      attributes: {
        source_type: "gps",
        gps_accuracy: 65,
        battery: 73,
        friendly_name: "pi",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.637444+00:00",
      last_updated: "2019-01-22T17:00:05.637444+00:00",
      context: { id: "5e1fd8e4ae164cdcb63efb187aa50a17", user_id: null },
    },
    "device_tracker.alok_alok": {
      entity_id: "device_tracker.alok_alok",
      state: "Downtown",
      attributes: {
        source_type: "gps",
        gps_accuracy: 50,
        battery: 83,
        velocity: -1,
        friendly_name: "Alok Life360",
        hidden: true,
        homebridge_hidden: true,
        entity_picture: "/assets/arsaboo/icons/life360.png",
      },
      last_changed: "2019-01-22T17:00:05.637878+00:00",
      last_updated: "2019-01-22T19:30:12.122702+00:00",
      context: { id: "915a329c58034c1c94fde9d5bd1e5462", user_id: null },
    },
    "device_tracker.alokiosiphone": {
      entity_id: "device_tracker.alokiosiphone",
      state: "Downtown",
      attributes: {
        source_type: "gps",
        gps_accuracy: 200,
        battery: 86,
        friendly_name: "Alok iPhone App",
        entity_picture: "/assets/arsaboo/icons/Alok.png",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.638376+00:00",
      last_updated: "2019-01-22T17:00:05.638376+00:00",
      context: { id: "908d85b034f74adea3aba6feb71967f6", user_id: null },
    },
    "device_tracker.elantrase": {
      entity_id: "device_tracker.elantrase",
      state: "not_home",
      attributes: {
        source_type: "router",
        friendly_name: "ElantraSE",
        hidden: true,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.638800+00:00",
      last_updated: "2019-01-22T17:00:05.638800+00:00",
      context: { id: "d45c6660b4514ca182e374c1ad3b9247", user_id: null },
    },
    "device_tracker.myiphone": {
      entity_id: "device_tracker.myiphone",
      state: "not_home",
      attributes: {
        source_type: "router",
        friendly_name: "Alok's iPhone",
        hidden: true,
        homebridge_hidden: true,
        icon: "hademo:cellphone-iphone",
      },
      last_changed: "2019-01-22T17:00:05.639222+00:00",
      last_updated: "2019-01-22T17:00:05.639222+00:00",
      context: { id: "e4abe269f6124770b80a53160d2bcd96", user_id: null },
    },
    "device_tracker.dash_bounty": {
      entity_id: "device_tracker.dash_bounty",
      state: "not_home",
      attributes: {
        source_type: null,
        friendly_name: "Dash Bounty",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.639648+00:00",
      last_updated: "2019-01-22T17:00:05.639648+00:00",
      context: { id: "e2334f938254463bab109e4a950a9655", user_id: null },
    },
    "device_tracker.alok_composite": {
      entity_id: "device_tracker.alok_composite",
      state: "not_home",
      attributes: {
        source_type: null,
        friendly_name: "alok composite",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.640071+00:00",
      last_updated: "2019-01-22T17:00:05.640071+00:00",
      context: { id: "02c38479ab2841599e2da60ff30e3857", user_id: null },
    },
    "device_tracker.rajans_iphone": {
      entity_id: "device_tracker.rajans_iphone",
      state: "not_home",
      attributes: {
        source_type: null,
        friendly_name: "Rajans-iPhone",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.640560+00:00",
      last_updated: "2019-01-22T17:00:05.640560+00:00",
      context: { id: "d3eaf701128b471a89671ac8f8d6de49", user_id: null },
    },
    "device_tracker.amulyas_iphone": {
      entity_id: "device_tracker.amulyas_iphone",
      state: "not_home",
      attributes: {
        source_type: null,
        friendly_name: "Amulyas-iPhone",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:05.640988+00:00",
      last_updated: "2019-01-22T17:00:05.640988+00:00",
      context: { id: "cd6bc6bed8e84af1bcb67d1f1375ac10", user_id: null },
    },
    "proximity.alok": {
      entity_id: "proximity.alok",
      state: "29",
      attributes: {
        dir_of_travel: "stationary",
        nearest: "Alok Tracker",
        unit_of_measurement: "mi",
        friendly_name: "Alok Proximity",
      },
      last_changed: "2019-01-22T17:39:33.951107+00:00",
      last_updated: "2019-01-22T17:39:33.951107+00:00",
      context: { id: "70ce372913314c3f884fd7a83e955210", user_id: null },
    },
    "proximity.rashmi": {
      entity_id: "proximity.rashmi",
      state: "0",
      attributes: {
        dir_of_travel: "stationary",
        nearest: "Rashmi Tracker",
        unit_of_measurement: "mi",
        friendly_name: "Rashmi Proximity",
      },
      last_changed: "2019-01-22T19:29:12.234380+00:00",
      last_updated: "2019-01-22T19:34:19.138259+00:00",
      context: { id: "ffa9b6dc5f234c82b4a9a5cfea247e52", user_id: null },
    },
    "sensor.grafana_temp_up": {
      entity_id: "sensor.grafana_temp_up",
      state: "",
      attributes: { friendly_name: "Grafana temp up", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:06.084776+00:00",
      last_updated: "2019-01-22T17:00:06.084776+00:00",
      context: { id: "5b5293db8d2a4b2fa7656b650d5351d1", user_id: null },
    },
    "media_player.echo_dot_gen2": {
      entity_id: "media_player.echo_dot_gen2",
      state: "standby",
      attributes: {
        is_volume_muted: false,
        media_content_type: "standby",
        source: "Local Speaker",
        source_list: ["Local Speaker"],
        available: true,
        friendly_name: "Echo Dot Gen2",
        supported_features: 23357,
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:06.510515+00:00",
      last_updated: "2019-01-22T17:00:06.510515+00:00",
      context: { id: "78c5ed6f67ca45bd9d4796f00b48b924", user_id: null },
    },
    "image_processing.opencv_porch": {
      entity_id: "image_processing.opencv_porch",
      state: "0",
      attributes: {
        matches: {},
        total_matches: 0,
        friendly_name: "OpenCV porch",
        camera: "camera.porch",
      },
      last_changed: "2019-01-22T17:00:06.830256+00:00",
      last_updated: "2019-01-22T17:00:06.830256+00:00",
      context: { id: "a9934807780449c1b471e6101f25370f", user_id: null },
    },
    "image_processing.opencv_driveway": {
      entity_id: "image_processing.opencv_driveway",
      state: "0",
      attributes: {
        matches: {},
        total_matches: 0,
        friendly_name: "OpenCV driveway",
        camera: "camera.driveway",
      },
      last_changed: "2019-01-22T17:00:06.832026+00:00",
      last_updated: "2019-01-22T17:00:06.832026+00:00",
      context: { id: "631df2f9e4024bbcb95c1bed57a6f862", user_id: null },
    },
    "image_processing.opencv_patio": {
      entity_id: "image_processing.opencv_patio",
      state: "0",
      attributes: {
        matches: {},
        total_matches: 0,
        friendly_name: "OpenCV patio",
        camera: "camera.patio",
      },
      last_changed: "2019-01-22T17:00:06.833801+00:00",
      last_updated: "2019-01-22T17:00:06.833801+00:00",
      context: { id: "906532edce594f5eac0bb7d25dd52ca7", user_id: null },
    },
    "image_processing.opencv_backyard": {
      entity_id: "image_processing.opencv_backyard",
      state: "0",
      attributes: {
        matches: {},
        total_matches: 0,
        friendly_name: "OpenCV backyard",
        camera: "camera.backyard",
      },
      last_changed: "2019-01-22T17:00:06.835554+00:00",
      last_updated: "2019-01-22T17:00:06.835554+00:00",
      context: { id: "7c3bd5246ae14b5bb3cbabead3b38aff", user_id: null },
    },
    "image_processing.rekognition_driveway": {
      entity_id: "image_processing.rekognition_driveway",
      state: "unknown",
      attributes: { target: "Person", friendly_name: "rekognition driveway" },
      last_changed: "2019-01-22T17:00:07.377118+00:00",
      last_updated: "2019-01-22T17:00:07.377118+00:00",
      context: { id: "0428678c6de34c949452e1c5b8845f5b", user_id: null },
    },
    "sensor.grafana_mode_up": {
      entity_id: "sensor.grafana_mode_up",
      state: "",
      attributes: { friendly_name: "Grafana mode up", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:08.809828+00:00",
      last_updated: "2019-01-22T17:00:08.809828+00:00",
      context: { id: "ad191c79070a4418bba9f01f4b224fe7", user_id: null },
    },
    "image_processing.tensorflow_driveway": {
      entity_id: "image_processing.tensorflow_driveway",
      state: "0",
      attributes: {
        matches: {},
        summary: {},
        total_matches: 0,
        friendly_name: "TensorFlow driveway",
      },
      last_changed: "2019-01-22T19:31:43.431915+00:00",
      last_updated: "2019-01-22T19:31:43.431915+00:00",
      context: { id: "8a286eb016ae4d129ac3ae1bba1a3397", user_id: null },
    },
    "image_processing.tensorflow_porch": {
      entity_id: "image_processing.tensorflow_porch",
      state: "0",
      attributes: {
        matches: {},
        summary: {},
        total_matches: 0,
        friendly_name: "TensorFlow porch",
      },
      last_changed: "2019-01-22T18:24:15.943628+00:00",
      last_updated: "2019-01-22T18:24:15.943628+00:00",
      context: { id: "99bd1f8a0ef848b39293c846d3cf9ff4", user_id: null },
    },
    "image_processing.tensorflow_backyard": {
      entity_id: "image_processing.tensorflow_backyard",
      state: "0",
      attributes: {
        matches: {},
        summary: {},
        total_matches: 0,
        friendly_name: "TensorFlow backyard",
      },
      last_changed: "2019-01-22T17:00:10.143008+00:00",
      last_updated: "2019-01-22T17:00:10.143008+00:00",
      context: { id: "e92ccb46f27e4a0b9b7a322f88042cb4", user_id: null },
    },
    "image_processing.tensorflow_patio": {
      entity_id: "image_processing.tensorflow_patio",
      state: "0",
      attributes: {
        matches: {},
        summary: {},
        total_matches: 0,
        friendly_name: "TensorFlow patio",
      },
      last_changed: "2019-01-22T17:00:10.250288+00:00",
      last_updated: "2019-01-22T17:00:10.250288+00:00",
      context: { id: "5fd0554bb9684573b4b6f5156d66c051", user_id: null },
    },
    "sensor.grafana_temp_master": {
      entity_id: "sensor.grafana_temp_master",
      state: "",
      attributes: {
        friendly_name: "Grafana temp master",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:11.610375+00:00",
      last_updated: "2019-01-22T17:00:11.610375+00:00",
      context: { id: "7957cb88c9914cd388fe2fba1c35657f", user_id: null },
    },
    "sensor.grafana_mode_master": {
      entity_id: "sensor.grafana_mode_master",
      state: "",
      attributes: {
        friendly_name: "Grafana mode master",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.584949+00:00",
      last_updated: "2019-01-22T17:00:14.584949+00:00",
      context: { id: "b497a14270dd493eb5aad8e06e901b64", user_id: null },
    },
    "sensor.myiphone_battery_level": {
      entity_id: "sensor.myiphone_battery_level",
      state: "86",
      attributes: {
        "Battery State": "Charging",
        "Battery Level": 86,
        "Device Type": "iPhone 8 Plus",
        "Device Name": "Alok's iPhone",
        "Device Version": "12.1.2",
        unit_of_measurement: "%",
        friendly_name: "Alok's iPhone Battery Level",
        icon: "hademo:battery-charging-80",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.615742+00:00",
      last_updated: "2019-01-22T17:00:14.615742+00:00",
      context: { id: "1e022471d99146d38b81971b042f0d63", user_id: null },
    },
    "sensor.illumination_158d00016c53bf": {
      entity_id: "sensor.illumination_158d00016c53bf",
      state: "10",
      attributes: {
        battery_level: 43,
        unit_of_measurement: "lx",
        friendly_name: "Master Brightness",
        device_class: "illuminance",
        homebridge_hidden: true,
        icon: "hademo:brightness-7",
      },
      last_changed: "2019-01-22T19:34:01.373772+00:00",
      last_updated: "2019-01-22T19:34:01.373772+00:00",
      context: { id: "2582b7ad576746b1b3ade68adb64c878", user_id: null },
    },
    "sensor.humidity_158d0001ab3c88": {
      entity_id: "sensor.humidity_158d0001ab3c88",
      state: "34.3",
      attributes: {
        battery_level: 35,
        unit_of_measurement: "%",
        friendly_name: "Living Room Humidity",
        device_class: "humidity",
        homebridge_hidden: true,
        icon: "hademo:water-percent",
      },
      last_changed: "2019-01-22T19:28:23.208761+00:00",
      last_updated: "2019-01-22T19:28:23.208761+00:00",
      context: { id: "6986257a007f49c0a7f9f7f8c200b293", user_id: null },
    },
    "sensor.temperature_158d0001ab3c88": {
      entity_id: "sensor.temperature_158d0001ab3c88",
      state: "65.7",
      attributes: {
        battery_level: 35,
        unit_of_measurement: "°F",
        friendly_name: "Living Room Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:18:29.058355+00:00",
      last_updated: "2019-01-22T19:18:29.058355+00:00",
      context: { id: "9ecda5cfbf2546818b5a052dbd2b52b5", user_id: null },
    },
    "sensor.temperature_158d0001ab3b2b": {
      entity_id: "sensor.temperature_158d0001ab3b2b",
      state: "67.3",
      attributes: {
        battery_level: 35,
        unit_of_measurement: "°F",
        friendly_name: "Study Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:17:17.868483+00:00",
      last_updated: "2019-01-22T19:17:17.868483+00:00",
      context: { id: "f5fad0f428eb4154a9951ec9ef14a2b5", user_id: null },
    },
    "sensor.humidity_158d0001ab7d20": {
      entity_id: "sensor.humidity_158d0001ab7d20",
      state: "unavailable",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Attic Humidity",
        device_class: "humidity",
        homebridge_hidden: true,
        icon: "hademo:water-percent",
      },
      last_changed: "2019-01-22T19:30:15.006910+00:00",
      last_updated: "2019-01-22T19:30:15.006910+00:00",
      context: { id: "30ed5663473e4f9caea8909559d29451", user_id: null },
    },
    "sensor.illumination_158d00016612af": {
      entity_id: "sensor.illumination_158d00016612af",
      state: "10",
      attributes: {
        battery_level: 41,
        unit_of_measurement: "lx",
        friendly_name: "Upstairs Brightness",
        device_class: "illuminance",
        homebridge_hidden: true,
        icon: "hademo:brightness-7",
      },
      last_changed: "2019-01-22T19:06:41.254847+00:00",
      last_updated: "2019-01-22T19:06:41.254847+00:00",
      context: { id: "3b99118b865640fc9bd2643f02c9ad74", user_id: null },
    },
    "sensor.bed_activity_158d0002a51fc2": {
      entity_id: "sensor.bed_activity_158d0002a51fc2",
      state: "unknown",
      attributes: {
        battery_level: 45,
        friendly_name: "Bed Activity_158d0002a51fc2",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.624958+00:00",
      last_updated: "2019-01-22T17:00:14.624958+00:00",
      context: { id: "af893abf5fcd4595a17bf8a544f97ba0", user_id: null },
    },
    "sensor.coordination_158d0002a51fc2": {
      entity_id: "sensor.coordination_158d0002a51fc2",
      state: "-14,-6,1209",
      attributes: {
        battery_level: 45,
        friendly_name: "Coordination_158d0002a51fc2",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:35:37.955458+00:00",
      last_updated: "2019-01-22T17:35:37.955458+00:00",
      context: { id: "10d577b718074e0890ceaff64f687855", user_id: null },
    },
    "sensor.illumination_34ce00813670": {
      entity_id: "sensor.illumination_34ce00813670",
      state: "992",
      attributes: {
        unit_of_measurement: "lm",
        friendly_name: "Living Room Brightness",
        device_class: "illuminance",
        homebridge_hidden: true,
        icon: "hademo:brightness-7",
      },
      last_changed: "2019-01-22T19:15:58.303225+00:00",
      last_updated: "2019-01-22T19:15:58.303225+00:00",
      context: { id: "27c297d39778468a89dc3a2f0117d810", user_id: null },
    },
    "sensor.temperature_158d0001ab7d20": {
      entity_id: "sensor.temperature_158d0001ab7d20",
      state: "unavailable",
      attributes: {
        unit_of_measurement: "°C",
        friendly_name: "Attic Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:15.009684+00:00",
      last_updated: "2019-01-22T19:30:15.009684+00:00",
      context: { id: "8abeea53c27a4974853ace726bd2ff63", user_id: null },
    },
    "sensor.illumination_158d0001a1f2ab": {
      entity_id: "sensor.illumination_158d0001a1f2ab",
      state: "2",
      attributes: {
        battery_level: 49,
        unit_of_measurement: "lx",
        friendly_name: "Guest Room Brightness",
        device_class: "illuminance",
        homebridge_hidden: true,
        icon: "hademo:brightness-7",
      },
      last_changed: "2019-01-22T18:04:46.836506+00:00",
      last_updated: "2019-01-22T18:04:46.836506+00:00",
      context: { id: "b62269b7c7e04c31bb020d8b7a0f7af6", user_id: null },
    },
    "sensor.tilt_angle_158d0002a51fc2": {
      entity_id: "sensor.tilt_angle_158d0002a51fc2",
      state: "unknown",
      attributes: {
        battery_level: 45,
        friendly_name: "Tilt Angle_158d0002a51fc2",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.629929+00:00",
      last_updated: "2019-01-22T17:00:14.629929+00:00",
      context: { id: "c95f4b996d4b446ba53714078beddcc3", user_id: null },
    },
    "sensor.humidity_158d0001ab3b2b": {
      entity_id: "sensor.humidity_158d0001ab3b2b",
      state: "32.5",
      attributes: {
        battery_level: 35,
        unit_of_measurement: "%",
        friendly_name: "Study Humidity",
        device_class: "humidity",
        homebridge_hidden: true,
        icon: "hademo:water-percent",
      },
      last_changed: "2019-01-22T19:33:38.218215+00:00",
      last_updated: "2019-01-22T19:33:38.218215+00:00",
      context: { id: "2fd849c450804b0b92f12ca264e42b71", user_id: null },
    },
    "sensor.pressure_158d0001ab3c88": {
      entity_id: "sensor.pressure_158d0001ab3c88",
      state: "991.3",
      attributes: {
        battery_level: 35,
        unit_of_measurement: "hPa",
        friendly_name: "Living Room Pressure",
        device_class: "pressure",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:28:23.240706+00:00",
      last_updated: "2019-01-22T19:28:23.240706+00:00",
      context: { id: "8571ce643dc448c192bc21cc3ada2d71", user_id: null },
    },
    "sensor.pressure_158d0001ab7d20": {
      entity_id: "sensor.pressure_158d0001ab7d20",
      state: "unavailable",
      attributes: {
        unit_of_measurement: "hPa",
        friendly_name: "Attic Pressure",
        device_class: "pressure",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:30:15.012231+00:00",
      last_updated: "2019-01-22T19:30:15.012231+00:00",
      context: { id: "047b626ced314510b701c3d74bf0f825", user_id: null },
    },
    "sensor.pressure_158d0001ab3b2b": {
      entity_id: "sensor.pressure_158d0001ab3b2b",
      state: "990.9",
      attributes: {
        battery_level: 35,
        unit_of_measurement: "hPa",
        friendly_name: "Study Pressure",
        device_class: "pressure",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:33:38.255305+00:00",
      last_updated: "2019-01-22T19:33:38.255305+00:00",
      context: { id: "517268bcbd6b4019bbb0b240f0e4a7b7", user_id: null },
    },
    "sensor.illumination_158d00016daecc": {
      entity_id: "sensor.illumination_158d00016daecc",
      state: "47",
      attributes: {
        battery_level: 43,
        unit_of_measurement: "lx",
        friendly_name: "Living Room Occupancy Sensor Brightness",
        device_class: "illuminance",
        homebridge_hidden: true,
        icon: "hademo:brightness-7",
      },
      last_changed: "2019-01-22T19:34:42.705272+00:00",
      last_updated: "2019-01-22T19:34:42.705272+00:00",
      context: { id: "f078d90192c1435f86bf12bace488280", user_id: null },
    },
    "sensor.downstairs_temperature": {
      entity_id: "sensor.downstairs_temperature",
      state: "67.5",
      attributes: {
        unit_of_measurement: "°F",
        friendly_name: "Downstairs Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:32:46.033009+00:00",
      last_updated: "2019-01-22T19:32:46.033009+00:00",
      context: { id: "6c121742ab454e9b990d38eba6ffae8a", user_id: null },
    },
    "sensor.ars_bloom_temperature": {
      entity_id: "sensor.ars_bloom_temperature",
      state: "42.40",
      attributes: {
        unit_of_measurement: "°F",
        friendly_name: "BloomSky Temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:34:50.039811+00:00",
      last_updated: "2019-01-22T19:34:50.039811+00:00",
      context: { id: "d6b75d447e2d48ba9de11731a6e244e3", user_id: null },
    },
    "sensor.myiphone_battery_state": {
      entity_id: "sensor.myiphone_battery_state",
      state: "Charging",
      attributes: {
        "Battery State": "Charging",
        "Battery Level": 86,
        "Device Type": "iPhone 8 Plus",
        "Device Name": "Alok's iPhone",
        "Device Version": "12.1.2",
        friendly_name: "Alok's iPhone Battery State",
        icon: "hademo:power-plug",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.640277+00:00",
      last_updated: "2019-01-22T17:00:14.640277+00:00",
      context: { id: "487b587755c5433e9098af3ad7d9fcdd", user_id: null },
    },
    "sensor.master_temperature": {
      entity_id: "sensor.master_temperature",
      state: "64.4",
      attributes: {
        unit_of_measurement: "°F",
        friendly_name: "Master Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:29:40.041433+00:00",
      last_updated: "2019-01-22T19:29:40.041433+00:00",
      context: { id: "48bb71661f114316ab485bf909443f4c", user_id: null },
    },
    "sensor.ars_bloom_humidity": {
      entity_id: "sensor.ars_bloom_humidity",
      state: "37",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "BloomSky Humidity",
        homebridge_hidden: true,
        icon: "hademo:water-percent",
      },
      last_changed: "2019-01-22T19:34:50.024332+00:00",
      last_updated: "2019-01-22T19:34:50.024332+00:00",
      context: { id: "b0a708c25fa8483f90535d32a97bf8c0", user_id: null },
    },
    "sensor.rashmis_iphone_battery_state": {
      entity_id: "sensor.rashmis_iphone_battery_state",
      state: "Unplugged",
      attributes: {
        "Battery State": "Unplugged",
        "Battery Level": 73,
        "Device Type": "iPhone 7 Plus",
        "Device Name": "iPhone",
        "Device Version": "12.1.2",
        friendly_name: "iPhone Battery State",
        icon: "hademo:power-plug-off",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.644203+00:00",
      last_updated: "2019-01-22T18:52:32.009081+00:00",
      context: { id: "13422fa44e3840658843ec1c18e88be3", user_id: null },
    },
    "sensor.living_room_temperature": {
      entity_id: "sensor.living_room_temperature",
      state: "67.4",
      attributes: {
        unit_of_measurement: "°F",
        friendly_name: "Living Room Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:08:02.011734+00:00",
      last_updated: "2019-01-22T19:08:02.011734+00:00",
      context: { id: "5489c7602a6c49728bea651720256d5d", user_id: null },
    },
    "sensor.ars_bloom_pressure": {
      entity_id: "sensor.ars_bloom_pressure",
      state: "29.26",
      attributes: {
        unit_of_measurement: "inHg",
        friendly_name: "ARS Bloom Pressure",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:29:40.039928+00:00",
      last_updated: "2019-01-22T19:29:40.039928+00:00",
      context: { id: "80b6e3f87f884babbb4fa52f97d6d1b7", user_id: null },
    },
    "sensor.rashmis_iphone_battery_level": {
      entity_id: "sensor.rashmis_iphone_battery_level",
      state: "73",
      attributes: {
        "Battery State": "Unplugged",
        "Battery Level": 73,
        "Device Type": "iPhone 7 Plus",
        "Device Name": "iPhone",
        "Device Version": "12.1.2",
        unit_of_measurement: "%",
        friendly_name: "iPhone Battery Level",
        icon: "hademo:battery-70",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:52:32.027267+00:00",
      last_updated: "2019-01-22T18:52:32.027267+00:00",
      context: { id: "4bfcbaf3e63546468cf59a9b514162fc", user_id: null },
    },
    "sensor.bedroom_humidity": {
      entity_id: "sensor.bedroom_humidity",
      state: "34",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Bedroom Humidity",
        device_class: "humidity",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T18:13:24.009027+00:00",
      last_updated: "2019-01-22T18:13:24.009027+00:00",
      context: { id: "73b4cad4a3274f68a6a0b667d815f6d4", user_id: null },
    },
    "sensor.ars_bloom_luminance": {
      entity_id: "sensor.ars_bloom_luminance",
      state: "3380",
      attributes: {
        unit_of_measurement: "cd/m²",
        friendly_name: "ARS Bloom Luminance",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:34:50.052463+00:00",
      last_updated: "2019-01-22T19:34:50.052463+00:00",
      context: { id: "88ad1ae40cce43c79f8b868de4b9498a", user_id: null },
    },
    "sensor.downstairs_humidity": {
      entity_id: "sensor.downstairs_humidity",
      state: "30",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Downstairs Humidity",
        device_class: "humidity",
        homebridge_hidden: true,
        icon: "hademo:water-percent",
      },
      last_changed: "2019-01-22T19:14:14.063319+00:00",
      last_updated: "2019-01-22T19:14:14.063319+00:00",
      context: { id: "e6974d4cb66d464bb66b717959371396", user_id: null },
    },
    "sensor.ars_bloom_uvindex": {
      entity_id: "sensor.ars_bloom_uvindex",
      state: "1",
      attributes: {
        friendly_name: "ARS Bloom UVIndex",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:14.652562+00:00",
      last_updated: "2019-01-22T17:00:14.652562+00:00",
      context: { id: "6658373ef85e457f9d362377e9e61436", user_id: null },
    },
    "sensor.upstairs_humidity": {
      entity_id: "sensor.upstairs_humidity",
      state: "30",
      attributes: {
        unit_of_measurement: "%",
        friendly_name: "Upstairs Humidity",
        device_class: "humidity",
        homebridge_hidden: true,
        icon: "hademo:water-percent",
      },
      last_changed: "2019-01-22T17:00:14.654533+00:00",
      last_updated: "2019-01-22T17:00:14.654533+00:00",
      context: { id: "022d55a0f56749edb546ab24ffd21f10", user_id: null },
    },
    "sensor.ars_bloom_voltage": {
      entity_id: "sensor.ars_bloom_voltage",
      state: "2561.00",
      attributes: {
        unit_of_measurement: "mV",
        friendly_name: "BloomSky Voltage",
        homebridge_hidden: true,
        icon: "hademo:battery",
      },
      last_changed: "2019-01-22T19:34:50.010946+00:00",
      last_updated: "2019-01-22T19:34:50.010946+00:00",
      context: { id: "01744a51816645cea60f3ef54df36675", user_id: null },
    },
    "sensor.upstairs_temperature": {
      entity_id: "sensor.upstairs_temperature",
      state: "65.8",
      attributes: {
        unit_of_measurement: "°F",
        friendly_name: "Upstairs Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:35:52.009679+00:00",
      last_updated: "2019-01-22T19:35:52.009679+00:00",
      context: { id: "1399dad21ae94a409f26983b97e1bf16", user_id: null },
    },
    "sensor.bedroom_temperature": {
      entity_id: "sensor.bedroom_temperature",
      state: "62.6",
      attributes: {
        unit_of_measurement: "°F",
        friendly_name: "Bedroom Temperature",
        device_class: "temperature",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:35:52.027462+00:00",
      last_updated: "2019-01-22T19:35:52.027462+00:00",
      context: { id: "698d9f538cca4fd4a1b17797358dfaae", user_id: null },
    },
    "zwave.aeotec_zw090_zstick_gen5": {
      entity_id: "zwave.aeotec_zw090_zstick_gen5",
      state: "ready",
      attributes: {
        node_id: 1,
        node_name: "Aeotec ZW090 Z-Stick Gen5",
        manufacturer_name: "Aeotec",
        product_name: "ZW090 Z-Stick Gen5 US",
        query_stage: "Complete",
        is_awake: true,
        is_ready: true,
        is_failed: false,
        is_info_received: true,
        max_baud_rate: 40000,
        is_zwave_plus: false,
        capabilities: ["listening", "beaming", "primaryController"],
        neighbors: [8, 5],
        sentCnt: 1,
        sentFailed: 0,
        retries: 0,
        receivedCnt: 0,
        receivedDups: 0,
        receivedUnsolicited: 0,
        sentTS: "2019-01-22 12:00:14:972 ",
        receivedTS: "2019-01-22 12:00:14:855 ",
        lastRequestRTT: 0,
        averageRequestRTT: 0,
        lastResponseRTT: 0,
        averageResponseRTT: 0,
        friendly_name: "Aeotec ZW090 Z-Stick Gen5",
      },
      last_changed: "2019-01-22T17:00:20.077362+00:00",
      last_updated: "2019-01-22T17:00:20.077362+00:00",
      context: { id: "3ba28d17bc1e4ee795ffba609bdc9054", user_id: null },
    },
    "zwave.garage_door_tilt_sensor": {
      entity_id: "zwave.garage_door_tilt_sensor",
      state: "sleeping",
      attributes: {
        node_id: 5,
        node_name: "Garage Door Tilt Sensor",
        manufacturer_name: "Vision",
        product_name: "ZG8101 Garage Door Detector",
        query_stage: "Complete",
        is_awake: false,
        is_ready: true,
        is_failed: false,
        is_info_received: true,
        max_baud_rate: 40000,
        is_zwave_plus: false,
        capabilities: ["beaming", "routing"],
        neighbors: [8, 1],
        sentCnt: 9,
        sentFailed: 1,
        retries: 0,
        receivedCnt: 11,
        receivedDups: 0,
        receivedUnsolicited: 6,
        sentTS: "2019-01-22 13:38:03:813 ",
        receivedTS: "2019-01-22 14:31:05:257 ",
        lastRequestRTT: 26,
        averageRequestRTT: 25,
        lastResponseRTT: 35,
        averageResponseRTT: 35,
        battery_level: 100,
        wake_up_interval: 3600,
        friendly_name: "Garage Door Tilt Sensor",
      },
      last_changed: "2019-01-22T17:37:49.011245+00:00",
      last_updated: "2019-01-22T19:31:05.343182+00:00",
      context: { id: "9ff070a6a09f43b3bdaf38709ac13c37", user_id: null },
    },
    "binary_sensor.garage_door_tilt_sensor_sensor": {
      entity_id: "binary_sensor.garage_door_tilt_sensor_sensor",
      state: "off",
      attributes: {
        node_id: 5,
        value_index: 0,
        value_instance: 1,
        value_id: "72057594126794752",
        friendly_name: "Garage Door Tilt Sensor Sensor",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:05.345983+00:00",
      last_updated: "2019-01-22T19:31:05.345983+00:00",
      context: { id: "41730d6be8bd4cd780aa8123440a2873", user_id: null },
    },
    "sensor.garage_door_tilt_sensor_alarm_type": {
      entity_id: "sensor.garage_door_tilt_sensor_alarm_type",
      state: "7",
      attributes: {
        node_id: 5,
        value_index: 0,
        value_instance: 1,
        value_id: "72057594127859713",
        unit_of_measurement: "",
        friendly_name: "Garage Door Tilt Sensor Alarm Type",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:05.363354+00:00",
      last_updated: "2019-01-22T19:31:05.363354+00:00",
      context: { id: "6a0272d227034e4eb886ef1a4d949fcb", user_id: null },
    },
    "sensor.garage_door_tilt_sensor_alarm_level": {
      entity_id: "sensor.garage_door_tilt_sensor_alarm_level",
      state: "0",
      attributes: {
        node_id: 5,
        value_index: 1,
        value_instance: 1,
        value_id: "72057594127859729",
        unit_of_measurement: "",
        friendly_name: "Garage Door Tilt Sensor Alarm Level",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:05.366097+00:00",
      last_updated: "2019-01-22T19:31:05.366097+00:00",
      context: { id: "bfdc43bbbc7148ac9fa4eeb5ea33f4d2", user_id: null },
    },
    "sensor.garage_door_tilt_sensor_sourcenodeid": {
      entity_id: "sensor.garage_door_tilt_sensor_sourcenodeid",
      state: "0",
      attributes: {
        node_id: 5,
        value_index: 2,
        value_instance: 1,
        value_id: "72057594127859745",
        unit_of_measurement: "",
        friendly_name: "Garage Door Tilt Sensor SourceNodeId",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:05.385191+00:00",
      last_updated: "2019-01-22T19:31:05.385191+00:00",
      context: { id: "bd2a67752dcc4c83872d182020b0a6fc", user_id: null },
    },
    "sensor.garage_door_tilt_sensor_burglar": {
      entity_id: "sensor.garage_door_tilt_sensor_burglar",
      state: "2",
      attributes: {
        node_id: 5,
        value_index: 10,
        value_instance: 1,
        value_id: "72057594127859873",
        unit_of_measurement: "",
        friendly_name: "Garage Door Tilt Sensor Burglar",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T19:31:05.387744+00:00",
      last_updated: "2019-01-22T19:31:05.387744+00:00",
      context: { id: "0fc94fcf0b7b4bbabd78870a5ec20122", user_id: null },
    },
    "zwave.garage_relay": {
      entity_id: "zwave.garage_relay",
      state: "ready",
      attributes: {
        node_id: 8,
        node_name: "Garage Relay",
        manufacturer_name: "Linear",
        product_name: "FS20Z Isolated Contact Fixture Module",
        query_stage: "Complete",
        is_awake: true,
        is_ready: true,
        is_failed: false,
        is_info_received: true,
        max_baud_rate: 40000,
        is_zwave_plus: false,
        capabilities: ["listening", "beaming", "routing"],
        neighbors: [1, 5],
        sentCnt: 10,
        sentFailed: 0,
        retries: 0,
        receivedCnt: 6,
        receivedDups: 0,
        receivedUnsolicited: 0,
        sentTS: "2019-01-22 14:29:20:040 ",
        receivedTS: "2019-01-22 14:29:20:075 ",
        lastRequestRTT: 24,
        averageRequestRTT: 24,
        lastResponseRTT: 35,
        averageResponseRTT: 34,
        friendly_name: "Garage Relay",
      },
      last_changed: "2019-01-22T17:00:20.185238+00:00",
      last_updated: "2019-01-22T19:29:20.178045+00:00",
      context: { id: "cf00375015df496fb266913b080808b0", user_id: null },
    },
    "switch.garage_relay_switch": {
      entity_id: "switch.garage_relay_switch",
      state: "off",
      attributes: {
        node_id: 8,
        value_index: 0,
        value_instance: 1,
        value_id: "72057594176946176",
        friendly_name: "Garage Door Switch",
        homebridge_hidden: true,
        emulated_hue_hidden: false,
        emulated_hue_name: "Garage Door",
      },
      last_changed: "2019-01-22T19:29:20.180814+00:00",
      last_updated: "2019-01-22T19:29:20.180814+00:00",
      context: { id: "672da7d1adf345ecaedf6310a6306707", user_id: null },
    },
    "sensor.alok_to_home": {
      entity_id: "sensor.alok_to_home",
      state: "41",
      attributes: {
        destination_addresses: ["XYZ"],
        origin_addresses: ["XYZ"],
        status: "OK",
        mode: "driving",
        units: "imperial",
        duration_in_traffic: "41 mins",
        duration: "44 mins",
        distance: "34.3 mi",
        unit_of_measurement: "min",
        friendly_name: "Commute to Home",
        homebridge_hidden: true,
        icon: "hademo:car",
      },
      last_changed: "2019-01-22T17:00:15.963892+00:00",
      last_updated: "2019-01-22T17:00:15.963892+00:00",
      context: { id: "16e423e342274086b26b15de787cea3c", user_id: null },
    },
    "device_tracker.meta_rashmi": {
      entity_id: "device_tracker.meta_rashmi",
      state: "home",
      attributes: {
        friendly_name: "Rashmi Tracker",
        entity_picture: "/assets/arsaboo/icons/Rashmi.png",
        source_type: "router",
        battery: 72,
        gps_accuracy: 50,
        velocity: 0,
        update_source: "device_tracker.rashmisiphone",
        show_last_changed: "true",
      },
      last_changed: "2019-01-22T19:29:17.166879+00:00",
      last_updated: "2019-01-22T19:34:19.132762+00:00",
      context: { id: "fcc471aa4c8f44f18fc364919a9eff52", user_id: null },
    },
    "device_tracker.meta_alok": {
      entity_id: "device_tracker.meta_alok",
      state: "Downtown",
      attributes: {
        friendly_name: "Alok Tracker",
        entity_picture: "/assets/arsaboo/icons/Alok.png",
        source_type: "gps",
        battery: 83,
        gps_accuracy: 65,
        velocity: -1,
        update_source: "device_tracker.alok_alok",
        show_last_changed: "true",
      },
      last_changed: "2019-01-22T17:00:16.090750+00:00",
      last_updated: "2019-01-22T19:10:56.081550+00:00",
      context: { id: "34084cdef4f24b9dbb3ec2c6450770da", user_id: null },
    },
    "sensor.morning_commute": {
      entity_id: "sensor.morning_commute",
      state: "37",
      attributes: {
        destination_addresses: ["XYZ"],
        origin_addresses: ["XYZ"],
        status: "OK",
        mode: "driving",
        units: "imperial",
        duration_in_traffic: "37 mins",
        duration: "37 mins",
        distance: "30.2 mi",
        unit_of_measurement: "min",
        friendly_name: "Morning Commute",
        homebridge_hidden: true,
        icon: "hademo:car",
      },
      last_changed: "2019-01-22T17:00:16.142799+00:00",
      last_updated: "2019-01-22T17:00:16.142799+00:00",
      context: { id: "fc0ee1d25cc941ce9ead8a8cefdf3df9", user_id: null },
    },
    "switch.wemoswitch": {
      entity_id: "switch.wemoswitch",
      state: "on",
      attributes: { friendly_name: "WeMoSwitch", homebridge_hidden: true },
      last_changed: "2019-01-22T17:00:22.455617+00:00",
      last_updated: "2019-01-22T17:00:22.455617+00:00",
      context: { id: "d5ddc6e4c88f436ab372934934c8675e", user_id: null },
    },
    "switch.wemoinsight": {
      entity_id: "switch.wemoinsight",
      state: "off",
      attributes: {
        state_detail: "off",
        on_latest_time: "00d 00h 00m 17s",
        on_today_time: "00d 00h 00m 00s",
        on_total_time: "00d 21h 49m 35s",
        power_threshold_w: 2,
        friendly_name: "WeMoInsight",
        homebridge_hidden: true,
      },
      last_changed: "2019-01-22T17:00:22.397783+00:00",
      last_updated: "2019-01-22T17:00:22.492778+00:00",
      context: { id: "1ff8d42d21084350acbdb6002551fc61", user_id: null },
    },
    "switch.driveway": {
      entity_id: "switch.driveway",
      state: "off",
      attributes: {
        friendly_name: "Driveway Light",
        homebridge_hidden: false,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
          icon:
            "if (state === 'on') return 'hademo:lightbulb-on'; return 'hademo:lightbulb';\n",
        },
        emulated_hue_hidden: false,
        emulated_hue_name: "Driveway Light",
      },
      last_changed: "2019-01-22T17:00:22.398939+00:00",
      last_updated: "2019-01-22T17:00:22.398939+00:00",
      context: { id: "422aaa88552048fba49ad02c698d878e", user_id: null },
    },
    "switch.wemoporch": {
      entity_id: "switch.wemoporch",
      state: "off",
      attributes: {
        friendly_name: "Porch Lights",
        homebridge_hidden: false,
        templates: {
          icon_color:
            "if (state === 'on') return 'rgb(251, 210, 41)'; return 'rgb(54, 95, 140)';\n",
          icon:
            "if (state === 'on') return 'hademo:lightbulb-on'; return 'hademo:lightbulb';\n",
        },
        emulated_hue_hidden: false,
        emulated_hue_name: "Porch Lights",
      },
      last_changed: "2019-01-22T17:00:22.435345+00:00",
      last_updated: "2019-01-22T17:00:22.435345+00:00",
      context: { id: "fdbe1a67cfc64adc8bfafeb84bcd12ad", user_id: null },
    },
  });
